Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GMFGenPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.gmf.codegen.gmfgen.impl.GMFGenPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, GMFGenPackage

    public class GMFGenPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements GMFGenPackage

An implementation of the model Package.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GMFGenPackage

`ABSTRACT_TOOL_ENTRY, ABSTRACT_TOOL_ENTRY__CREATE_METHOD_NAME, ABSTRACT_TOOL_ENTRY__DEFAULT, ABSTRACT_TOOL_ENTRY__DESCRIPTION, ABSTRACT_TOOL_ENTRY__GROUP, ABSTRACT_TOOL_ENTRY__LARGE_ICON_PATH, ABSTRACT_TOOL_ENTRY__PROPERTIES, ABSTRACT_TOOL_ENTRY__QUALIFIED_TOOL_NAME, ABSTRACT_TOOL_ENTRY__SMALL_ICON_PATH, ABSTRACT_TOOL_ENTRY__TITLE, ABSTRACT_TOOL_ENTRY_FEATURE_COUNT, ATTRIBUTES, ATTRIBUTES_FEATURE_COUNT, BATCH_VALIDATION, BATCH_VALIDATION__LIVE_VALIDATION_UI_FEEDBACK, BATCH_VALIDATION__MARKER_NAVIGATION_PROVIDER_CLASS_NAME, BATCH_VALIDATION__MARKER_NAVIGATION_PROVIDER_PRIORITY, BATCH_VALIDATION__METRIC_PROVIDER_CLASS_NAME, BATCH_VALIDATION__METRIC_PROVIDER_PRIORITY, BATCH_VALIDATION__VALIDATION_DECORATOR_PROVIDER_CLASS_NAME, BATCH_VALIDATION__VALIDATION_DECORATOR_PROVIDER_PRIORITY, BATCH_VALIDATION__VALIDATION_DECORATORS, BATCH_VALIDATION__VALIDATION_ENABLED, BATCH_VALIDATION__VALIDATION_PROVIDER_CLASS_NAME, BATCH_VALIDATION__VALIDATION_PROVIDER_PRIORITY, BATCH_VALIDATION_FEATURE_COUNT, BEHAVIOUR, BEHAVIOUR__SUBJECT, BEHAVIOUR_FEATURE_COUNT, COLOR_ATTRIBUTES, COLOR_ATTRIBUTES__BACKGROUND_COLOR, COLOR_ATTRIBUTES__FOREGROUND_COLOR, COLOR_ATTRIBUTES_FEATURE_COUNT, CUSTOM_BEHAVIOUR, CUSTOM_BEHAVIOUR__EDIT_POLICY_QUALIFIED_CLASS_NAME, CUSTOM_BEHAVIOUR__KEY, CUSTOM_BEHAVIOUR__SUBJECT, CUSTOM_BEHAVIOUR_FEATURE_COUNT, CUSTOM_TAB_FILTER, CUSTOM_TAB_FILTER__CLASS_NAME, CUSTOM_TAB_FILTER__TAB, CUSTOM_TAB_FILTER_FEATURE_COUNT, DEFAULT_SIZE_ATTRIBUTES, DEFAULT_SIZE_ATTRIBUTES__HEIGHT, DEFAULT_SIZE_ATTRIBUTES__WIDTH, DEFAULT_SIZE_ATTRIBUTES_FEATURE_COUNT, DESIGN_LABEL_MODEL_FACET, DESIGN_LABEL_MODEL_FACET_FEATURE_COUNT, DIAGRAM_COLORS, DYNAMIC_MODEL_ACCESS, DYNAMIC_MODEL_ACCESS__CLASS_NAME, DYNAMIC_MODEL_ACCESS__EDITOR_GEN, DYNAMIC_MODEL_ACCESS__PACKAGE_NAME, DYNAMIC_MODEL_ACCESS_FEATURE_COUNT, EDIT_PART_CANDIES, EDIT_PART_CANDIES__BASE_EDIT_HELPER_CLASS_NAME, EDIT_PART_CANDIES__BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME, EDIT_PART_CANDIES__BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES__BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES__EDIT_PART_FACTORY_CLASS_NAME, EDIT_PART_CANDIES__REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME, EDIT_PART_CANDIES__TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES__TEXT_SELECTION_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES_FEATURE_COUNT, EDITOR_CANDIES, EDITOR_CANDIES__CREATION_WIZARD_CATEGORY_ID, EDITOR_CANDIES__CREATION_WIZARD_CLASS_NAME, EDITOR_CANDIES__CREATION_WIZARD_ICON_PATH, EDITOR_CANDIES__CREATION_WIZARD_ICON_PATH_X, EDITOR_CANDIES__CREATION_WIZARD_PAGE_CLASS_NAME, EDITOR_CANDIES__DIAGRAM_CONTENT_INITIALIZER_CLASS_NAME, EDITOR_CANDIES__DIAGRAM_EDITOR_UTIL_CLASS_NAME, EDITOR_CANDIES__DOCUMENT_PROVIDER_CLASS_NAME, EDITOR_CANDIES__EDITING_DOMAIN_ID, EDITOR_CANDIES__ELEMENT_CHOOSER_CLASS_NAME, EDITOR_CANDIES__INIT_DIAGRAM_FILE_ACTION_CLASS_NAME, EDITOR_CANDIES__LOAD_RESOURCE_ACTION_CLASS_NAME, EDITOR_CANDIES__MATCHING_STRATEGY_CLASS_NAME, EDITOR_CANDIES__NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME, EDITOR_CANDIES__VISUAL_ID_REGISTRY_CLASS_NAME, EDITOR_CANDIES_FEATURE_COUNT, eINSTANCE, ELEMENT_TYPE, ELEMENT_TYPE__DEFINED_EXTERNALLY, ELEMENT_TYPE__DIAGRAM_ELEMENT, ELEMENT_TYPE__DISPLAY_NAME, ELEMENT_TYPE__UNIQUE_IDENTIFIER, ELEMENT_TYPE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, ENTRY_BASE, ENTRY_BASE__CREATE_METHOD_NAME, ENTRY_BASE__DESCRIPTION, ENTRY_BASE__LARGE_ICON_PATH, ENTRY_BASE__SMALL_ICON_PATH, ENTRY_BASE__TITLE, ENTRY_BASE_FEATURE_COUNT, FEATURE_LABEL_MODEL_FACET, FEATURE_LABEL_MODEL_FACET__EDIT_METHOD, FEATURE_LABEL_MODEL_FACET__EDIT_PATTERN, FEATURE_LABEL_MODEL_FACET__EDITOR_PATTERN, FEATURE_LABEL_MODEL_FACET__META_FEATURES, FEATURE_LABEL_MODEL_FACET__VIEW_METHOD, FEATURE_LABEL_MODEL_FACET__VIEW_PATTERN, FEATURE_LABEL_MODEL_FACET_FEATURE_COUNT, FEATURE_LINK_MODEL_FACET, FEATURE_LINK_MODEL_FACET__META_FEATURE, FEATURE_LINK_MODEL_FACET_FEATURE_COUNT, FIGURE_VIEWMAP, FIGURE_VIEWMAP__ATTRIBUTES, FIGURE_VIEWMAP__FIGURE_QUALIFIED_CLASS_NAME, FIGURE_VIEWMAP__LAYOUT_TYPE, FIGURE_VIEWMAP__REQUIRED_PLUGIN_IDS, FIGURE_VIEWMAP_FEATURE_COUNT, FONT_STYLE, GEN_ACTION_FACTORY_CONTRIBUTION_ITEM, GEN_ACTION_FACTORY_CONTRIBUTION_ITEM__APPLICATION, GEN_ACTION_FACTORY_CONTRIBUTION_ITEM__NAME, GEN_ACTION_FACTORY_CONTRIBUTION_ITEM__OWNER, GEN_ACTION_FACTORY_CONTRIBUTION_ITEM_FEATURE_COUNT, GEN_APPLICATION, GEN_APPLICATION__ACTION_BAR_ADVISOR_CLASS_NAME, GEN_APPLICATION__CLASS_NAME, GEN_APPLICATION__EDITOR_GEN, GEN_APPLICATION__ID, GEN_APPLICATION__MAIN_MENU, GEN_APPLICATION__MAIN_TOOL_BAR, GEN_APPLICATION__PACKAGE_NAME, GEN_APPLICATION__PERSPECTIVE_CLASS_NAME, GEN_APPLICATION__PERSPECTIVE_ID, GEN_APPLICATION__SHARED_CONTRIBUTION_ITEMS, GEN_APPLICATION__SUPPORT_FILES, GEN_APPLICATION__TITLE, GEN_APPLICATION__WORKBENCH_ADVISOR_CLASS_NAME, GEN_APPLICATION__WORKBENCH_WINDOW_ADVISOR_CLASS_NAME, GEN_APPLICATION_FEATURE_COUNT, GEN_AUDIT_CONTAINER, GEN_AUDIT_CONTAINER__AUDITS, GEN_AUDIT_CONTAINER__DESCRIPTION, GEN_AUDIT_CONTAINER__ID, GEN_AUDIT_CONTAINER__NAME, GEN_AUDIT_CONTAINER__PATH, GEN_AUDIT_CONTAINER__ROOT, GEN_AUDIT_CONTAINER_FEATURE_COUNT, GEN_AUDIT_CONTEXT, GEN_AUDIT_CONTEXT__CLASS_NAME, GEN_AUDIT_CONTEXT__ID, GEN_AUDIT_CONTEXT__ROOT, GEN_AUDIT_CONTEXT__RULE_TARGETS, GEN_AUDIT_CONTEXT_FEATURE_COUNT, GEN_AUDIT_ROOT, GEN_AUDIT_ROOT__CATEGORIES, GEN_AUDIT_ROOT__CLIENT_CONTEXTS, GEN_AUDIT_ROOT__EDITOR_GEN, GEN_AUDIT_ROOT__RULES, GEN_AUDIT_ROOT_FEATURE_COUNT, GEN_AUDIT_RULE, GEN_AUDIT_RULE__CATEGORY, GEN_AUDIT_RULE__DESCRIPTION, GEN_AUDIT_RULE__ID, GEN_AUDIT_RULE__MESSAGE, GEN_AUDIT_RULE__NAME, GEN_AUDIT_RULE__REQUIRES_CONSTRAINT_ADAPTER, GEN_AUDIT_RULE__ROOT, GEN_AUDIT_RULE__RULE, GEN_AUDIT_RULE__SEVERITY, GEN_AUDIT_RULE__TARGET, GEN_AUDIT_RULE__USE_IN_LIVE_MODE, GEN_AUDIT_RULE_FEATURE_COUNT, GEN_AUDITABLE, GEN_AUDITABLE__CONTEXT_SELECTOR, GEN_AUDITABLE_FEATURE_COUNT, GEN_AUDITED_METRIC_TARGET, GEN_AUDITED_METRIC_TARGET__CONTEXT_SELECTOR, GEN_AUDITED_METRIC_TARGET__METRIC, GEN_AUDITED_METRIC_TARGET__METRIC_VALUE_CONTEXT, GEN_AUDITED_METRIC_TARGET_FEATURE_COUNT, GEN_CHILD_CONTAINER, GEN_CHILD_CONTAINER__BEHAVIOUR, GEN_CHILD_CONTAINER__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_CHILD_CONTAINER__CHILD_NODES, GEN_CHILD_CONTAINER__CONTAINED_NODES, GEN_CHILD_CONTAINER__DIAGRAM_RUN_TIME_CLASS, GEN_CHILD_CONTAINER__EDIT_PART_CLASS_NAME, GEN_CHILD_CONTAINER__ELEMENT_TYPE, GEN_CHILD_CONTAINER__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_CHILD_CONTAINER__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_CHILD_CONTAINER__SANS_DOMAIN, GEN_CHILD_CONTAINER__STYLES, GEN_CHILD_CONTAINER__VIEWMAP, GEN_CHILD_CONTAINER__VISUAL_ID, GEN_CHILD_CONTAINER_FEATURE_COUNT, GEN_CHILD_LABEL_NODE, GEN_CHILD_LABEL_NODE__BEHAVIOUR, GEN_CHILD_LABEL_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_CHILD_LABEL_NODE__CHILD_NODES, GEN_CHILD_LABEL_NODE__COMPARTMENTS, GEN_CHILD_LABEL_NODE__CONTAINED_NODES, GEN_CHILD_LABEL_NODE__CONTAINERS, GEN_CHILD_LABEL_NODE__CREATE_COMMAND_CLASS_NAME, GEN_CHILD_LABEL_NODE__DIAGRAM, GEN_CHILD_LABEL_NODE__DIAGRAM_RUN_TIME_CLASS, GEN_CHILD_LABEL_NODE__EDIT_PART_CLASS_NAME, GEN_CHILD_LABEL_NODE__ELEMENT_TYPE, GEN_CHILD_LABEL_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_CHILD_LABEL_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_CHILD_LABEL_NODE__LABEL_ELEMENT_ICON, GEN_CHILD_LABEL_NODE__LABEL_MODEL_FACET, GEN_CHILD_LABEL_NODE__LABEL_READ_ONLY, GEN_CHILD_LABEL_NODE__LABELS, GEN_CHILD_LABEL_NODE__MODEL_FACET, GEN_CHILD_LABEL_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_CHILD_LABEL_NODE__PRIMARY_DRAG_EDIT_POLICY_QUALIFIED_CLASS_NAME, GEN_CHILD_LABEL_NODE__REORIENTED_INCOMING_LINKS, GEN_CHILD_LABEL_NODE__SANS_DOMAIN, GEN_CHILD_LABEL_NODE__STYLES, GEN_CHILD_LABEL_NODE__VIEWMAP, GEN_CHILD_LABEL_NODE__VISUAL_ID, GEN_CHILD_LABEL_NODE_FEATURE_COUNT, GEN_CHILD_NODE, GEN_CHILD_NODE__BEHAVIOUR, GEN_CHILD_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_CHILD_NODE__CHILD_NODES, GEN_CHILD_NODE__COMPARTMENTS, GEN_CHILD_NODE__CONTAINED_NODES, GEN_CHILD_NODE__CONTAINERS, GEN_CHILD_NODE__CREATE_COMMAND_CLASS_NAME, GEN_CHILD_NODE__DIAGRAM, GEN_CHILD_NODE__DIAGRAM_RUN_TIME_CLASS, GEN_CHILD_NODE__EDIT_PART_CLASS_NAME, GEN_CHILD_NODE__ELEMENT_TYPE, GEN_CHILD_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_CHILD_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_CHILD_NODE__LABELS, GEN_CHILD_NODE__MODEL_FACET, GEN_CHILD_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_CHILD_NODE__PRIMARY_DRAG_EDIT_POLICY_QUALIFIED_CLASS_NAME, GEN_CHILD_NODE__REORIENTED_INCOMING_LINKS, GEN_CHILD_NODE__SANS_DOMAIN, GEN_CHILD_NODE__STYLES, GEN_CHILD_NODE__VIEWMAP, GEN_CHILD_NODE__VISUAL_ID, GEN_CHILD_NODE_FEATURE_COUNT, GEN_CHILD_SIDE_AFFIXED_NODE, GEN_CHILD_SIDE_AFFIXED_NODE__BEHAVIOUR, GEN_CHILD_SIDE_AFFIXED_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_CHILD_SIDE_AFFIXED_NODE__CHILD_NODES, GEN_CHILD_SIDE_AFFIXED_NODE__COMPARTMENTS, GEN_CHILD_SIDE_AFFIXED_NODE__CONTAINED_NODES, GEN_CHILD_SIDE_AFFIXED_NODE__CONTAINERS, GEN_CHILD_SIDE_AFFIXED_NODE__CREATE_COMMAND_CLASS_NAME, GEN_CHILD_SIDE_AFFIXED_NODE__DIAGRAM, GEN_CHILD_SIDE_AFFIXED_NODE__DIAGRAM_RUN_TIME_CLASS, GEN_CHILD_SIDE_AFFIXED_NODE__EDIT_PART_CLASS_NAME, GEN_CHILD_SIDE_AFFIXED_NODE__ELEMENT_TYPE, GEN_CHILD_SIDE_AFFIXED_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_CHILD_SIDE_AFFIXED_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_CHILD_SIDE_AFFIXED_NODE__LABELS, GEN_CHILD_SIDE_AFFIXED_NODE__MODEL_FACET, GEN_CHILD_SIDE_AFFIXED_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_CHILD_SIDE_AFFIXED_NODE__PREFERRED_SIDE_NAME, GEN_CHILD_SIDE_AFFIXED_NODE__PRIMARY_DRAG_EDIT_POLICY_QUALIFIED_CLASS_NAME, GEN_CHILD_SIDE_AFFIXED_NODE__REORIENTED_INCOMING_LINKS, GEN_CHILD_SIDE_AFFIXED_NODE__SANS_DOMAIN, GEN_CHILD_SIDE_AFFIXED_NODE__STYLES, GEN_CHILD_SIDE_AFFIXED_NODE__VIEWMAP, GEN_CHILD_SIDE_AFFIXED_NODE__VISUAL_ID, GEN_CHILD_SIDE_AFFIXED_NODE_FEATURE_COUNT, GEN_COLOR, GEN_COLOR_FEATURE_COUNT, GEN_COMMON_BASE, GEN_COMMON_BASE__BEHAVIOUR, GEN_COMMON_BASE__DIAGRAM_RUN_TIME_CLASS, GEN_COMMON_BASE__EDIT_PART_CLASS_NAME, GEN_COMMON_BASE__ELEMENT_TYPE, GEN_COMMON_BASE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_COMMON_BASE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_COMMON_BASE__SANS_DOMAIN, GEN_COMMON_BASE__STYLES, GEN_COMMON_BASE__VIEWMAP, GEN_COMMON_BASE__VISUAL_ID, GEN_COMMON_BASE_FEATURE_COUNT, GEN_COMPARTMENT, GEN_COMPARTMENT__BEHAVIOUR, GEN_COMPARTMENT__CAN_COLLAPSE, GEN_COMPARTMENT__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_COMPARTMENT__CHILD_NODES, GEN_COMPARTMENT__CONTAINED_NODES, GEN_COMPARTMENT__DIAGRAM, GEN_COMPARTMENT__DIAGRAM_RUN_TIME_CLASS, GEN_COMPARTMENT__EDIT_PART_CLASS_NAME, GEN_COMPARTMENT__ELEMENT_TYPE, GEN_COMPARTMENT__HIDE_IF_EMPTY, GEN_COMPARTMENT__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_COMPARTMENT__LIST_LAYOUT, GEN_COMPARTMENT__NEEDS_TITLE, GEN_COMPARTMENT__NODE, GEN_COMPARTMENT__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_COMPARTMENT__SANS_DOMAIN, GEN_COMPARTMENT__STYLES, GEN_COMPARTMENT__TITLE, GEN_COMPARTMENT__VIEWMAP, GEN_COMPARTMENT__VISUAL_ID, GEN_COMPARTMENT_FEATURE_COUNT, GEN_CONSTANT_COLOR, GEN_CONSTANT_COLOR__NAME, GEN_CONSTANT_COLOR_FEATURE_COUNT, GEN_CONSTRAINT, GEN_CONSTRAINT__BODY, GEN_CONSTRAINT__LANG_NAME, GEN_CONSTRAINT__PROVIDER, GEN_CONSTRAINT_FEATURE_COUNT, GEN_CONTAINER_BASE, GEN_CONTAINER_BASE__BEHAVIOUR, GEN_CONTAINER_BASE__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_CONTAINER_BASE__CONTAINED_NODES, GEN_CONTAINER_BASE__DIAGRAM_RUN_TIME_CLASS, GEN_CONTAINER_BASE__EDIT_PART_CLASS_NAME, GEN_CONTAINER_BASE__ELEMENT_TYPE, GEN_CONTAINER_BASE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_CONTAINER_BASE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_CONTAINER_BASE__SANS_DOMAIN, GEN_CONTAINER_BASE__STYLES, GEN_CONTAINER_BASE__VIEWMAP, GEN_CONTAINER_BASE__VISUAL_ID, GEN_CONTAINER_BASE_FEATURE_COUNT, GEN_CONTRIBUTION_ITEM, GEN_CONTRIBUTION_ITEM__APPLICATION, GEN_CONTRIBUTION_ITEM__OWNER, GEN_CONTRIBUTION_ITEM_FEATURE_COUNT, GEN_CONTRIBUTION_MANAGER, GEN_CONTRIBUTION_MANAGER__APPLICATION, GEN_CONTRIBUTION_MANAGER__ID, GEN_CONTRIBUTION_MANAGER__ITEMS, GEN_CONTRIBUTION_MANAGER__OWNER, GEN_CONTRIBUTION_MANAGER_FEATURE_COUNT, GEN_CUSTOM_FONT, GEN_CUSTOM_FONT__HEIGHT, GEN_CUSTOM_FONT__NAME, GEN_CUSTOM_FONT__STYLE, GEN_CUSTOM_FONT_FEATURE_COUNT, GEN_CUSTOM_PREFERENCE_PAGE, GEN_CUSTOM_PREFERENCE_PAGE__CHILDREN, GEN_CUSTOM_PREFERENCE_PAGE__ID, GEN_CUSTOM_PREFERENCE_PAGE__NAME, GEN_CUSTOM_PREFERENCE_PAGE__PARENT, GEN_CUSTOM_PREFERENCE_PAGE__QUALIFIED_CLASS_NAME, GEN_CUSTOM_PREFERENCE_PAGE_FEATURE_COUNT, GEN_CUSTOM_PROPERTY_TAB, GEN_CUSTOM_PROPERTY_TAB__CLASS_NAME, GEN_CUSTOM_PROPERTY_TAB__FILTER, GEN_CUSTOM_PROPERTY_TAB__ID, GEN_CUSTOM_PROPERTY_TAB__LABEL, GEN_CUSTOM_PROPERTY_TAB__SHEET, GEN_CUSTOM_PROPERTY_TAB_FEATURE_COUNT, GEN_DIAGRAM, GEN_DIAGRAM__BASE_EDIT_HELPER_CLASS_NAME, GEN_DIAGRAM__BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME, GEN_DIAGRAM__BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__BEHAVIOUR, GEN_DIAGRAM__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__CHILD_NODES, GEN_DIAGRAM__COMPARTMENTS, GEN_DIAGRAM__CONTAINED_NODES, GEN_DIAGRAM__CONTAINS_SHORTCUTS_TO, GEN_DIAGRAM__CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME, GEN_DIAGRAM__CREATE_SHORTCUT_ACTION_CLASS_NAME, GEN_DIAGRAM__CREATE_SHORTCUT_DECORATIONS_COMMAND_CLASS_NAME, GEN_DIAGRAM__CREATION_WIZARD_CATEGORY_ID, GEN_DIAGRAM__CREATION_WIZARD_CLASS_NAME, GEN_DIAGRAM__CREATION_WIZARD_ICON_PATH, GEN_DIAGRAM__CREATION_WIZARD_ICON_PATH_X, GEN_DIAGRAM__CREATION_WIZARD_PAGE_CLASS_NAME, GEN_DIAGRAM__DIAGRAM_CONTENT_INITIALIZER_CLASS_NAME, GEN_DIAGRAM__DIAGRAM_EDITOR_UTIL_CLASS_NAME, GEN_DIAGRAM__DIAGRAM_RUN_TIME_CLASS, GEN_DIAGRAM__DOCUMENT_PROVIDER_CLASS_NAME, GEN_DIAGRAM__DOMAIN_DIAGRAM_ELEMENT, GEN_DIAGRAM__EDIT_COMMANDS_PACKAGE_NAME, GEN_DIAGRAM__EDIT_HELPERS_PACKAGE_NAME, GEN_DIAGRAM__EDIT_PART_CLASS_NAME, GEN_DIAGRAM__EDIT_PART_FACTORY_CLASS_NAME, GEN_DIAGRAM__EDIT_PART_PROVIDER_CLASS_NAME, GEN_DIAGRAM__EDIT_PART_PROVIDER_PRIORITY, GEN_DIAGRAM__EDIT_PARTS_PACKAGE_NAME, GEN_DIAGRAM__EDIT_POLICIES_PACKAGE_NAME, GEN_DIAGRAM__EDITING_DOMAIN_ID, GEN_DIAGRAM__EDITOR_GEN, GEN_DIAGRAM__ELEMENT_CHOOSER_CLASS_NAME, GEN_DIAGRAM__ELEMENT_TYPE, GEN_DIAGRAM__ELEMENT_TYPES_CLASS_NAME, GEN_DIAGRAM__ICON_PROVIDER_CLASS_NAME, GEN_DIAGRAM__ICON_PROVIDER_PRIORITY, GEN_DIAGRAM__INIT_DIAGRAM_FILE_ACTION_CLASS_NAME, GEN_DIAGRAM__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__LINKS, GEN_DIAGRAM__LIVE_VALIDATION_UI_FEEDBACK, GEN_DIAGRAM__LOAD_RESOURCE_ACTION_CLASS_NAME, GEN_DIAGRAM__MARKER_NAVIGATION_PROVIDER_CLASS_NAME, GEN_DIAGRAM__MARKER_NAVIGATION_PROVIDER_PRIORITY, GEN_DIAGRAM__MATCHING_STRATEGY_CLASS_NAME, GEN_DIAGRAM__METRIC_PROVIDER_CLASS_NAME, GEN_DIAGRAM__METRIC_PROVIDER_PRIORITY, GEN_DIAGRAM__MODELING_ASSISTANT_PROVIDER_CLASS_NAME, GEN_DIAGRAM__MODELING_ASSISTANT_PROVIDER_PRIORITY, GEN_DIAGRAM__NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME, GEN_DIAGRAM__NOTATION_VIEW_FACTORIES_PACKAGE_NAME, GEN_DIAGRAM__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_DIAGRAM__NOTATION_VIEW_PROVIDER_CLASS_NAME, GEN_DIAGRAM__NOTATION_VIEW_PROVIDER_PRIORITY, GEN_DIAGRAM__PALETTE, GEN_DIAGRAM__PARSER_PROVIDER_CLASS_NAME, GEN_DIAGRAM__PARSER_PROVIDER_PRIORITY, GEN_DIAGRAM__PARSERS_PACKAGE_NAME, GEN_DIAGRAM__PREFERENCE_PAGES, GEN_DIAGRAM__PREFERENCES, GEN_DIAGRAM__PREFERENCES_PACKAGE_NAME, GEN_DIAGRAM__PROVIDERS_PACKAGE_NAME, GEN_DIAGRAM__REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME, GEN_DIAGRAM__SANS_DOMAIN, GEN_DIAGRAM__SHORTCUT_PROPERTY_TESTER_CLASS_NAME, GEN_DIAGRAM__SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME, GEN_DIAGRAM__SHORTCUTS_DECORATOR_PROVIDER_PRIORITY, GEN_DIAGRAM__SHORTCUTS_PROVIDED_FOR, GEN_DIAGRAM__STYLES, GEN_DIAGRAM__SYNCHRONIZED, GEN_DIAGRAM__TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__TEXT_SELECTION_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__TOP_LEVEL_NODES, GEN_DIAGRAM__UNITS, GEN_DIAGRAM__VALIDATION_DECORATOR_PROVIDER_CLASS_NAME, GEN_DIAGRAM__VALIDATION_DECORATOR_PROVIDER_PRIORITY, GEN_DIAGRAM__VALIDATION_DECORATORS, GEN_DIAGRAM__VALIDATION_ENABLED, GEN_DIAGRAM__VALIDATION_PROVIDER_CLASS_NAME, GEN_DIAGRAM__VALIDATION_PROVIDER_PRIORITY, GEN_DIAGRAM__VIEWMAP, GEN_DIAGRAM__VISUAL_ID, GEN_DIAGRAM__VISUAL_ID_REGISTRY_CLASS_NAME, GEN_DIAGRAM_ELEMENT_TARGET, GEN_DIAGRAM_ELEMENT_TARGET__CONTEXT_SELECTOR, GEN_DIAGRAM_ELEMENT_TARGET__ELEMENT, GEN_DIAGRAM_ELEMENT_TARGET_FEATURE_COUNT, GEN_DIAGRAM_FEATURE_COUNT, GEN_DIAGRAM_PREFERENCES, GEN_DIAGRAM_PREFERENCES__DEFAULT_FONT, GEN_DIAGRAM_PREFERENCES__ENABLE_ANIMATED_LAYOUT, GEN_DIAGRAM_PREFERENCES__ENABLE_ANIMATED_ZOOM, GEN_DIAGRAM_PREFERENCES__ENABLE_ANTI_ALIAS, GEN_DIAGRAM_PREFERENCES__FILL_COLOR, GEN_DIAGRAM_PREFERENCES__FONT_COLOR, GEN_DIAGRAM_PREFERENCES__GRID_IN_FRONT, GEN_DIAGRAM_PREFERENCES__GRID_LINE_COLOR, GEN_DIAGRAM_PREFERENCES__GRID_LINE_STYLE, GEN_DIAGRAM_PREFERENCES__GRID_SPACING, GEN_DIAGRAM_PREFERENCES__LINE_COLOR, GEN_DIAGRAM_PREFERENCES__LINE_STYLE, GEN_DIAGRAM_PREFERENCES__NOTE_FILL_COLOR, GEN_DIAGRAM_PREFERENCES__NOTE_LINE_COLOR, GEN_DIAGRAM_PREFERENCES__PROMPT_ON_DEL_FROM_DIAGRAM, GEN_DIAGRAM_PREFERENCES__PROMPT_ON_DEL_FROM_MODEL, GEN_DIAGRAM_PREFERENCES__RULER_UNITS, GEN_DIAGRAM_PREFERENCES__SHOW_CONNECTION_HANDLES, GEN_DIAGRAM_PREFERENCES__SHOW_GRID, GEN_DIAGRAM_PREFERENCES__SHOW_POPUP_BARS, GEN_DIAGRAM_PREFERENCES__SHOW_RULERS, GEN_DIAGRAM_PREFERENCES__SNAP_TO_GEOMETRY, GEN_DIAGRAM_PREFERENCES__SNAP_TO_GRID, GEN_DIAGRAM_PREFERENCES_FEATURE_COUNT, GEN_DIAGRAM_UPDATER, GEN_DIAGRAM_UPDATER__DIAGRAM_UPDATER_CLASS_NAME, GEN_DIAGRAM_UPDATER__EDITOR_GEN, GEN_DIAGRAM_UPDATER__LINK_DESCRIPTOR_CLASS_NAME, GEN_DIAGRAM_UPDATER__NODE_DESCRIPTOR_CLASS_NAME, GEN_DIAGRAM_UPDATER__UPDATE_COMMAND_CLASS_NAME, GEN_DIAGRAM_UPDATER__UPDATE_COMMAND_ID, GEN_DIAGRAM_UPDATER_FEATURE_COUNT, GEN_DOMAIN_ATTRIBUTE_TARGET, GEN_DOMAIN_ATTRIBUTE_TARGET__ATTRIBUTE, GEN_DOMAIN_ATTRIBUTE_TARGET__CONTEXT_SELECTOR, GEN_DOMAIN_ATTRIBUTE_TARGET__NULL_AS_ERROR, GEN_DOMAIN_ATTRIBUTE_TARGET_FEATURE_COUNT, GEN_DOMAIN_ELEMENT_TARGET, GEN_DOMAIN_ELEMENT_TARGET__CONTEXT_SELECTOR, GEN_DOMAIN_ELEMENT_TARGET__ELEMENT, GEN_DOMAIN_ELEMENT_TARGET_FEATURE_COUNT, GEN_DOMAIN_MODEL_NAVIGATOR, GEN_DOMAIN_MODEL_NAVIGATOR__DOMAIN_CONTENT_EXTENSION_ID, GEN_DOMAIN_MODEL_NAVIGATOR__DOMAIN_CONTENT_EXTENSION_NAME, GEN_DOMAIN_MODEL_NAVIGATOR__DOMAIN_CONTENT_EXTENSION_PRIORITY, GEN_DOMAIN_MODEL_NAVIGATOR__DOMAIN_CONTENT_PROVIDER_CLASS_NAME, GEN_DOMAIN_MODEL_NAVIGATOR__DOMAIN_LABEL_PROVIDER_CLASS_NAME, GEN_DOMAIN_MODEL_NAVIGATOR__DOMAIN_MODEL_ELEMENT_TESTER_CLASS_NAME, GEN_DOMAIN_MODEL_NAVIGATOR__DOMAIN_NAVIGATOR_ITEM_CLASS_NAME, GEN_DOMAIN_MODEL_NAVIGATOR__GENERATE_DOMAIN_MODEL_NAVIGATOR, GEN_DOMAIN_MODEL_NAVIGATOR_FEATURE_COUNT, GEN_EDITOR_GENERATOR, GEN_EDITOR_GENERATOR__APPLICATION, GEN_EDITOR_GENERATOR__AUDITS, GEN_EDITOR_GENERATOR__COPYRIGHT_TEXT, GEN_EDITOR_GENERATOR__DIAGRAM, GEN_EDITOR_GENERATOR__DIAGRAM_FILE_EXTENSION, GEN_EDITOR_GENERATOR__DIAGRAM_UPDATER, GEN_EDITOR_GENERATOR__DOMAIN_FILE_EXTENSION, GEN_EDITOR_GENERATOR__DOMAIN_GEN_MODEL, GEN_EDITOR_GENERATOR__DYNAMIC_TEMPLATES, GEN_EDITOR_GENERATOR__EDITOR, GEN_EDITOR_GENERATOR__EXPRESSION_PROVIDERS, GEN_EDITOR_GENERATOR__METRICS, GEN_EDITOR_GENERATOR__MODEL_ACCESS, GEN_EDITOR_GENERATOR__MODEL_ID, GEN_EDITOR_GENERATOR__NAVIGATOR, GEN_EDITOR_GENERATOR__PACKAGE_NAME_PREFIX, GEN_EDITOR_GENERATOR__PLUGIN, GEN_EDITOR_GENERATOR__PROPERTY_SHEET, GEN_EDITOR_GENERATOR__SAME_FILE_FOR_DIAGRAM_AND_MODEL, GEN_EDITOR_GENERATOR__TEMPLATE_DIRECTORY, GEN_EDITOR_GENERATOR_FEATURE_COUNT, GEN_EDITOR_VIEW, GEN_EDITOR_VIEW__ACTION_BAR_CONTRIBUTOR_CLASS_NAME, GEN_EDITOR_VIEW__CLASS_NAME, GEN_EDITOR_VIEW__CONTEXT_ID, GEN_EDITOR_VIEW__ECLIPSE_EDITOR, GEN_EDITOR_VIEW__EDITOR_GEN, GEN_EDITOR_VIEW__ICON_PATH, GEN_EDITOR_VIEW__ICON_PATH_X, GEN_EDITOR_VIEW__ID, GEN_EDITOR_VIEW__PACKAGE_NAME, GEN_EDITOR_VIEW_FEATURE_COUNT, GEN_ELEMENT_INITIALIZER, GEN_ELEMENT_INITIALIZER__TYPE_MODEL_FACET, GEN_ELEMENT_INITIALIZER_FEATURE_COUNT, GEN_EXPRESSION_INTERPRETER, GEN_EXPRESSION_INTERPRETER__CLASS_NAME, GEN_EXPRESSION_INTERPRETER__CONTAINER, GEN_EXPRESSION_INTERPRETER__EXPRESSIONS, GEN_EXPRESSION_INTERPRETER__LANGUAGE, GEN_EXPRESSION_INTERPRETER_FEATURE_COUNT, GEN_EXPRESSION_PROVIDER_BASE, GEN_EXPRESSION_PROVIDER_BASE__CONTAINER, GEN_EXPRESSION_PROVIDER_BASE__EXPRESSIONS, GEN_EXPRESSION_PROVIDER_BASE_FEATURE_COUNT, GEN_EXPRESSION_PROVIDER_CONTAINER, GEN_EXPRESSION_PROVIDER_CONTAINER__ABSTRACT_EXPRESSION_CLASS_NAME, GEN_EXPRESSION_PROVIDER_CONTAINER__EDITOR_GEN, GEN_EXPRESSION_PROVIDER_CONTAINER__EXPRESSIONS_PACKAGE_NAME, GEN_EXPRESSION_PROVIDER_CONTAINER__PROVIDERS, GEN_EXPRESSION_PROVIDER_CONTAINER_FEATURE_COUNT, GEN_EXTERNAL_NODE_LABEL, GEN_EXTERNAL_NODE_LABEL__BEHAVIOUR, GEN_EXTERNAL_NODE_LABEL__DIAGRAM_RUN_TIME_CLASS, GEN_EXTERNAL_NODE_LABEL__EDIT_PART_CLASS_NAME, GEN_EXTERNAL_NODE_LABEL__ELEMENT_ICON, GEN_EXTERNAL_NODE_LABEL__ELEMENT_TYPE, GEN_EXTERNAL_NODE_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_EXTERNAL_NODE_LABEL__MODEL_FACET, GEN_EXTERNAL_NODE_LABEL__NODE, GEN_EXTERNAL_NODE_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_EXTERNAL_NODE_LABEL__READ_ONLY, GEN_EXTERNAL_NODE_LABEL__SANS_DOMAIN, GEN_EXTERNAL_NODE_LABEL__STYLES, GEN_EXTERNAL_NODE_LABEL__VIEWMAP, GEN_EXTERNAL_NODE_LABEL__VISUAL_ID, GEN_EXTERNAL_NODE_LABEL_FEATURE_COUNT, GEN_FEATURE_INITIALIZER, GEN_FEATURE_INITIALIZER__FEATURE, GEN_FEATURE_INITIALIZER__FEATURE_SEQ_INITIALIZER, GEN_FEATURE_INITIALIZER_FEATURE_COUNT, GEN_FEATURE_SEQ_INITIALIZER, GEN_FEATURE_SEQ_INITIALIZER__CREATING_INITIALIZER, GEN_FEATURE_SEQ_INITIALIZER__ELEMENT_CLASS, GEN_FEATURE_SEQ_INITIALIZER__INITIALIZERS, GEN_FEATURE_SEQ_INITIALIZER__TYPE_MODEL_FACET, GEN_FEATURE_SEQ_INITIALIZER_FEATURE_COUNT, GEN_FEATURE_VALUE_SPEC, GEN_FEATURE_VALUE_SPEC__FEATURE, GEN_FEATURE_VALUE_SPEC__FEATURE_SEQ_INITIALIZER, GEN_FEATURE_VALUE_SPEC__VALUE, GEN_FEATURE_VALUE_SPEC_FEATURE_COUNT, GEN_FONT, GEN_FONT_FEATURE_COUNT, GEN_GROUP_MARKER, GEN_GROUP_MARKER__APPLICATION, GEN_GROUP_MARKER__GROUP_NAME, GEN_GROUP_MARKER__OWNER, GEN_GROUP_MARKER_FEATURE_COUNT, GEN_JAVA_EXPRESSION_PROVIDER, GEN_JAVA_EXPRESSION_PROVIDER__CONTAINER, GEN_JAVA_EXPRESSION_PROVIDER__EXPRESSIONS, GEN_JAVA_EXPRESSION_PROVIDER__INJECT_EXPRESSION_BODY, GEN_JAVA_EXPRESSION_PROVIDER__THROW_EXCEPTION, GEN_JAVA_EXPRESSION_PROVIDER_FEATURE_COUNT, GEN_LABEL, GEN_LABEL__BEHAVIOUR, GEN_LABEL__DIAGRAM_RUN_TIME_CLASS, GEN_LABEL__EDIT_PART_CLASS_NAME, GEN_LABEL__ELEMENT_ICON, GEN_LABEL__ELEMENT_TYPE, GEN_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_LABEL__MODEL_FACET, GEN_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_LABEL__READ_ONLY, GEN_LABEL__SANS_DOMAIN, GEN_LABEL__STYLES, GEN_LABEL__VIEWMAP, GEN_LABEL__VISUAL_ID, GEN_LABEL_FEATURE_COUNT, GEN_LANGUAGE, GEN_LINK, GEN_LINK__BEHAVIOUR, GEN_LINK__CREATE_COMMAND_CLASS_NAME, GEN_LINK__CREATION_CONSTRAINTS, GEN_LINK__DIAGRAM, GEN_LINK__DIAGRAM_RUN_TIME_CLASS, GEN_LINK__EDIT_PART_CLASS_NAME, GEN_LINK__ELEMENT_TYPE, GEN_LINK__INCOMING_CREATION_ALLOWED, GEN_LINK__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_LINK__LABELS, GEN_LINK__MODEL_FACET, GEN_LINK__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_LINK__OUTGOING_CREATION_ALLOWED, GEN_LINK__REORIENT_COMMAND_CLASS_NAME, GEN_LINK__SANS_DOMAIN, GEN_LINK__STYLES, GEN_LINK__TREE_BRANCH, GEN_LINK__VIEW_DIRECTION_ALIGNED_WITH_MODEL, GEN_LINK__VIEWMAP, GEN_LINK__VISUAL_ID, GEN_LINK_CONSTRAINTS, GEN_LINK_CONSTRAINTS__LINK, GEN_LINK_CONSTRAINTS__SOURCE_END, GEN_LINK_CONSTRAINTS__TARGET_END, GEN_LINK_CONSTRAINTS_FEATURE_COUNT, GEN_LINK_FEATURE_COUNT, GEN_LINK_LABEL, GEN_LINK_LABEL__ALIGNMENT, GEN_LINK_LABEL__BEHAVIOUR, GEN_LINK_LABEL__DIAGRAM_RUN_TIME_CLASS, GEN_LINK_LABEL__EDIT_PART_CLASS_NAME, GEN_LINK_LABEL__ELEMENT_ICON, GEN_LINK_LABEL__ELEMENT_TYPE, GEN_LINK_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_LINK_LABEL__LINK, GEN_LINK_LABEL__MODEL_FACET, GEN_LINK_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_LINK_LABEL__READ_ONLY, GEN_LINK_LABEL__SANS_DOMAIN, GEN_LINK_LABEL__STYLES, GEN_LINK_LABEL__VIEWMAP, GEN_LINK_LABEL__VISUAL_ID, GEN_LINK_LABEL_FEATURE_COUNT, GEN_MEASURABLE, GEN_MEASURABLE_FEATURE_COUNT, GEN_MENU_MANAGER, GEN_MENU_MANAGER__APPLICATION, GEN_MENU_MANAGER__ID, GEN_MENU_MANAGER__ITEMS, GEN_MENU_MANAGER__NAME, GEN_MENU_MANAGER__OWNER, GEN_MENU_MANAGER_FEATURE_COUNT, GEN_METRIC_CONTAINER, GEN_METRIC_CONTAINER__EDITOR_GEN, GEN_METRIC_CONTAINER__METRICS, GEN_METRIC_CONTAINER_FEATURE_COUNT, GEN_METRIC_RULE, GEN_METRIC_RULE__CONTAINER, GEN_METRIC_RULE__DESCRIPTION, GEN_METRIC_RULE__HIGH_LIMIT, GEN_METRIC_RULE__KEY, GEN_METRIC_RULE__LOW_LIMIT, GEN_METRIC_RULE__NAME, GEN_METRIC_RULE__RULE, GEN_METRIC_RULE__TARGET, GEN_METRIC_RULE_FEATURE_COUNT, GEN_NAVIGATOR, GEN_NAVIGATOR__ABSTRACT_NAVIGATOR_ITEM_CLASS_NAME, GEN_NAVIGATOR__ACTION_PROVIDER_CLASS_NAME, GEN_NAVIGATOR__ACTION_PROVIDER_ID, GEN_NAVIGATOR__CHILD_REFERENCES, GEN_NAVIGATOR__CONTENT_EXTENSION_ID, GEN_NAVIGATOR__CONTENT_EXTENSION_NAME, GEN_NAVIGATOR__CONTENT_EXTENSION_PRIORITY, GEN_NAVIGATOR__CONTENT_PROVIDER_CLASS_NAME, GEN_NAVIGATOR__DOMAIN_CONTENT_EXTENSION_ID, GEN_NAVIGATOR__DOMAIN_CONTENT_EXTENSION_NAME, GEN_NAVIGATOR__DOMAIN_CONTENT_EXTENSION_PRIORITY, GEN_NAVIGATOR__DOMAIN_CONTENT_PROVIDER_CLASS_NAME, GEN_NAVIGATOR__DOMAIN_LABEL_PROVIDER_CLASS_NAME, GEN_NAVIGATOR__DOMAIN_MODEL_ELEMENT_TESTER_CLASS_NAME, GEN_NAVIGATOR__DOMAIN_NAVIGATOR_ITEM_CLASS_NAME, GEN_NAVIGATOR__EDITOR_GEN, GEN_NAVIGATOR__GENERATE_DOMAIN_MODEL_NAVIGATOR, GEN_NAVIGATOR__LABEL_PROVIDER_CLASS_NAME, GEN_NAVIGATOR__LINK_HELPER_CLASS_NAME, GEN_NAVIGATOR__LINK_HELPER_EXTENSION_ID, GEN_NAVIGATOR__NAVIGATOR_GROUP_CLASS_NAME, GEN_NAVIGATOR__NAVIGATOR_ITEM_CLASS_NAME, GEN_NAVIGATOR__PACKAGE_NAME, GEN_NAVIGATOR__SORTER_CLASS_NAME, GEN_NAVIGATOR__SORTER_EXTENSION_ID, GEN_NAVIGATOR__URI_INPUT_TESTER_CLASS_NAME, GEN_NAVIGATOR_CHILD_REFERENCE, GEN_NAVIGATOR_CHILD_REFERENCE__CHILD, GEN_NAVIGATOR_CHILD_REFERENCE__GROUP_ICON, GEN_NAVIGATOR_CHILD_REFERENCE__GROUP_NAME, GEN_NAVIGATOR_CHILD_REFERENCE__HIDE_IF_EMPTY, GEN_NAVIGATOR_CHILD_REFERENCE__NAVIGATOR, GEN_NAVIGATOR_CHILD_REFERENCE__PARENT, GEN_NAVIGATOR_CHILD_REFERENCE__REFERENCE_TYPE, GEN_NAVIGATOR_CHILD_REFERENCE_FEATURE_COUNT, GEN_NAVIGATOR_FEATURE_COUNT, GEN_NAVIGATOR_PATH, GEN_NAVIGATOR_PATH__SEGMENTS, GEN_NAVIGATOR_PATH_FEATURE_COUNT, GEN_NAVIGATOR_PATH_SEGMENT, GEN_NAVIGATOR_PATH_SEGMENT__FROM, GEN_NAVIGATOR_PATH_SEGMENT__PATH, GEN_NAVIGATOR_PATH_SEGMENT__TO, GEN_NAVIGATOR_PATH_SEGMENT_FEATURE_COUNT, GEN_NAVIGATOR_REFERENCE_TYPE, GEN_NODE, GEN_NODE__BEHAVIOUR, GEN_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_NODE__CHILD_NODES, GEN_NODE__COMPARTMENTS, GEN_NODE__CONTAINED_NODES, GEN_NODE__CREATE_COMMAND_CLASS_NAME, GEN_NODE__DIAGRAM_RUN_TIME_CLASS, GEN_NODE__EDIT_PART_CLASS_NAME, GEN_NODE__ELEMENT_TYPE, GEN_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_NODE__LABELS, GEN_NODE__MODEL_FACET, GEN_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_NODE__PRIMARY_DRAG_EDIT_POLICY_QUALIFIED_CLASS_NAME, GEN_NODE__REORIENTED_INCOMING_LINKS, GEN_NODE__SANS_DOMAIN, GEN_NODE__STYLES, GEN_NODE__VIEWMAP, GEN_NODE__VISUAL_ID, GEN_NODE_FEATURE_COUNT, GEN_NODE_LABEL, GEN_NODE_LABEL__BEHAVIOUR, GEN_NODE_LABEL__DIAGRAM_RUN_TIME_CLASS, GEN_NODE_LABEL__EDIT_PART_CLASS_NAME, GEN_NODE_LABEL__ELEMENT_ICON, GEN_NODE_LABEL__ELEMENT_TYPE, GEN_NODE_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_NODE_LABEL__MODEL_FACET, GEN_NODE_LABEL__NODE, GEN_NODE_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_NODE_LABEL__READ_ONLY, GEN_NODE_LABEL__SANS_DOMAIN, GEN_NODE_LABEL__STYLES, GEN_NODE_LABEL__VIEWMAP, GEN_NODE_LABEL__VISUAL_ID, GEN_NODE_LABEL_FEATURE_COUNT, GEN_NOTATION_ELEMENT_TARGET, GEN_NOTATION_ELEMENT_TARGET__CONTEXT_SELECTOR, GEN_NOTATION_ELEMENT_TARGET__ELEMENT, GEN_NOTATION_ELEMENT_TARGET_FEATURE_COUNT, GEN_PLUGIN, GEN_PLUGIN__ACTIVATOR_CLASS_NAME, GEN_PLUGIN__EDITOR_GEN, GEN_PLUGIN__ID, GEN_PLUGIN__NAME, GEN_PLUGIN__PRINTING_ENABLED, GEN_PLUGIN__PROVIDER, GEN_PLUGIN__REQUIRED_PLUGINS, GEN_PLUGIN__VERSION, GEN_PLUGIN_FEATURE_COUNT, GEN_PREFERENCE_PAGE, GEN_PREFERENCE_PAGE__CHILDREN, GEN_PREFERENCE_PAGE__ID, GEN_PREFERENCE_PAGE__NAME, GEN_PREFERENCE_PAGE__PARENT, GEN_PREFERENCE_PAGE_FEATURE_COUNT, GEN_PROPERTY_SHEET, GEN_PROPERTY_SHEET__EDITOR_GEN, GEN_PROPERTY_SHEET__LABEL_PROVIDER_CLASS_NAME, GEN_PROPERTY_SHEET__NEEDS_CAPTION, GEN_PROPERTY_SHEET__PACKAGE_NAME, GEN_PROPERTY_SHEET__READ_ONLY, GEN_PROPERTY_SHEET__TABS, GEN_PROPERTY_SHEET_FEATURE_COUNT, GEN_PROPERTY_TAB, GEN_PROPERTY_TAB__ID, GEN_PROPERTY_TAB__LABEL, GEN_PROPERTY_TAB__SHEET, GEN_PROPERTY_TAB_FEATURE_COUNT, GEN_PROPERTY_TAB_FILTER, GEN_PROPERTY_TAB_FILTER__TAB, GEN_PROPERTY_TAB_FILTER_FEATURE_COUNT, GEN_REFERENCE_NEW_ELEMENT_SPEC, GEN_REFERENCE_NEW_ELEMENT_SPEC__FEATURE, GEN_REFERENCE_NEW_ELEMENT_SPEC__FEATURE_SEQ_INITIALIZER, GEN_REFERENCE_NEW_ELEMENT_SPEC__NEW_ELEMENT_INITIALIZERS, GEN_REFERENCE_NEW_ELEMENT_SPEC_FEATURE_COUNT, GEN_RGB_COLOR, GEN_RGB_COLOR__BLUE, GEN_RGB_COLOR__GREEN, GEN_RGB_COLOR__RED, GEN_RGB_COLOR_FEATURE_COUNT, GEN_RULE_BASE, GEN_RULE_BASE__DESCRIPTION, GEN_RULE_BASE__NAME, GEN_RULE_BASE_FEATURE_COUNT, GEN_RULE_TARGET, GEN_RULE_TARGET_FEATURE_COUNT, GEN_SEPARATOR, GEN_SEPARATOR__APPLICATION, GEN_SEPARATOR__GROUP_NAME, GEN_SEPARATOR__OWNER, GEN_SEPARATOR_FEATURE_COUNT, GEN_SEVERITY, GEN_SHARED_CONTRIBUTION_ITEM, GEN_SHARED_CONTRIBUTION_ITEM__ACTUAL_ITEM, GEN_SHARED_CONTRIBUTION_ITEM__APPLICATION, GEN_SHARED_CONTRIBUTION_ITEM__OWNER, GEN_SHARED_CONTRIBUTION_ITEM_FEATURE_COUNT, GEN_STANDARD_FONT, GEN_STANDARD_FONT__NAME, GEN_STANDARD_FONT_FEATURE_COUNT, GEN_STANDARD_PREFERENCE_PAGE, GEN_STANDARD_PREFERENCE_PAGE__CHILDREN, GEN_STANDARD_PREFERENCE_PAGE__ID, GEN_STANDARD_PREFERENCE_PAGE__KIND, GEN_STANDARD_PREFERENCE_PAGE__NAME, GEN_STANDARD_PREFERENCE_PAGE__PARENT, GEN_STANDARD_PREFERENCE_PAGE_FEATURE_COUNT, GEN_STANDARD_PROPERTY_TAB, GEN_STANDARD_PROPERTY_TAB__ID, GEN_STANDARD_PROPERTY_TAB__LABEL, GEN_STANDARD_PROPERTY_TAB__SHEET, GEN_STANDARD_PROPERTY_TAB_FEATURE_COUNT, GEN_TOOL_BAR_MANAGER, GEN_TOOL_BAR_MANAGER__APPLICATION, GEN_TOOL_BAR_MANAGER__ID, GEN_TOOL_BAR_MANAGER__ITEMS, GEN_TOOL_BAR_MANAGER__OWNER, GEN_TOOL_BAR_MANAGER_FEATURE_COUNT, GEN_TOP_LEVEL_NODE, GEN_TOP_LEVEL_NODE__BEHAVIOUR, GEN_TOP_LEVEL_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_TOP_LEVEL_NODE__CHILD_NODES, GEN_TOP_LEVEL_NODE__COMPARTMENTS, GEN_TOP_LEVEL_NODE__CONTAINED_NODES, GEN_TOP_LEVEL_NODE__CREATE_COMMAND_CLASS_NAME, GEN_TOP_LEVEL_NODE__DIAGRAM, GEN_TOP_LEVEL_NODE__DIAGRAM_RUN_TIME_CLASS, GEN_TOP_LEVEL_NODE__EDIT_PART_CLASS_NAME, GEN_TOP_LEVEL_NODE__ELEMENT_TYPE, GEN_TOP_LEVEL_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_TOP_LEVEL_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_TOP_LEVEL_NODE__LABELS, GEN_TOP_LEVEL_NODE__MODEL_FACET, GEN_TOP_LEVEL_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_TOP_LEVEL_NODE__PRIMARY_DRAG_EDIT_POLICY_QUALIFIED_CLASS_NAME, GEN_TOP_LEVEL_NODE__REORIENTED_INCOMING_LINKS, GEN_TOP_LEVEL_NODE__SANS_DOMAIN, GEN_TOP_LEVEL_NODE__STYLES, GEN_TOP_LEVEL_NODE__VIEWMAP, GEN_TOP_LEVEL_NODE__VISUAL_ID, GEN_TOP_LEVEL_NODE_FEATURE_COUNT, GENERATED_TYPE, INNER_CLASS_VIEWMAP, INNER_CLASS_VIEWMAP__ATTRIBUTES, INNER_CLASS_VIEWMAP__CLASS_BODY, INNER_CLASS_VIEWMAP__CLASS_NAME, INNER_CLASS_VIEWMAP__LAYOUT_TYPE, INNER_CLASS_VIEWMAP__REQUIRED_PLUGIN_IDS, INNER_CLASS_VIEWMAP_FEATURE_COUNT, JFACE_FONT, LABEL_MODEL_FACET, LABEL_MODEL_FACET_FEATURE_COUNT, LABEL_OFFSET_ATTRIBUTES, LABEL_OFFSET_ATTRIBUTES__X, LABEL_OFFSET_ATTRIBUTES__Y, LABEL_OFFSET_ATTRIBUTES_FEATURE_COUNT, LABEL_TEXT_ACCESS_METHOD, LINE_STYLE, LINK_CONSTRAINTS, LINK_CONSTRAINTS_FEATURE_COUNT, LINK_LABEL_ALIGNMENT, LINK_MODEL_FACET, LINK_MODEL_FACET_FEATURE_COUNT, MEASUREMENT_UNIT, MEASUREMENT_UNIT__UNITS, MEASUREMENT_UNIT_FEATURE_COUNT, METAMODEL_TYPE, METAMODEL_TYPE__DEFINED_EXTERNALLY, METAMODEL_TYPE__DIAGRAM_ELEMENT, METAMODEL_TYPE__DISPLAY_NAME, METAMODEL_TYPE__EDIT_HELPER_CLASS_NAME, METAMODEL_TYPE__UNIQUE_IDENTIFIER, METAMODEL_TYPE_FEATURE_COUNT, MODEL_FACET, MODEL_FACET_FEATURE_COUNT, NOTATION_TYPE, NOTATION_TYPE__DEFINED_EXTERNALLY, NOTATION_TYPE__DIAGRAM_ELEMENT, NOTATION_TYPE__DISPLAY_NAME, NOTATION_TYPE__UNIQUE_IDENTIFIER, NOTATION_TYPE_FEATURE_COUNT, OPEN_DIAGRAM_BEHAVIOUR, OPEN_DIAGRAM_BEHAVIOUR__DIAGRAM_KIND, OPEN_DIAGRAM_BEHAVIOUR__EDIT_POLICY_CLASS_NAME, OPEN_DIAGRAM_BEHAVIOUR__EDITOR_ID, OPEN_DIAGRAM_BEHAVIOUR__OPEN_AS_ECLIPSE_EDITOR, OPEN_DIAGRAM_BEHAVIOUR__SUBJECT, OPEN_DIAGRAM_BEHAVIOUR_FEATURE_COUNT, PACKAGE_NAMES, PACKAGE_NAMES__EDIT_COMMANDS_PACKAGE_NAME, PACKAGE_NAMES__EDIT_HELPERS_PACKAGE_NAME, PACKAGE_NAMES__EDIT_PARTS_PACKAGE_NAME, PACKAGE_NAMES__EDIT_POLICIES_PACKAGE_NAME, PACKAGE_NAMES__NOTATION_VIEW_FACTORIES_PACKAGE_NAME, PACKAGE_NAMES__PARSERS_PACKAGE_NAME, PACKAGE_NAMES__PREFERENCES_PACKAGE_NAME, PACKAGE_NAMES__PROVIDERS_PACKAGE_NAME, PACKAGE_NAMES_FEATURE_COUNT, PALETTE, PALETTE__DIAGRAM, PALETTE__FACTORY_CLASS_NAME, PALETTE__FLYOUT, PALETTE__GROUPS, PALETTE__PACKAGE_NAME, PALETTE_FEATURE_COUNT, PARENT_ASSIGNED_VIEWMAP, PARENT_ASSIGNED_VIEWMAP__ATTRIBUTES, PARENT_ASSIGNED_VIEWMAP__FIGURE_QUALIFIED_CLASS_NAME, PARENT_ASSIGNED_VIEWMAP__GETTER_NAME, PARENT_ASSIGNED_VIEWMAP__LAYOUT_TYPE, PARENT_ASSIGNED_VIEWMAP__REQUIRED_PLUGIN_IDS, PARENT_ASSIGNED_VIEWMAP__SETTER_NAME, PARENT_ASSIGNED_VIEWMAP_FEATURE_COUNT, PROVIDER_CLASS_NAMES, PROVIDER_CLASS_NAMES__CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__EDIT_PART_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__EDIT_PART_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__ELEMENT_TYPES_CLASS_NAME, PROVIDER_CLASS_NAMES__ICON_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__ICON_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__MODELING_ASSISTANT_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__MODELING_ASSISTANT_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__NOTATION_VIEW_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__NOTATION_VIEW_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__PARSER_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__PARSER_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES_FEATURE_COUNT, PROVIDER_PRIORITY, RESIZE_CONSTRAINTS, RESIZE_CONSTRAINTS__NON_RESIZE_HANDLE_NAMES, RESIZE_CONSTRAINTS__NON_RESIZE_HANDLES, RESIZE_CONSTRAINTS__RESIZE_HANDLE_NAMES, RESIZE_CONSTRAINTS__RESIZE_HANDLES, RESIZE_CONSTRAINTS_FEATURE_COUNT, ROUTING, RULER_UNITS, SEPARATOR, SEPARATOR__GROUP, SEPARATOR_FEATURE_COUNT, SHARED_BEHAVIOUR, SHARED_BEHAVIOUR__DELEGATE, SHARED_BEHAVIOUR__SUBJECT, SHARED_BEHAVIOUR_FEATURE_COUNT, SHORTCUTS, SHORTCUTS__CONTAINS_SHORTCUTS_TO, SHORTCUTS__CREATE_SHORTCUT_ACTION_CLASS_NAME, SHORTCUTS__CREATE_SHORTCUT_DECORATIONS_COMMAND_CLASS_NAME, SHORTCUTS__SHORTCUT_PROPERTY_TESTER_CLASS_NAME, SHORTCUTS__SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME, SHORTCUTS__SHORTCUTS_DECORATOR_PROVIDER_PRIORITY, SHORTCUTS__SHORTCUTS_PROVIDED_FOR, SHORTCUTS_FEATURE_COUNT, SNIPPET_VIEWMAP, SNIPPET_VIEWMAP__ATTRIBUTES, SNIPPET_VIEWMAP__BODY, SNIPPET_VIEWMAP__LAYOUT_TYPE, SNIPPET_VIEWMAP__REQUIRED_PLUGIN_IDS, SNIPPET_VIEWMAP_FEATURE_COUNT, SPECIALIZATION_TYPE, SPECIALIZATION_TYPE__DEFINED_EXTERNALLY, SPECIALIZATION_TYPE__DIAGRAM_ELEMENT, SPECIALIZATION_TYPE__DISPLAY_NAME, SPECIALIZATION_TYPE__EDIT_HELPER_ADVICE_CLASS_NAME, SPECIALIZATION_TYPE__METAMODEL_TYPE, SPECIALIZATION_TYPE__UNIQUE_IDENTIFIER, SPECIALIZATION_TYPE_FEATURE_COUNT, STANDARD_ENTRY, STANDARD_ENTRY__CREATE_METHOD_NAME, STANDARD_ENTRY__DEFAULT, STANDARD_ENTRY__DESCRIPTION, STANDARD_ENTRY__GROUP, STANDARD_ENTRY__KIND, STANDARD_ENTRY__LARGE_ICON_PATH, STANDARD_ENTRY__PROPERTIES, STANDARD_ENTRY__QUALIFIED_TOOL_NAME, STANDARD_ENTRY__SMALL_ICON_PATH, STANDARD_ENTRY__TITLE, STANDARD_ENTRY_FEATURE_COUNT, STANDARD_ENTRY_KIND, STANDARD_PREFERENCE_PAGES, STYLE_ATTRIBUTES, STYLE_ATTRIBUTES__FIXED_BACKGROUND, STYLE_ATTRIBUTES__FIXED_FONT, STYLE_ATTRIBUTES__FIXED_FOREGROUND, STYLE_ATTRIBUTES_FEATURE_COUNT, TOOL_ENTRY, TOOL_ENTRY__CREATE_METHOD_NAME, TOOL_ENTRY__DEFAULT, TOOL_ENTRY__DESCRIPTION, TOOL_ENTRY__ELEMENTS, TOOL_ENTRY__GEN_LINKS, TOOL_ENTRY__GEN_NODES, TOOL_ENTRY__GROUP, TOOL_ENTRY__LARGE_ICON_PATH, TOOL_ENTRY__PROPERTIES, TOOL_ENTRY__QUALIFIED_TOOL_NAME, TOOL_ENTRY__SMALL_ICON_PATH, TOOL_ENTRY__TITLE, TOOL_ENTRY_FEATURE_COUNT, TOOL_GROUP, TOOL_GROUP__COLLAPSE, TOOL_GROUP__CREATE_METHOD_NAME, TOOL_GROUP__DESCRIPTION, TOOL_GROUP__ENTRIES, TOOL_GROUP__GROUP, TOOL_GROUP__LARGE_ICON_PATH, TOOL_GROUP__PALETTE, TOOL_GROUP__SMALL_ICON_PATH, TOOL_GROUP__STACK, TOOL_GROUP__TITLE, TOOL_GROUP__TOOLS_ONLY, TOOL_GROUP_FEATURE_COUNT, TOOL_GROUP_ITEM, TOOL_GROUP_ITEM__GROUP, TOOL_GROUP_ITEM_FEATURE_COUNT, TYPE_LINK_MODEL_FACET, TYPE_LINK_MODEL_FACET__CHILD_META_FEATURE, TYPE_LINK_MODEL_FACET__CONTAINMENT_META_FEATURE, TYPE_LINK_MODEL_FACET__META_CLASS, TYPE_LINK_MODEL_FACET__MODEL_ELEMENT_INITIALIZER, TYPE_LINK_MODEL_FACET__MODEL_ELEMENT_SELECTOR, TYPE_LINK_MODEL_FACET__SOURCE_META_FEATURE, TYPE_LINK_MODEL_FACET__TARGET_META_FEATURE, TYPE_LINK_MODEL_FACET_FEATURE_COUNT, TYPE_MODEL_FACET, TYPE_MODEL_FACET__CHILD_META_FEATURE, TYPE_MODEL_FACET__CONTAINMENT_META_FEATURE, TYPE_MODEL_FACET__META_CLASS, TYPE_MODEL_FACET__MODEL_ELEMENT_INITIALIZER, TYPE_MODEL_FACET__MODEL_ELEMENT_SELECTOR, TYPE_MODEL_FACET_FEATURE_COUNT, TYPE_TAB_FILTER, TYPE_TAB_FILTER__GENERATED_TYPES, TYPE_TAB_FILTER__TAB, TYPE_TAB_FILTER__TYPES, TYPE_TAB_FILTER_FEATURE_COUNT, VALUE_EXPRESSION, VALUE_EXPRESSION__BODY, VALUE_EXPRESSION__LANG_NAME, VALUE_EXPRESSION__PROVIDER, VALUE_EXPRESSION_FEATURE_COUNT, VIEWMAP, VIEWMAP__ATTRIBUTES, VIEWMAP__LAYOUT_TYPE, VIEWMAP__REQUIRED_PLUGIN_IDS, VIEWMAP_FEATURE_COUNT, VIEWMAP_LAYOUT_TYPE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createConstraintsAnnotations()` Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints
`protected void` `createDeprecatedAnnotations()` Initializes the annotations for http://www.eclipse.org/gmf/2006/deprecated
`protected void` `createEmfaticAnnotationMapAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2004/EmfaticAnnotationMap
`protected void` `createMetaAnnotations()` Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints/meta
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` `getAbstractToolEntry_Default()`
`org.eclipse.emf.ecore.EReference` `getAbstractToolEntry_Properties()`
`org.eclipse.emf.ecore.EAttribute` `getAbstractToolEntry_QualifiedToolName()`
`org.eclipse.emf.ecore.EClass` `getAbstractToolEntry()`
`org.eclipse.emf.ecore.EClass` `getAttributes()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_LiveValidationUIFeedback()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_MarkerNavigationProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_MarkerNavigationProviderPriority()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_MetricProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_MetricProviderPriority()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_ValidationDecoratorProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_ValidationDecoratorProviderPriority()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_ValidationDecorators()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_ValidationEnabled()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_ValidationProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getBatchValidation_ValidationProviderPriority()`
`org.eclipse.emf.ecore.EClass` `getBatchValidation()`
`org.eclipse.emf.ecore.EReference` `getBehaviour_Subject()`
`org.eclipse.emf.ecore.EClass` `getBehaviour()`
`org.eclipse.emf.ecore.EAttribute` `getColorAttributes_BackgroundColor()`
`org.eclipse.emf.ecore.EAttribute` `getColorAttributes_ForegroundColor()`
`org.eclipse.emf.ecore.EClass` `getColorAttributes()`
`org.eclipse.emf.ecore.EAttribute` `getCustomBehaviour_EditPolicyQualifiedClassName()`
`org.eclipse.emf.ecore.EAttribute` `getCustomBehaviour_Key()`
`org.eclipse.emf.ecore.EClass` `getCustomBehaviour()`
`org.eclipse.emf.ecore.EAttribute` `getCustomTabFilter_ClassName()`
`org.eclipse.emf.ecore.EClass` `getCustomTabFilter()`
`org.eclipse.emf.ecore.EAttribute` `getDefaultSizeAttributes_Height()`
`org.eclipse.emf.ecore.EAttribute` `getDefaultSizeAttributes_Width()`
`org.eclipse.emf.ecore.EClass` `getDefaultSizeAttributes()`
`org.eclipse.emf.ecore.EClass` `getDesignLabelModelFacet()`
`org.eclipse.emf.ecore.EEnum` `getDiagramColors()`
`org.eclipse.emf.ecore.EAttribute` `getDynamicModelAccess_ClassName()`
`org.eclipse.emf.ecore.EReference` `getDynamicModelAccess_EditorGen()`
`org.eclipse.emf.ecore.EAttribute` `getDynamicModelAccess_PackageName()`
`org.eclipse.emf.ecore.EClass` `getDynamicModelAccess()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_CreationWizardCategoryID()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_CreationWizardClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_CreationWizardIconPath()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_CreationWizardIconPathX()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_CreationWizardPageClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_DiagramContentInitializerClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_DiagramEditorUtilClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_DocumentProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_EditingDomainID()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_ElementChooserClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_InitDiagramFileActionClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_LoadResourceActionClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_MatchingStrategyClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_NewDiagramFileWizardClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditorCandies_VisualIDRegistryClassName()`
`org.eclipse.emf.ecore.EClass` `getEditorCandies()`
`org.eclipse.emf.ecore.EAttribute` `getEditPartCandies_BaseEditHelperClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditPartCandies_BaseExternalNodeLabelEditPartClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditPartCandies_BaseGraphicalNodeEditPolicyClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditPartCandies_BaseItemSemanticEditPolicyClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditPartCandies_EditPartFactoryClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditPartCandies_ReorientConnectionViewCommandClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditPartCandies_TextNonResizableEditPolicyClassName()`
`org.eclipse.emf.ecore.EAttribute` `getEditPartCandies_TextSelectionEditPolicyClassName()`
`org.eclipse.emf.ecore.EClass` `getEditPartCandies()`
`org.eclipse.emf.ecore.EAttribute` `getElementType_DefinedExternally()`
`org.eclipse.emf.ecore.EReference` `getElementType_DiagramElement()`
`org.eclipse.emf.ecore.EAttribute` `getElementType_DisplayName()`
`org.eclipse.emf.ecore.EAttribute` `getElementType_UniqueIdentifier()`
`org.eclipse.emf.ecore.EClass` `getElementType()`
`org.eclipse.emf.ecore.EAttribute` `getEntryBase_CreateMethodName()`
`org.eclipse.emf.ecore.EAttribute` `getEntryBase_Description()`
`org.eclipse.emf.ecore.EAttribute` `getEntryBase_LargeIconPath()`
`org.eclipse.emf.ecore.EAttribute` `getEntryBase_SmallIconPath()`
`org.eclipse.emf.ecore.EAttribute` `getEntryBase_Title()`
`org.eclipse.emf.ecore.EClass` `getEntryBase()`
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelModelFacet_EditMethod()`
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelModelFacet_EditorPattern()`
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelModelFacet_EditPattern()`
`org.eclipse.emf.ecore.EReference` `getFeatureLabelModelFacet_MetaFeatures()`
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelModelFacet_ViewMethod()`
`org.eclipse.emf.ecore.EAttribute` `getFeatureLabelModelFacet_ViewPattern()`
`org.eclipse.emf.ecore.EClass` `getFeatureLabelModelFacet()`
`org.eclipse.emf.ecore.EReference` `getFeatureLinkModelFacet_MetaFeature()`
`org.eclipse.emf.ecore.EClass` `getFeatureLinkModelFacet()`
`org.eclipse.emf.ecore.EAttribute` `getFigureViewmap_FigureQualifiedClassName()`
`org.eclipse.emf.ecore.EClass` `getFigureViewmap()`
`org.eclipse.emf.ecore.EEnum` `getFontStyle()`
`org.eclipse.emf.ecore.EAttribute` `getGenActionFactoryContributionItem_Name()`
`org.eclipse.emf.ecore.EClass` `getGenActionFactoryContributionItem()`
`org.eclipse.emf.ecore.EAttribute` `getGenApplication_ActionBarAdvisorClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenApplication_ClassName()`
`org.eclipse.emf.ecore.EReference` `getGenApplication_EditorGen()`
`org.eclipse.emf.ecore.EAttribute` `getGenApplication_ID()`
`org.eclipse.emf.ecore.EReference` `getGenApplication_MainMenu()`
`org.eclipse.emf.ecore.EReference` `getGenApplication_MainToolBar()`
`org.eclipse.emf.ecore.EAttribute` `getGenApplication_PackageName()`
`org.eclipse.emf.ecore.EAttribute` `getGenApplication_PerspectiveClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenApplication_PerspectiveId()`
`org.eclipse.emf.ecore.EReference` `getGenApplication_SharedContributionItems()`
`org.eclipse.emf.ecore.EAttribute` `getGenApplication_SupportFiles()`
`org.eclipse.emf.ecore.EAttribute` `getGenApplication_Title()`
`org.eclipse.emf.ecore.EAttribute` `getGenApplication_WorkbenchAdvisorClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenApplication_WorkbenchWindowAdvisorClassName()`
`org.eclipse.emf.ecore.EClass` `getGenApplication()`
`org.eclipse.emf.ecore.EReference` `getGenAuditable_ContextSelector()`
`org.eclipse.emf.ecore.EClass` `getGenAuditable()`
`org.eclipse.emf.ecore.EReference` `getGenAuditContainer_Audits()`
`org.eclipse.emf.ecore.EAttribute` `getGenAuditContainer_Description()`
`org.eclipse.emf.ecore.EAttribute` `getGenAuditContainer_Id()`
`org.eclipse.emf.ecore.EAttribute` `getGenAuditContainer_Name()`
`org.eclipse.emf.ecore.EReference` `getGenAuditContainer_Path()`
`org.eclipse.emf.ecore.EReference` `getGenAuditContainer_Root()`
`org.eclipse.emf.ecore.EClass` `getGenAuditContainer()`
`org.eclipse.emf.ecore.EAttribute` `getGenAuditContext_ClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenAuditContext_Id()`
`org.eclipse.emf.ecore.EReference` `getGenAuditContext_Root()`
`org.eclipse.emf.ecore.EReference` `getGenAuditContext_RuleTargets()`
`org.eclipse.emf.ecore.EClass` `getGenAuditContext()`
`org.eclipse.emf.ecore.EReference` `getGenAuditedMetricTarget_Metric()`
`org.eclipse.emf.ecore.EReference` `getGenAuditedMetricTarget_MetricValueContext()`
`org.eclipse.emf.ecore.EClass` `getGenAuditedMetricTarget()`
`org.eclipse.emf.ecore.EReference` `getGenAuditRoot_Categories()`
`org.eclipse.emf.ecore.EReference` `getGenAuditRoot_ClientContexts()`
`org.eclipse.emf.ecore.EReference` `getGenAuditRoot_EditorGen()`
`org.eclipse.emf.ecore.EReference` `getGenAuditRoot_Rules()`
`org.eclipse.emf.ecore.EClass` `getGenAuditRoot()`
`org.eclipse.emf.ecore.EReference` `getGenAuditRule_Category()`
`org.eclipse.emf.ecore.EAttribute` `getGenAuditRule_Id()`
`org.eclipse.emf.ecore.EAttribute` `getGenAuditRule_Message()`
`org.eclipse.emf.ecore.EAttribute` `getGenAuditRule_RequiresConstraintAdapter()`
`org.eclipse.emf.ecore.EReference` `getGenAuditRule_Root()`
`org.eclipse.emf.ecore.EReference` `getGenAuditRule_Rule()`
`org.eclipse.emf.ecore.EAttribute` `getGenAuditRule_Severity()`
`org.eclipse.emf.ecore.EReference` `getGenAuditRule_Target()`
`org.eclipse.emf.ecore.EAttribute` `getGenAuditRule_UseInLiveMode()`
`org.eclipse.emf.ecore.EClass` `getGenAuditRule()`
`org.eclipse.emf.ecore.EReference` `getGenChildContainer_ChildNodes()`
`org.eclipse.emf.ecore.EClass` `getGenChildContainer()`
`org.eclipse.emf.ecore.EAttribute` `getGenChildLabelNode_LabelElementIcon()`
`org.eclipse.emf.ecore.EReference` `getGenChildLabelNode_LabelModelFacet()`
`org.eclipse.emf.ecore.EAttribute` `getGenChildLabelNode_LabelReadOnly()`
`org.eclipse.emf.ecore.EClass` `getGenChildLabelNode()`
`org.eclipse.emf.ecore.EReference` `getGenChildNode_Containers()`
`org.eclipse.emf.ecore.EReference` `getGenChildNode_Diagram()`
`org.eclipse.emf.ecore.EClass` `getGenChildNode()`
`org.eclipse.emf.ecore.EAttribute` `getGenChildSideAffixedNode_PreferredSideName()`
`org.eclipse.emf.ecore.EClass` `getGenChildSideAffixedNode()`
`org.eclipse.emf.ecore.EClass` `getGenColor()`
`org.eclipse.emf.ecore.EReference` `getGenCommonBase_Behaviour()`
`org.eclipse.emf.ecore.EReference` `getGenCommonBase_DiagramRunTimeClass()`
`org.eclipse.emf.ecore.EAttribute` `getGenCommonBase_EditPartClassName()`
`org.eclipse.emf.ecore.EReference` `getGenCommonBase_ElementType()`
`org.eclipse.emf.ecore.EAttribute` `getGenCommonBase_ItemSemanticEditPolicyClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenCommonBase_NotationViewFactoryClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenCommonBase_SansDomain()`
`org.eclipse.emf.ecore.EReference` `getGenCommonBase_Styles()`
`org.eclipse.emf.ecore.EReference` `getGenCommonBase_Viewmap()`
`org.eclipse.emf.ecore.EAttribute` `getGenCommonBase_VisualID()`
`org.eclipse.emf.ecore.EClass` `getGenCommonBase()`
`org.eclipse.emf.ecore.EAttribute` `getGenCompartment_CanCollapse()`
`org.eclipse.emf.ecore.EReference` `getGenCompartment_Diagram()`
`org.eclipse.emf.ecore.EAttribute` `getGenCompartment_HideIfEmpty()`
`org.eclipse.emf.ecore.EAttribute` `getGenCompartment_ListLayout()`
`org.eclipse.emf.ecore.EAttribute` `getGenCompartment_NeedsTitle()`
`org.eclipse.emf.ecore.EReference` `getGenCompartment_Node()`
`org.eclipse.emf.ecore.EAttribute` `getGenCompartment_Title()`
`org.eclipse.emf.ecore.EClass` `getGenCompartment()`
`org.eclipse.emf.ecore.EAttribute` `getGenConstantColor_Name()`
`org.eclipse.emf.ecore.EClass` `getGenConstantColor()`
`org.eclipse.emf.ecore.EClass` `getGenConstraint()`
`org.eclipse.emf.ecore.EAttribute` `getGenContainerBase_CanonicalEditPolicyClassName()`
`org.eclipse.emf.ecore.EReference` `getGenContainerBase_ContainedNodes()`
`org.eclipse.emf.ecore.EClass` `getGenContainerBase()`
`org.eclipse.emf.ecore.EReference` `getGenContributionItem_Application()`
`org.eclipse.emf.ecore.EReference` `getGenContributionItem_Owner()`
`org.eclipse.emf.ecore.EClass` `getGenContributionItem()`
`org.eclipse.emf.ecore.EAttribute` `getGenContributionManager_ID()`
`org.eclipse.emf.ecore.EReference` `getGenContributionManager_Items()`
`org.eclipse.emf.ecore.EClass` `getGenContributionManager()`
`org.eclipse.emf.ecore.EAttribute` `getGenCustomFont_Height()`
`org.eclipse.emf.ecore.EAttribute` `getGenCustomFont_Name()`
`org.eclipse.emf.ecore.EAttribute` `getGenCustomFont_Style()`
`org.eclipse.emf.ecore.EClass` `getGenCustomFont()`
`org.eclipse.emf.ecore.EAttribute` `getGenCustomPreferencePage_QualifiedClassName()`
`org.eclipse.emf.ecore.EClass` `getGenCustomPreferencePage()`
`org.eclipse.emf.ecore.EAttribute` `getGenCustomPropertyTab_ClassName()`
`org.eclipse.emf.ecore.EReference` `getGenCustomPropertyTab_Filter()`
`org.eclipse.emf.ecore.EClass` `getGenCustomPropertyTab()`
`org.eclipse.emf.ecore.EReference` `getGenDiagram_ChildNodes()`
`org.eclipse.emf.ecore.EReference` `getGenDiagram_Compartments()`
`org.eclipse.emf.ecore.EReference` `getGenDiagram_DomainDiagramElement()`
`org.eclipse.emf.ecore.EReference` `getGenDiagram_EditorGen()`
`org.eclipse.emf.ecore.EReference` `getGenDiagram_Links()`
`org.eclipse.emf.ecore.EReference` `getGenDiagram_Palette()`
`org.eclipse.emf.ecore.EReference` `getGenDiagram_PreferencePages()`
`org.eclipse.emf.ecore.EReference` `getGenDiagram_Preferences()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagram_Synchronized()`
`org.eclipse.emf.ecore.EReference` `getGenDiagram_TopLevelNodes()`
`org.eclipse.emf.ecore.EClass` `getGenDiagram()`
`org.eclipse.emf.ecore.EReference` `getGenDiagramElementTarget_Element()`
`org.eclipse.emf.ecore.EClass` `getGenDiagramElementTarget()`
`org.eclipse.emf.ecore.EReference` `getGenDiagramPreferences_DefaultFont()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_EnableAnimatedLayout()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_EnableAnimatedZoom()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_EnableAntiAlias()`
`org.eclipse.emf.ecore.EReference` `getGenDiagramPreferences_FillColor()`
`org.eclipse.emf.ecore.EReference` `getGenDiagramPreferences_FontColor()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_GridInFront()`
`org.eclipse.emf.ecore.EReference` `getGenDiagramPreferences_GridLineColor()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_GridLineStyle()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_GridSpacing()`
`org.eclipse.emf.ecore.EReference` `getGenDiagramPreferences_LineColor()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_LineStyle()`
`org.eclipse.emf.ecore.EReference` `getGenDiagramPreferences_NoteFillColor()`
`org.eclipse.emf.ecore.EReference` `getGenDiagramPreferences_NoteLineColor()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_PromptOnDelFromDiagram()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_PromptOnDelFromModel()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_RulerUnits()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_ShowConnectionHandles()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_ShowGrid()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_ShowPopupBars()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_ShowRulers()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_SnapToGeometry()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramPreferences_SnapToGrid()`
`org.eclipse.emf.ecore.EClass` `getGenDiagramPreferences()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramUpdater_DiagramUpdaterClassName()`
`org.eclipse.emf.ecore.EReference` `getGenDiagramUpdater_EditorGen()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramUpdater_LinkDescriptorClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramUpdater_NodeDescriptorClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramUpdater_UpdateCommandClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenDiagramUpdater_UpdateCommandID()`
`org.eclipse.emf.ecore.EClass` `getGenDiagramUpdater()`
`org.eclipse.emf.ecore.EReference` `getGenDomainAttributeTarget_Attribute()`
`org.eclipse.emf.ecore.EAttribute` `getGenDomainAttributeTarget_NullAsError()`
`org.eclipse.emf.ecore.EClass` `getGenDomainAttributeTarget()`
`org.eclipse.emf.ecore.EReference` `getGenDomainElementTarget_Element()`
`org.eclipse.emf.ecore.EClass` `getGenDomainElementTarget()`
`org.eclipse.emf.ecore.EAttribute` `getGenDomainModelNavigator_DomainContentExtensionID()`
`org.eclipse.emf.ecore.EAttribute` `getGenDomainModelNavigator_DomainContentExtensionName()`
`org.eclipse.emf.ecore.EAttribute` `getGenDomainModelNavigator_DomainContentExtensionPriority()`
`org.eclipse.emf.ecore.EAttribute` `getGenDomainModelNavigator_DomainContentProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenDomainModelNavigator_DomainLabelProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenDomainModelNavigator_DomainModelElementTesterClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenDomainModelNavigator_DomainNavigatorItemClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenDomainModelNavigator_GenerateDomainModelNavigator()`
`org.eclipse.emf.ecore.EClass` `getGenDomainModelNavigator()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_Application()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_Audits()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorGenerator_CopyrightText()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_Diagram()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorGenerator_DiagramFileExtension()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_DiagramUpdater()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorGenerator_DomainFileExtension()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_DomainGenModel()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorGenerator_DynamicTemplates()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_Editor()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_ExpressionProviders()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_Metrics()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_ModelAccess()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorGenerator_ModelID()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_Navigator()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorGenerator_PackageNamePrefix()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_Plugin()`
`org.eclipse.emf.ecore.EReference` `getGenEditorGenerator_PropertySheet()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorGenerator_SameFileForDiagramAndModel()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorGenerator_TemplateDirectory()`
`org.eclipse.emf.ecore.EClass` `getGenEditorGenerator()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorView_ActionBarContributorClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorView_ClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorView_ContextID()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorView_EclipseEditor()`
`org.eclipse.emf.ecore.EReference` `getGenEditorView_EditorGen()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorView_IconPath()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorView_IconPathX()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorView_ID()`
`org.eclipse.emf.ecore.EAttribute` `getGenEditorView_PackageName()`
`org.eclipse.emf.ecore.EClass` `getGenEditorView()`
`org.eclipse.emf.ecore.EReference` `getGenElementInitializer_TypeModelFacet()`
`org.eclipse.emf.ecore.EClass` `getGenElementInitializer()`
`org.eclipse.emf.ecore.EEnum` `getGeneratedType()`
`org.eclipse.emf.ecore.EAttribute` `getGenExpressionInterpreter_ClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenExpressionInterpreter_Language()`
`org.eclipse.emf.ecore.EClass` `getGenExpressionInterpreter()`
`org.eclipse.emf.ecore.EReference` `getGenExpressionProviderBase_Container()`
`org.eclipse.emf.ecore.EReference` `getGenExpressionProviderBase_Expressions()`
`org.eclipse.emf.ecore.EClass` `getGenExpressionProviderBase()`
`org.eclipse.emf.ecore.EAttribute` `getGenExpressionProviderContainer_AbstractExpressionClassName()`
`org.eclipse.emf.ecore.EReference` `getGenExpressionProviderContainer_EditorGen()`
`org.eclipse.emf.ecore.EAttribute` `getGenExpressionProviderContainer_ExpressionsPackageName()`
`org.eclipse.emf.ecore.EReference` `getGenExpressionProviderContainer_Providers()`
`org.eclipse.emf.ecore.EClass` `getGenExpressionProviderContainer()`
`org.eclipse.emf.ecore.EClass` `getGenExternalNodeLabel()`
`org.eclipse.emf.ecore.EReference` `getGenFeatureInitializer_Feature()`
`org.eclipse.emf.ecore.EReference` `getGenFeatureInitializer_FeatureSeqInitializer()`
`org.eclipse.emf.ecore.EClass` `getGenFeatureInitializer()`
`org.eclipse.emf.ecore.EReference` `getGenFeatureSeqInitializer_CreatingInitializer()`
`org.eclipse.emf.ecore.EReference` `getGenFeatureSeqInitializer_ElementClass()`
`org.eclipse.emf.ecore.EReference` `getGenFeatureSeqInitializer_Initializers()`
`org.eclipse.emf.ecore.EClass` `getGenFeatureSeqInitializer()`
`org.eclipse.emf.ecore.EReference` `getGenFeatureValueSpec_Value()`
`org.eclipse.emf.ecore.EClass` `getGenFeatureValueSpec()`
`org.eclipse.emf.ecore.EClass` `getGenFont()`
`org.eclipse.emf.ecore.EAttribute` `getGenGroupMarker_GroupName()`
`org.eclipse.emf.ecore.EClass` `getGenGroupMarker()`
`org.eclipse.emf.ecore.EAttribute` `getGenJavaExpressionProvider_InjectExpressionBody()`
`org.eclipse.emf.ecore.EAttribute` `getGenJavaExpressionProvider_ThrowException()`
`org.eclipse.emf.ecore.EClass` `getGenJavaExpressionProvider()`
`org.eclipse.emf.ecore.EAttribute` `getGenLabel_ElementIcon()`
`org.eclipse.emf.ecore.EReference` `getGenLabel_ModelFacet()`
`org.eclipse.emf.ecore.EAttribute` `getGenLabel_ReadOnly()`
`org.eclipse.emf.ecore.EClass` `getGenLabel()`
`org.eclipse.emf.ecore.EEnum` `getGenLanguage()`
`org.eclipse.emf.ecore.EAttribute` `getGenLink_CreateCommandClassName()`
`org.eclipse.emf.ecore.EReference` `getGenLink_CreationConstraints()`
`org.eclipse.emf.ecore.EReference` `getGenLink_Diagram()`
`org.eclipse.emf.ecore.EAttribute` `getGenLink_IncomingCreationAllowed()`
`org.eclipse.emf.ecore.EReference` `getGenLink_Labels()`
`org.eclipse.emf.ecore.EReference` `getGenLink_ModelFacet()`
`org.eclipse.emf.ecore.EAttribute` `getGenLink_OutgoingCreationAllowed()`
`org.eclipse.emf.ecore.EAttribute` `getGenLink_ReorientCommandClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenLink_TreeBranch()`
`org.eclipse.emf.ecore.EAttribute` `getGenLink_ViewDirectionAlignedWithModel()`
`org.eclipse.emf.ecore.EClass` `getGenLink()`
`org.eclipse.emf.ecore.EReference` `getGenLinkConstraints_Link()`
`org.eclipse.emf.ecore.EReference` `getGenLinkConstraints_SourceEnd()`
`org.eclipse.emf.ecore.EReference` `getGenLinkConstraints_TargetEnd()`
`org.eclipse.emf.ecore.EClass` `getGenLinkConstraints()`
`org.eclipse.emf.ecore.EAttribute` `getGenLinkLabel_Alignment()`
`org.eclipse.emf.ecore.EReference` `getGenLinkLabel_Link()`
`org.eclipse.emf.ecore.EClass` `getGenLinkLabel()`
`org.eclipse.emf.ecore.EClass` `getGenMeasurable()`
`org.eclipse.emf.ecore.EAttribute` `getGenMenuManager_Name()`
`org.eclipse.emf.ecore.EClass` `getGenMenuManager()`
`org.eclipse.emf.ecore.EReference` `getGenMetricContainer_EditorGen()`
`org.eclipse.emf.ecore.EReference` `getGenMetricContainer_Metrics()`
`org.eclipse.emf.ecore.EClass` `getGenMetricContainer()`
`org.eclipse.emf.ecore.EReference` `getGenMetricRule_Container()`
`org.eclipse.emf.ecore.EAttribute` `getGenMetricRule_HighLimit()`
`org.eclipse.emf.ecore.EAttribute` `getGenMetricRule_Key()`
`org.eclipse.emf.ecore.EAttribute` `getGenMetricRule_LowLimit()`
`org.eclipse.emf.ecore.EReference` `getGenMetricRule_Rule()`
`org.eclipse.emf.ecore.EReference` `getGenMetricRule_Target()`
`org.eclipse.emf.ecore.EClass` `getGenMetricRule()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_AbstractNavigatorItemClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_ActionProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_ActionProviderID()`
`org.eclipse.emf.ecore.EReference` `getGenNavigator_ChildReferences()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_ContentExtensionID()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_ContentExtensionName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_ContentExtensionPriority()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_ContentProviderClassName()`
`org.eclipse.emf.ecore.EReference` `getGenNavigator_EditorGen()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_LabelProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_LinkHelperClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_LinkHelperExtensionID()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_NavigatorGroupClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_NavigatorItemClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_PackageName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_SorterClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_SorterExtensionID()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigator_UriInputTesterClassName()`
`org.eclipse.emf.ecore.EClass` `getGenNavigator()`
`org.eclipse.emf.ecore.EReference` `getGenNavigatorChildReference_Child()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigatorChildReference_GroupIcon()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigatorChildReference_GroupName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigatorChildReference_HideIfEmpty()`
`org.eclipse.emf.ecore.EReference` `getGenNavigatorChildReference_Navigator()`
`org.eclipse.emf.ecore.EReference` `getGenNavigatorChildReference_Parent()`
`org.eclipse.emf.ecore.EAttribute` `getGenNavigatorChildReference_ReferenceType()`
`org.eclipse.emf.ecore.EClass` `getGenNavigatorChildReference()`
`org.eclipse.emf.ecore.EReference` `getGenNavigatorPath_Segments()`
`org.eclipse.emf.ecore.EClass` `getGenNavigatorPath()`
`org.eclipse.emf.ecore.EReference` `getGenNavigatorPathSegment_From()`
`org.eclipse.emf.ecore.EReference` `getGenNavigatorPathSegment_Path()`
`org.eclipse.emf.ecore.EReference` `getGenNavigatorPathSegment_To()`
`org.eclipse.emf.ecore.EClass` `getGenNavigatorPathSegment()`
`org.eclipse.emf.ecore.EEnum` `getGenNavigatorReferenceType()`
`org.eclipse.emf.ecore.EReference` `getGenNode_Compartments()`
`org.eclipse.emf.ecore.EAttribute` `getGenNode_CreateCommandClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenNode_GraphicalNodeEditPolicyClassName()`
`org.eclipse.emf.ecore.EReference` `getGenNode_Labels()`
`org.eclipse.emf.ecore.EReference` `getGenNode_ModelFacet()`
`org.eclipse.emf.ecore.EAttribute` `getGenNode_PrimaryDragEditPolicyQualifiedClassName()`
`org.eclipse.emf.ecore.EReference` `getGenNode_ReorientedIncomingLinks()`
`org.eclipse.emf.ecore.EClass` `getGenNode()`
`org.eclipse.emf.ecore.EReference` `getGenNodeLabel_Node()`
`org.eclipse.emf.ecore.EClass` `getGenNodeLabel()`
`org.eclipse.emf.ecore.EReference` `getGenNotationElementTarget_Element()`
`org.eclipse.emf.ecore.EClass` `getGenNotationElementTarget()`
`org.eclipse.emf.ecore.EAttribute` `getGenPlugin_ActivatorClassName()`
`org.eclipse.emf.ecore.EReference` `getGenPlugin_EditorGen()`
`org.eclipse.emf.ecore.EAttribute` `getGenPlugin_ID()`
`org.eclipse.emf.ecore.EAttribute` `getGenPlugin_Name()`
`org.eclipse.emf.ecore.EAttribute` `getGenPlugin_PrintingEnabled()`
`org.eclipse.emf.ecore.EAttribute` `getGenPlugin_Provider()`
`org.eclipse.emf.ecore.EAttribute` `getGenPlugin_RequiredPlugins()`
`org.eclipse.emf.ecore.EAttribute` `getGenPlugin_Version()`
`org.eclipse.emf.ecore.EClass` `getGenPlugin()`
`org.eclipse.emf.ecore.EReference` `getGenPreferencePage_Children()`
`org.eclipse.emf.ecore.EAttribute` `getGenPreferencePage_ID()`
`org.eclipse.emf.ecore.EAttribute` `getGenPreferencePage_Name()`
`org.eclipse.emf.ecore.EReference` `getGenPreferencePage_Parent()`
`org.eclipse.emf.ecore.EClass` `getGenPreferencePage()`
`org.eclipse.emf.ecore.EReference` `getGenPropertySheet_EditorGen()`
`org.eclipse.emf.ecore.EAttribute` `getGenPropertySheet_LabelProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getGenPropertySheet_NeedsCaption()`
`org.eclipse.emf.ecore.EAttribute` `getGenPropertySheet_PackageName()`
`org.eclipse.emf.ecore.EAttribute` `getGenPropertySheet_ReadOnly()`
`org.eclipse.emf.ecore.EReference` `getGenPropertySheet_Tabs()`
`org.eclipse.emf.ecore.EClass` `getGenPropertySheet()`
`org.eclipse.emf.ecore.EAttribute` `getGenPropertyTab_ID()`
`org.eclipse.emf.ecore.EAttribute` `getGenPropertyTab_Label()`
`org.eclipse.emf.ecore.EReference` `getGenPropertyTab_Sheet()`
`org.eclipse.emf.ecore.EClass` `getGenPropertyTab()`
`org.eclipse.emf.ecore.EReference` `getGenPropertyTabFilter_Tab()`
`org.eclipse.emf.ecore.EClass` `getGenPropertyTabFilter()`
`org.eclipse.emf.ecore.EReference` `getGenReferenceNewElementSpec_NewElementInitializers()`
`org.eclipse.emf.ecore.EClass` `getGenReferenceNewElementSpec()`
`org.eclipse.emf.ecore.EAttribute` `getGenRGBColor_Blue()`
`org.eclipse.emf.ecore.EAttribute` `getGenRGBColor_Green()`
`org.eclipse.emf.ecore.EAttribute` `getGenRGBColor_Red()`
`org.eclipse.emf.ecore.EClass` `getGenRGBColor()`
`org.eclipse.emf.ecore.EAttribute` `getGenRuleBase_Description()`
`org.eclipse.emf.ecore.EAttribute` `getGenRuleBase_Name()`
`org.eclipse.emf.ecore.EClass` `getGenRuleBase()`
`org.eclipse.emf.ecore.EClass` `getGenRuleTarget()`
`org.eclipse.emf.ecore.EAttribute` `getGenSeparator_GroupName()`
`org.eclipse.emf.ecore.EClass` `getGenSeparator()`
`org.eclipse.emf.ecore.EEnum` `getGenSeverity()`
`org.eclipse.emf.ecore.EReference` `getGenSharedContributionItem_ActualItem()`
`org.eclipse.emf.ecore.EClass` `getGenSharedContributionItem()`
`org.eclipse.emf.ecore.EAttribute` `getGenStandardFont_Name()`
`org.eclipse.emf.ecore.EClass` `getGenStandardFont()`
`org.eclipse.emf.ecore.EAttribute` `getGenStandardPreferencePage_Kind()`
`org.eclipse.emf.ecore.EClass` `getGenStandardPreferencePage()`
`org.eclipse.emf.ecore.EClass` `getGenStandardPropertyTab()`
`org.eclipse.emf.ecore.EClass` `getGenToolBarManager()`
`org.eclipse.emf.ecore.EReference` `getGenTopLevelNode_Diagram()`
`org.eclipse.emf.ecore.EClass` `getGenTopLevelNode()`
`GMFGenFactory` `getGMFGenFactory()`
`org.eclipse.emf.ecore.EAttribute` `getInnerClassViewmap_ClassBody()`
`org.eclipse.emf.ecore.EAttribute` `getInnerClassViewmap_ClassName()`
`org.eclipse.emf.ecore.EClass` `getInnerClassViewmap()`
`org.eclipse.emf.ecore.EEnum` `getJFaceFont()`
`org.eclipse.emf.ecore.EClass` `getLabelModelFacet()`
`org.eclipse.emf.ecore.EAttribute` `getLabelOffsetAttributes_X()`
`org.eclipse.emf.ecore.EAttribute` `getLabelOffsetAttributes_Y()`
`org.eclipse.emf.ecore.EClass` `getLabelOffsetAttributes()`
`org.eclipse.emf.ecore.EEnum` `getLabelTextAccessMethod()`
`org.eclipse.emf.ecore.EEnum` `getLineStyle()`
`org.eclipse.emf.ecore.EClass` `getLinkConstraints()`
`org.eclipse.emf.ecore.EEnum` `getLinkLabelAlignment()`
`org.eclipse.emf.ecore.EClass` `getLinkModelFacet()`
`org.eclipse.emf.ecore.EAttribute` `getMeasurementUnit_Units()`
`org.eclipse.emf.ecore.EClass` `getMeasurementUnit()`
`org.eclipse.emf.ecore.EAttribute` `getMetamodelType_EditHelperClassName()`
`org.eclipse.emf.ecore.EClass` `getMetamodelType()`
`org.eclipse.emf.ecore.EClass` `getModelFacet()`
`org.eclipse.emf.ecore.EClass` `getNotationType()`
`org.eclipse.emf.ecore.EAttribute` `getOpenDiagramBehaviour_DiagramKind()`
`org.eclipse.emf.ecore.EAttribute` `getOpenDiagramBehaviour_EditorID()`
`org.eclipse.emf.ecore.EAttribute` `getOpenDiagramBehaviour_EditPolicyClassName()`
`org.eclipse.emf.ecore.EAttribute` `getOpenDiagramBehaviour_OpenAsEclipseEditor()`
`org.eclipse.emf.ecore.EClass` `getOpenDiagramBehaviour()`
`org.eclipse.emf.ecore.EAttribute` `getPackageNames_EditCommandsPackageName()`
`org.eclipse.emf.ecore.EAttribute` `getPackageNames_EditHelpersPackageName()`
`org.eclipse.emf.ecore.EAttribute` `getPackageNames_EditPartsPackageName()`
`org.eclipse.emf.ecore.EAttribute` `getPackageNames_EditPoliciesPackageName()`
`org.eclipse.emf.ecore.EAttribute` `getPackageNames_NotationViewFactoriesPackageName()`
`org.eclipse.emf.ecore.EAttribute` `getPackageNames_ParsersPackageName()`
`org.eclipse.emf.ecore.EAttribute` `getPackageNames_PreferencesPackageName()`
`org.eclipse.emf.ecore.EAttribute` `getPackageNames_ProvidersPackageName()`
`org.eclipse.emf.ecore.EClass` `getPackageNames()`
`org.eclipse.emf.ecore.EReference` `getPalette_Diagram()`
`org.eclipse.emf.ecore.EAttribute` `getPalette_FactoryClassName()`
`org.eclipse.emf.ecore.EAttribute` `getPalette_Flyout()`
`org.eclipse.emf.ecore.EReference` `getPalette_Groups()`
`org.eclipse.emf.ecore.EAttribute` `getPalette_PackageName()`
`org.eclipse.emf.ecore.EClass` `getPalette()`
`org.eclipse.emf.ecore.EAttribute` `getParentAssignedViewmap_FigureQualifiedClassName()`
`org.eclipse.emf.ecore.EAttribute` `getParentAssignedViewmap_GetterName()`
`org.eclipse.emf.ecore.EAttribute` `getParentAssignedViewmap_SetterName()`
`org.eclipse.emf.ecore.EClass` `getParentAssignedViewmap()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_ContributionItemProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_EditPartProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_EditPartProviderPriority()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_ElementTypesClassName()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_IconProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_IconProviderPriority()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_ModelingAssistantProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_ModelingAssistantProviderPriority()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_NotationViewProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_NotationViewProviderPriority()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_ParserProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getProviderClassNames_ParserProviderPriority()`
`org.eclipse.emf.ecore.EClass` `getProviderClassNames()`
`org.eclipse.emf.ecore.EEnum` `getProviderPriority()`
`org.eclipse.emf.ecore.EAttribute` `getResizeConstraints_NonResizeHandleNames()`
`org.eclipse.emf.ecore.EAttribute` `getResizeConstraints_NonResizeHandles()`
`org.eclipse.emf.ecore.EAttribute` `getResizeConstraints_ResizeHandleNames()`
`org.eclipse.emf.ecore.EAttribute` `getResizeConstraints_ResizeHandles()`
`org.eclipse.emf.ecore.EClass` `getResizeConstraints()`
`org.eclipse.emf.ecore.EEnum` `getRouting()`
`org.eclipse.emf.ecore.EEnum` `getRulerUnits()`
`org.eclipse.emf.ecore.EClass` `getSeparator()`
`org.eclipse.emf.ecore.EReference` `getSharedBehaviour_Delegate()`
`org.eclipse.emf.ecore.EClass` `getSharedBehaviour()`
`org.eclipse.emf.ecore.EAttribute` `getShortcuts_ContainsShortcutsTo()`
`org.eclipse.emf.ecore.EAttribute` `getShortcuts_CreateShortcutActionClassName()`
`org.eclipse.emf.ecore.EAttribute` `getShortcuts_CreateShortcutDecorationsCommandClassName()`
`org.eclipse.emf.ecore.EAttribute` `getShortcuts_ShortcutPropertyTesterClassName()`
`org.eclipse.emf.ecore.EAttribute` `getShortcuts_ShortcutsDecoratorProviderClassName()`
`org.eclipse.emf.ecore.EAttribute` `getShortcuts_ShortcutsDecoratorProviderPriority()`
`org.eclipse.emf.ecore.EAttribute` `getShortcuts_ShortcutsProvidedFor()`
`org.eclipse.emf.ecore.EClass` `getShortcuts()`
`org.eclipse.emf.ecore.EAttribute` `getSnippetViewmap_Body()`
`org.eclipse.emf.ecore.EClass` `getSnippetViewmap()`
`org.eclipse.emf.ecore.EAttribute` `getSpecializationType_EditHelperAdviceClassName()`
`org.eclipse.emf.ecore.EReference` `getSpecializationType_MetamodelType()`
`org.eclipse.emf.ecore.EClass` `getSpecializationType()`
`org.eclipse.emf.ecore.EAttribute` `getStandardEntry_Kind()`
`org.eclipse.emf.ecore.EClass` `getStandardEntry()`
`org.eclipse.emf.ecore.EEnum` `getStandardEntryKind()`
`org.eclipse.emf.ecore.EEnum` `getStandardPreferencePages()`
`org.eclipse.emf.ecore.EAttribute` `getStyleAttributes_FixedBackground()`
`org.eclipse.emf.ecore.EAttribute` `getStyleAttributes_FixedFont()`
`org.eclipse.emf.ecore.EAttribute` `getStyleAttributes_FixedForeground()`
`org.eclipse.emf.ecore.EClass` `getStyleAttributes()`
`org.eclipse.emf.ecore.EReference` `getToolEntry_Elements()`
`org.eclipse.emf.ecore.EReference` `getToolEntry_GenLinks()`
`org.eclipse.emf.ecore.EReference` `getToolEntry_GenNodes()`
`org.eclipse.emf.ecore.EClass` `getToolEntry()`
`org.eclipse.emf.ecore.EAttribute` `getToolGroup_Collapse()`
`org.eclipse.emf.ecore.EReference` `getToolGroup_Entries()`
`org.eclipse.emf.ecore.EReference` `getToolGroup_Palette()`
`org.eclipse.emf.ecore.EAttribute` `getToolGroup_Stack()`
`org.eclipse.emf.ecore.EAttribute` `getToolGroup_ToolsOnly()`
`org.eclipse.emf.ecore.EClass` `getToolGroup()`
`org.eclipse.emf.ecore.EReference` `getToolGroupItem_Group()`
`org.eclipse.emf.ecore.EClass` `getToolGroupItem()`
`org.eclipse.emf.ecore.EReference` `getTypeLinkModelFacet_SourceMetaFeature()`
`org.eclipse.emf.ecore.EReference` `getTypeLinkModelFacet_TargetMetaFeature()`
`org.eclipse.emf.ecore.EClass` `getTypeLinkModelFacet()`
`org.eclipse.emf.ecore.EReference` `getTypeModelFacet_ChildMetaFeature()`
`org.eclipse.emf.ecore.EReference` `getTypeModelFacet_ContainmentMetaFeature()`
`org.eclipse.emf.ecore.EReference` `getTypeModelFacet_MetaClass()`
`org.eclipse.emf.ecore.EReference` `getTypeModelFacet_ModelElementInitializer()`
`org.eclipse.emf.ecore.EReference` `getTypeModelFacet_ModelElementSelector()`
`org.eclipse.emf.ecore.EClass` `getTypeModelFacet()`
`org.eclipse.emf.ecore.EAttribute` `getTypeTabFilter_GeneratedTypes()`
`org.eclipse.emf.ecore.EAttribute` `getTypeTabFilter_Types()`
`org.eclipse.emf.ecore.EClass` `getTypeTabFilter()`
`org.eclipse.emf.ecore.EAttribute` `getValueExpression_Body()`
`org.eclipse.emf.ecore.EAttribute` `getValueExpression_LangName()`
`org.eclipse.emf.ecore.EReference` `getValueExpression_Provider()`
`org.eclipse.emf.ecore.EClass` `getValueExpression()`
`org.eclipse.emf.ecore.EReference` `getViewmap_Attributes()`
`org.eclipse.emf.ecore.EAttribute` `getViewmap_LayoutType()`
`org.eclipse.emf.ecore.EAttribute` `getViewmap_RequiredPluginIDs()`
`org.eclipse.emf.ecore.EClass` `getViewmap()`
`org.eclipse.emf.ecore.EEnum` `getViewmapLayoutType()`
`static GMFGenPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()`
`void` `initializePackageContentsGen()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static GMFGenPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `GMFGenPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
  ** Generated **

### initializePackageContents

    public void initializePackageContents()

### getGenEditorGenerator

    public org.eclipse.emf.ecore.EClass getGenEditorGenerator()

  Specified by:
    `getGenEditorGenerator` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Editor Generator'.
  See Also:
    `GenEditorGenerator`
  ** Generated **

### getGenEditorGenerator_Audits

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_Audits()

  Specified by:
    `getGenEditorGenerator_Audits` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Audits'.
  See Also:
    `GenEditorGenerator.getAudits()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Metrics

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_Metrics()

  Specified by:
    `getGenEditorGenerator_Metrics` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Metrics'.
  See Also:
    `GenEditorGenerator.getMetrics()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Diagram

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_Diagram()

  Specified by:
    `getGenEditorGenerator_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Diagram'.
  See Also:
    `GenEditorGenerator.getDiagram()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Plugin

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_Plugin()

  Specified by:
    `getGenEditorGenerator_Plugin` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Plugin'.
  See Also:
    `GenEditorGenerator.getPlugin()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Editor

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_Editor()

  Specified by:
    `getGenEditorGenerator_Editor` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Editor'.
  See Also:
    `GenEditorGenerator.getEditor()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Navigator

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_Navigator()

  Specified by:
    `getGenEditorGenerator_Navigator` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Navigator'.
  See Also:
    `GenEditorGenerator.getNavigator()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DiagramUpdater

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_DiagramUpdater()

  Specified by:
    `getGenEditorGenerator_DiagramUpdater` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Diagram Updater'.
  See Also:
    `GenEditorGenerator.getDiagramUpdater()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_PropertySheet

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_PropertySheet()

  Specified by:
    `getGenEditorGenerator_PropertySheet` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Property Sheet'.
  See Also:
    `GenEditorGenerator.getPropertySheet()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Application

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_Application()

  Specified by:
    `getGenEditorGenerator_Application` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Application'.
  See Also:
    `GenEditorGenerator.getApplication()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DomainGenModel

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_DomainGenModel()

  Specified by:
    `getGenEditorGenerator_DomainGenModel` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Domain Gen Model'.
  See Also:
    `GenEditorGenerator.getDomainGenModel()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_PackageNamePrefix

    public org.eclipse.emf.ecore.EAttribute getGenEditorGenerator_PackageNamePrefix()

  Specified by:
    `getGenEditorGenerator_PackageNamePrefix` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Package Name Prefix'.
  See Also:
    `GenEditorGenerator.getPackageNamePrefix()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_ModelID

    public org.eclipse.emf.ecore.EAttribute getGenEditorGenerator_ModelID()

  Specified by:
    `getGenEditorGenerator_ModelID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Model ID'.
  See Also:
    `GenEditorGenerator.getModelID()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_SameFileForDiagramAndModel

    public org.eclipse.emf.ecore.EAttribute getGenEditorGenerator_SameFileForDiagramAndModel()

  Specified by:
    `getGenEditorGenerator_SameFileForDiagramAndModel` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Same File For Diagram And Model'.
  See Also:
    `GenEditorGenerator.isSameFileForDiagramAndModel()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DiagramFileExtension

    public org.eclipse.emf.ecore.EAttribute getGenEditorGenerator_DiagramFileExtension()

  Specified by:
    `getGenEditorGenerator_DiagramFileExtension` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Diagram File Extension'.
  See Also:
    `GenEditorGenerator.getDiagramFileExtension()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DomainFileExtension

    public org.eclipse.emf.ecore.EAttribute getGenEditorGenerator_DomainFileExtension()

  Specified by:
    `getGenEditorGenerator_DomainFileExtension` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Domain File Extension'.
  See Also:
    `GenEditorGenerator.getDomainFileExtension()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DynamicTemplates

    public org.eclipse.emf.ecore.EAttribute getGenEditorGenerator_DynamicTemplates()

  Specified by:
    `getGenEditorGenerator_DynamicTemplates` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Dynamic Templates'.
  See Also:
    `GenEditorGenerator.isDynamicTemplates()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_TemplateDirectory

    public org.eclipse.emf.ecore.EAttribute getGenEditorGenerator_TemplateDirectory()

  Specified by:
    `getGenEditorGenerator_TemplateDirectory` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Template Directory'.
  See Also:
    `GenEditorGenerator.getTemplateDirectory()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_CopyrightText

    public org.eclipse.emf.ecore.EAttribute getGenEditorGenerator_CopyrightText()

  Specified by:
    `getGenEditorGenerator_CopyrightText` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Copyright Text'.
  See Also:
    `GenEditorGenerator.getCopyrightText()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_ExpressionProviders

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_ExpressionProviders()

  Specified by:
    `getGenEditorGenerator_ExpressionProviders` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Expression Providers'.
  See Also:
    `GenEditorGenerator.getExpressionProviders()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_ModelAccess

    public org.eclipse.emf.ecore.EReference getGenEditorGenerator_ModelAccess()

  Specified by:
    `getGenEditorGenerator_ModelAccess` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Model Access'.
  See Also:
    `GenEditorGenerator.getModelAccess()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenDiagram

    public org.eclipse.emf.ecore.EClass getGenDiagram()

  Specified by:
    `getGenDiagram` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Diagram'.
  See Also:
    `GenDiagram`
  ** Generated **

### getGenDiagram_EditorGen

    public org.eclipse.emf.ecore.EReference getGenDiagram_EditorGen()

  Specified by:
    `getGenDiagram_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenDiagram.getEditorGen()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_DomainDiagramElement

    public org.eclipse.emf.ecore.EReference getGenDiagram_DomainDiagramElement()

  Specified by:
    `getGenDiagram_DomainDiagramElement` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Domain Diagram Element'.
  See Also:
    `GenDiagram.getDomainDiagramElement()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_ChildNodes

    public org.eclipse.emf.ecore.EReference getGenDiagram_ChildNodes()

  Specified by:
    `getGenDiagram_ChildNodes` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Child Nodes'.
  See Also:
    `GenDiagram.getChildNodes()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_TopLevelNodes

    public org.eclipse.emf.ecore.EReference getGenDiagram_TopLevelNodes()

  Specified by:
    `getGenDiagram_TopLevelNodes` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Top Level Nodes'.
  See Also:
    `GenDiagram.getTopLevelNodes()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Links

    public org.eclipse.emf.ecore.EReference getGenDiagram_Links()

  Specified by:
    `getGenDiagram_Links` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Links'.
  See Also:
    `GenDiagram.getLinks()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Compartments

    public org.eclipse.emf.ecore.EReference getGenDiagram_Compartments()

  Specified by:
    `getGenDiagram_Compartments` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Compartments'.
  See Also:
    `GenDiagram.getCompartments()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Palette

    public org.eclipse.emf.ecore.EReference getGenDiagram_Palette()

  Specified by:
    `getGenDiagram_Palette` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Palette'.
  See Also:
    `GenDiagram.getPalette()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Synchronized

    public org.eclipse.emf.ecore.EAttribute getGenDiagram_Synchronized()

  Specified by:
    `getGenDiagram_Synchronized` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Synchronized'.
  See Also:
    `GenDiagram.isSynchronized()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Preferences

    public org.eclipse.emf.ecore.EReference getGenDiagram_Preferences()

  Specified by:
    `getGenDiagram_Preferences` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Preferences'.
  See Also:
    `GenDiagram.getPreferences()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_PreferencePages

    public org.eclipse.emf.ecore.EReference getGenDiagram_PreferencePages()

  Specified by:
    `getGenDiagram_PreferencePages` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Preference Pages'.
  See Also:
    `GenDiagram.getPreferencePages()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenEditorView

    public org.eclipse.emf.ecore.EClass getGenEditorView()

  Specified by:
    `getGenEditorView` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Editor View'.
  See Also:
    `GenEditorView`
  ** Generated **

### getGenEditorView_EditorGen

    public org.eclipse.emf.ecore.EReference getGenEditorView_EditorGen()

  Specified by:
    `getGenEditorView_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenEditorView.getEditorGen()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_PackageName

    public org.eclipse.emf.ecore.EAttribute getGenEditorView_PackageName()

  Specified by:
    `getGenEditorView_PackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Package Name'.
  See Also:
    `GenEditorView.getPackageName()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_ActionBarContributorClassName

    public org.eclipse.emf.ecore.EAttribute getGenEditorView_ActionBarContributorClassName()

  Specified by:
    `getGenEditorView_ActionBarContributorClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Action Bar Contributor Class Name'.
  See Also:
    `GenEditorView.getActionBarContributorClassName()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_ClassName

    public org.eclipse.emf.ecore.EAttribute getGenEditorView_ClassName()

  Specified by:
    `getGenEditorView_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `GenEditorView.getClassName()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_IconPath

    public org.eclipse.emf.ecore.EAttribute getGenEditorView_IconPath()

  Specified by:
    `getGenEditorView_IconPath` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Icon Path'.
  See Also:
    `GenEditorView.getIconPath()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_IconPathX

    public org.eclipse.emf.ecore.EAttribute getGenEditorView_IconPathX()

  Specified by:
    `getGenEditorView_IconPathX` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Icon Path X'.
  See Also:
    `GenEditorView.getIconPathX()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_ID

    public org.eclipse.emf.ecore.EAttribute getGenEditorView_ID()

  Specified by:
    `getGenEditorView_ID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `GenEditorView.getID()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_EclipseEditor

    public org.eclipse.emf.ecore.EAttribute getGenEditorView_EclipseEditor()

  Specified by:
    `getGenEditorView_EclipseEditor` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Eclipse Editor'.
  See Also:
    `GenEditorView.isEclipseEditor()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_ContextID

    public org.eclipse.emf.ecore.EAttribute getGenEditorView_ContextID()

  Specified by:
    `getGenEditorView_ContextID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Context ID'.
  See Also:
    `GenEditorView.getContextID()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenPreferencePage

    public org.eclipse.emf.ecore.EClass getGenPreferencePage()

  Specified by:
    `getGenPreferencePage` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Preference Page'.
  See Also:
    `GenPreferencePage`
  ** Generated **

### getGenPreferencePage_ID

    public org.eclipse.emf.ecore.EAttribute getGenPreferencePage_ID()

  Specified by:
    `getGenPreferencePage_ID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `GenPreferencePage.getID()`, `GMFGenPackage.getGenPreferencePage()`
  ** Generated **

### getGenPreferencePage_Name

    public org.eclipse.emf.ecore.EAttribute getGenPreferencePage_Name()

  Specified by:
    `getGenPreferencePage_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenPreferencePage.getName()`, `GMFGenPackage.getGenPreferencePage()`
  ** Generated **

### getGenPreferencePage_Children

    public org.eclipse.emf.ecore.EReference getGenPreferencePage_Children()

  Specified by:
    `getGenPreferencePage_Children` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `GenPreferencePage.getChildren()`, `GMFGenPackage.getGenPreferencePage()`
  ** Generated **

### getGenPreferencePage_Parent

    public org.eclipse.emf.ecore.EReference getGenPreferencePage_Parent()

  Specified by:
    `getGenPreferencePage_Parent` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `GenPreferencePage.getParent()`, `GMFGenPackage.getGenPreferencePage()`
  ** Generated **

### getGenCustomPreferencePage

    public org.eclipse.emf.ecore.EClass getGenCustomPreferencePage()

  Specified by:
    `getGenCustomPreferencePage` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Custom Preference Page'.
  See Also:
    `GenCustomPreferencePage`
  ** Generated **

### getGenCustomPreferencePage_QualifiedClassName

    public org.eclipse.emf.ecore.EAttribute getGenCustomPreferencePage_QualifiedClassName()

  Specified by:
    `getGenCustomPreferencePage_QualifiedClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Qualified Class Name'.
  See Also:
    `GenCustomPreferencePage.getQualifiedClassName()`, `GMFGenPackage.getGenCustomPreferencePage()`
  ** Generated **

### getGenStandardPreferencePage

    public org.eclipse.emf.ecore.EClass getGenStandardPreferencePage()

  Specified by:
    `getGenStandardPreferencePage` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Standard Preference Page'.
  See Also:
    `GenStandardPreferencePage`
  ** Generated **

### getGenStandardPreferencePage_Kind

    public org.eclipse.emf.ecore.EAttribute getGenStandardPreferencePage_Kind()

  Specified by:
    `getGenStandardPreferencePage_Kind` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `GenStandardPreferencePage.getKind()`, `GMFGenPackage.getGenStandardPreferencePage()`
  ** Generated **

### getGenDiagramPreferences

    public org.eclipse.emf.ecore.EClass getGenDiagramPreferences()

  Specified by:
    `getGenDiagramPreferences` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Diagram Preferences'.
  See Also:
    `GenDiagramPreferences`
  ** Generated **

### getGenDiagramPreferences_LineStyle

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_LineStyle()

  Specified by:
    `getGenDiagramPreferences_LineStyle` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Line Style'.
  See Also:
    `GenDiagramPreferences.getLineStyle()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_DefaultFont

    public org.eclipse.emf.ecore.EReference getGenDiagramPreferences_DefaultFont()

  Specified by:
    `getGenDiagramPreferences_DefaultFont` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Default Font'.
  See Also:
    `GenDiagramPreferences.getDefaultFont()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_FontColor

    public org.eclipse.emf.ecore.EReference getGenDiagramPreferences_FontColor()

  Specified by:
    `getGenDiagramPreferences_FontColor` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Font Color'.
  See Also:
    `GenDiagramPreferences.getFontColor()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_FillColor

    public org.eclipse.emf.ecore.EReference getGenDiagramPreferences_FillColor()

  Specified by:
    `getGenDiagramPreferences_FillColor` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Fill Color'.
  See Also:
    `GenDiagramPreferences.getFillColor()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_LineColor

    public org.eclipse.emf.ecore.EReference getGenDiagramPreferences_LineColor()

  Specified by:
    `getGenDiagramPreferences_LineColor` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Line Color'.
  See Also:
    `GenDiagramPreferences.getLineColor()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_NoteFillColor

    public org.eclipse.emf.ecore.EReference getGenDiagramPreferences_NoteFillColor()

  Specified by:
    `getGenDiagramPreferences_NoteFillColor` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Note Fill Color'.
  See Also:
    `GenDiagramPreferences.getNoteFillColor()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_NoteLineColor

    public org.eclipse.emf.ecore.EReference getGenDiagramPreferences_NoteLineColor()

  Specified by:
    `getGenDiagramPreferences_NoteLineColor` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Note Line Color'.
  See Also:
    `GenDiagramPreferences.getNoteLineColor()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_ShowConnectionHandles

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_ShowConnectionHandles()

  Specified by:
    `getGenDiagramPreferences_ShowConnectionHandles` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Show Connection Handles'.
  See Also:
    `GenDiagramPreferences.isShowConnectionHandles()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_ShowPopupBars

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_ShowPopupBars()

  Specified by:
    `getGenDiagramPreferences_ShowPopupBars` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Show Popup Bars'.
  See Also:
    `GenDiagramPreferences.isShowPopupBars()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_PromptOnDelFromModel

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_PromptOnDelFromModel()

  Specified by:
    `getGenDiagramPreferences_PromptOnDelFromModel` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Prompt On Del From Model'.
  See Also:
    `GenDiagramPreferences.isPromptOnDelFromModel()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_PromptOnDelFromDiagram

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_PromptOnDelFromDiagram()

  Specified by:
    `getGenDiagramPreferences_PromptOnDelFromDiagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Prompt On Del From Diagram'.
  See Also:
    `GenDiagramPreferences.isPromptOnDelFromDiagram()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_EnableAnimatedLayout

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_EnableAnimatedLayout()

  Specified by:
    `getGenDiagramPreferences_EnableAnimatedLayout` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Enable Animated Layout'.
  See Also:
    `GenDiagramPreferences.isEnableAnimatedLayout()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_EnableAnimatedZoom

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_EnableAnimatedZoom()

  Specified by:
    `getGenDiagramPreferences_EnableAnimatedZoom` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Enable Animated Zoom'.
  See Also:
    `GenDiagramPreferences.isEnableAnimatedZoom()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_EnableAntiAlias

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_EnableAntiAlias()

  Specified by:
    `getGenDiagramPreferences_EnableAntiAlias` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Enable Anti Alias'.
  See Also:
    `GenDiagramPreferences.isEnableAntiAlias()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_ShowGrid

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_ShowGrid()

  Specified by:
    `getGenDiagramPreferences_ShowGrid` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Show Grid'.
  See Also:
    `GenDiagramPreferences.isShowGrid()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_ShowRulers

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_ShowRulers()

  Specified by:
    `getGenDiagramPreferences_ShowRulers` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Show Rulers'.
  See Also:
    `GenDiagramPreferences.isShowRulers()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_SnapToGrid

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_SnapToGrid()

  Specified by:
    `getGenDiagramPreferences_SnapToGrid` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Snap To Grid'.
  See Also:
    `GenDiagramPreferences.isSnapToGrid()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_SnapToGeometry

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_SnapToGeometry()

  Specified by:
    `getGenDiagramPreferences_SnapToGeometry` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Snap To Geometry'.
  See Also:
    `GenDiagramPreferences.isSnapToGeometry()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_GridInFront

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_GridInFront()

  Specified by:
    `getGenDiagramPreferences_GridInFront` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Grid In Front'.
  See Also:
    `GenDiagramPreferences.isGridInFront()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_RulerUnits

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_RulerUnits()

  Specified by:
    `getGenDiagramPreferences_RulerUnits` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Ruler Units'.
  See Also:
    `GenDiagramPreferences.getRulerUnits()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_GridSpacing

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_GridSpacing()

  Specified by:
    `getGenDiagramPreferences_GridSpacing` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Grid Spacing'.
  See Also:
    `GenDiagramPreferences.getGridSpacing()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_GridLineColor

    public org.eclipse.emf.ecore.EReference getGenDiagramPreferences_GridLineColor()

  Specified by:
    `getGenDiagramPreferences_GridLineColor` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Grid Line Color'.
  See Also:
    `GenDiagramPreferences.getGridLineColor()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenDiagramPreferences_GridLineStyle

    public org.eclipse.emf.ecore.EAttribute getGenDiagramPreferences_GridLineStyle()

  Specified by:
    `getGenDiagramPreferences_GridLineStyle` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Grid Line Style'.
  See Also:
    `GenDiagramPreferences.getGridLineStyle()`, `GMFGenPackage.getGenDiagramPreferences()`
  ** Generated **

### getGenFont

    public org.eclipse.emf.ecore.EClass getGenFont()

  Specified by:
    `getGenFont` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Font'.
  See Also:
    `GenFont`
  ** Generated **

### getGenStandardFont

    public org.eclipse.emf.ecore.EClass getGenStandardFont()

  Specified by:
    `getGenStandardFont` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Standard Font'.
  See Also:
    `GenStandardFont`
  ** Generated **

### getGenStandardFont_Name

    public org.eclipse.emf.ecore.EAttribute getGenStandardFont_Name()

  Specified by:
    `getGenStandardFont_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenStandardFont.getName()`, `GMFGenPackage.getGenStandardFont()`
  ** Generated **

### getGenCustomFont

    public org.eclipse.emf.ecore.EClass getGenCustomFont()

  Specified by:
    `getGenCustomFont` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Custom Font'.
  See Also:
    `GenCustomFont`
  ** Generated **

### getGenCustomFont_Name

    public org.eclipse.emf.ecore.EAttribute getGenCustomFont_Name()

  Specified by:
    `getGenCustomFont_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenCustomFont.getName()`, `GMFGenPackage.getGenCustomFont()`
  ** Generated **

### getGenCustomFont_Height

    public org.eclipse.emf.ecore.EAttribute getGenCustomFont_Height()

  Specified by:
    `getGenCustomFont_Height` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `GenCustomFont.getHeight()`, `GMFGenPackage.getGenCustomFont()`
  ** Generated **

### getGenCustomFont_Style

    public org.eclipse.emf.ecore.EAttribute getGenCustomFont_Style()

  Specified by:
    `getGenCustomFont_Style` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Style'.
  See Also:
    `GenCustomFont.getStyle()`, `GMFGenPackage.getGenCustomFont()`
  ** Generated **

### getGenColor

    public org.eclipse.emf.ecore.EClass getGenColor()

  Specified by:
    `getGenColor` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Color'.
  See Also:
    `GenColor`
  ** Generated **

### getGenRGBColor

    public org.eclipse.emf.ecore.EClass getGenRGBColor()

  Specified by:
    `getGenRGBColor` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen RGB Color'.
  See Also:
    `GenRGBColor`
  ** Generated **

### getGenRGBColor_Red

    public org.eclipse.emf.ecore.EAttribute getGenRGBColor_Red()

  Specified by:
    `getGenRGBColor_Red` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Red'.
  See Also:
    `GenRGBColor.getRed()`, `GMFGenPackage.getGenRGBColor()`
  ** Generated **

### getGenRGBColor_Green

    public org.eclipse.emf.ecore.EAttribute getGenRGBColor_Green()

  Specified by:
    `getGenRGBColor_Green` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Green'.
  See Also:
    `GenRGBColor.getGreen()`, `GMFGenPackage.getGenRGBColor()`
  ** Generated **

### getGenRGBColor_Blue

    public org.eclipse.emf.ecore.EAttribute getGenRGBColor_Blue()

  Specified by:
    `getGenRGBColor_Blue` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Blue'.
  See Also:
    `GenRGBColor.getBlue()`, `GMFGenPackage.getGenRGBColor()`
  ** Generated **

### getGenConstantColor

    public org.eclipse.emf.ecore.EClass getGenConstantColor()

  Specified by:
    `getGenConstantColor` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Constant Color'.
  See Also:
    `GenConstantColor`
  ** Generated **

### getGenConstantColor_Name

    public org.eclipse.emf.ecore.EAttribute getGenConstantColor_Name()

  Specified by:
    `getGenConstantColor_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenConstantColor.getName()`, `GMFGenPackage.getGenConstantColor()`
  ** Generated **

### getBatchValidation

    public org.eclipse.emf.ecore.EClass getBatchValidation()

  Specified by:
    `getBatchValidation` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Batch Validation'.
  See Also:
    `BatchValidation`
  ** Generated **

### getBatchValidation_ValidationProviderClassName

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_ValidationProviderClassName()

  Specified by:
    `getBatchValidation_ValidationProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Provider Class Name'.
  See Also:
    `BatchValidation.getValidationProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationProviderPriority

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_ValidationProviderPriority()

  Specified by:
    `getBatchValidation_ValidationProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Provider Priority'.
  See Also:
    `BatchValidation.getValidationProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MarkerNavigationProviderClassName

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_MarkerNavigationProviderClassName()

  Specified by:
    `getBatchValidation_MarkerNavigationProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Marker Navigation Provider Class Name'.
  See Also:
    `BatchValidation.getMarkerNavigationProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MarkerNavigationProviderPriority

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_MarkerNavigationProviderPriority()

  Specified by:
    `getBatchValidation_MarkerNavigationProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Marker Navigation Provider Priority'.
  See Also:
    `BatchValidation.getMarkerNavigationProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationEnabled

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_ValidationEnabled()

  Specified by:
    `getBatchValidation_ValidationEnabled` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Enabled'.
  See Also:
    `BatchValidation.isValidationEnabled()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MetricProviderClassName

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_MetricProviderClassName()

  Specified by:
    `getBatchValidation_MetricProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Metric Provider Class Name'.
  See Also:
    `BatchValidation.getMetricProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MetricProviderPriority

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_MetricProviderPriority()

  Specified by:
    `getBatchValidation_MetricProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Metric Provider Priority'.
  See Also:
    `BatchValidation.getMetricProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationDecoratorProviderClassName

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_ValidationDecoratorProviderClassName()

  Specified by:
    `getBatchValidation_ValidationDecoratorProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Decorator Provider Class Name'.
  See Also:
    `BatchValidation.getValidationDecoratorProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationDecorators

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_ValidationDecorators()

  Specified by:
    `getBatchValidation_ValidationDecorators` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Decorators'.
  See Also:
    `BatchValidation.isValidationDecorators()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationDecoratorProviderPriority

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_ValidationDecoratorProviderPriority()

  Specified by:
    `getBatchValidation_ValidationDecoratorProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Decorator Provider Priority'.
  See Also:
    `BatchValidation.getValidationDecoratorProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_LiveValidationUIFeedback

    public org.eclipse.emf.ecore.EAttribute getBatchValidation_LiveValidationUIFeedback()

  Specified by:
    `getBatchValidation_LiveValidationUIFeedback` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Live Validation UI Feedback'.
  See Also:
    `BatchValidation.isLiveValidationUIFeedback()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getProviderClassNames

    public org.eclipse.emf.ecore.EClass getProviderClassNames()

  Specified by:
    `getProviderClassNames` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Provider Class Names'.
  See Also:
    `ProviderClassNames`
  ** Generated **

### getProviderClassNames_ElementTypesClassName

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_ElementTypesClassName()

  Specified by:
    `getProviderClassNames_ElementTypesClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Element Types Class Name'.
  See Also:
    `ProviderClassNames.getElementTypesClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_NotationViewProviderClassName

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_NotationViewProviderClassName()

  Specified by:
    `getProviderClassNames_NotationViewProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Notation View Provider Class Name'.
  See Also:
    `ProviderClassNames.getNotationViewProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_NotationViewProviderPriority

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_NotationViewProviderPriority()

  Specified by:
    `getProviderClassNames_NotationViewProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Notation View Provider Priority'.
  See Also:
    `ProviderClassNames.getNotationViewProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_EditPartProviderClassName

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_EditPartProviderClassName()

  Specified by:
    `getProviderClassNames_EditPartProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Part Provider Class Name'.
  See Also:
    `ProviderClassNames.getEditPartProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_EditPartProviderPriority

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_EditPartProviderPriority()

  Specified by:
    `getProviderClassNames_EditPartProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Part Provider Priority'.
  See Also:
    `ProviderClassNames.getEditPartProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ModelingAssistantProviderClassName

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_ModelingAssistantProviderClassName()

  Specified by:
    `getProviderClassNames_ModelingAssistantProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Modeling Assistant Provider Class Name'.
  See Also:
    `ProviderClassNames.getModelingAssistantProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ModelingAssistantProviderPriority

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_ModelingAssistantProviderPriority()

  Specified by:
    `getProviderClassNames_ModelingAssistantProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Modeling Assistant Provider Priority'.
  See Also:
    `ProviderClassNames.getModelingAssistantProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_IconProviderClassName

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_IconProviderClassName()

  Specified by:
    `getProviderClassNames_IconProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Icon Provider Class Name'.
  See Also:
    `ProviderClassNames.getIconProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_IconProviderPriority

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_IconProviderPriority()

  Specified by:
    `getProviderClassNames_IconProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Icon Provider Priority'.
  See Also:
    `ProviderClassNames.getIconProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ParserProviderClassName

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_ParserProviderClassName()

  Specified by:
    `getProviderClassNames_ParserProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Parser Provider Class Name'.
  See Also:
    `ProviderClassNames.getParserProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ParserProviderPriority

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_ParserProviderPriority()

  Specified by:
    `getProviderClassNames_ParserProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Parser Provider Priority'.
  See Also:
    `ProviderClassNames.getParserProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ContributionItemProviderClassName

    public org.eclipse.emf.ecore.EAttribute getProviderClassNames_ContributionItemProviderClassName()

  Specified by:
    `getProviderClassNames_ContributionItemProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Contribution Item Provider Class Name'.
  See Also:
    `ProviderClassNames.getContributionItemProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getShortcuts

    public org.eclipse.emf.ecore.EClass getShortcuts()

  Specified by:
    `getShortcuts` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Shortcuts'.
  See Also:
    `Shortcuts`
  ** Generated **

### getShortcuts_ShortcutsDecoratorProviderClassName

    public org.eclipse.emf.ecore.EAttribute getShortcuts_ShortcutsDecoratorProviderClassName()

  Specified by:
    `getShortcuts_ShortcutsDecoratorProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Shortcuts Decorator Provider Class Name'.
  See Also:
    `Shortcuts.getShortcutsDecoratorProviderClassName()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_ShortcutsDecoratorProviderPriority

    public org.eclipse.emf.ecore.EAttribute getShortcuts_ShortcutsDecoratorProviderPriority()

  Specified by:
    `getShortcuts_ShortcutsDecoratorProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Shortcuts Decorator Provider Priority'.
  See Also:
    `Shortcuts.getShortcutsDecoratorProviderPriority()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_CreateShortcutActionClassName

    public org.eclipse.emf.ecore.EAttribute getShortcuts_CreateShortcutActionClassName()

  Specified by:
    `getShortcuts_CreateShortcutActionClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Create Shortcut Action Class Name'.
  See Also:
    `Shortcuts.getCreateShortcutActionClassName()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_CreateShortcutDecorationsCommandClassName

    public org.eclipse.emf.ecore.EAttribute getShortcuts_CreateShortcutDecorationsCommandClassName()

  Specified by:
    `getShortcuts_CreateShortcutDecorationsCommandClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Create Shortcut Decorations Command Class Name'.
  See Also:
    `Shortcuts.getCreateShortcutDecorationsCommandClassName()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_ShortcutPropertyTesterClassName

    public org.eclipse.emf.ecore.EAttribute getShortcuts_ShortcutPropertyTesterClassName()

  Specified by:
    `getShortcuts_ShortcutPropertyTesterClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Shortcut Property Tester Class Name'.
  See Also:
    `Shortcuts.getShortcutPropertyTesterClassName()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_ContainsShortcutsTo

    public org.eclipse.emf.ecore.EAttribute getShortcuts_ContainsShortcutsTo()

  Specified by:
    `getShortcuts_ContainsShortcutsTo` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Contains Shortcuts To'.
  See Also:
    `Shortcuts.getContainsShortcutsTo()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_ShortcutsProvidedFor

    public org.eclipse.emf.ecore.EAttribute getShortcuts_ShortcutsProvidedFor()

  Specified by:
    `getShortcuts_ShortcutsProvidedFor` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Shortcuts Provided For'.
  See Also:
    `Shortcuts.getShortcutsProvidedFor()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getPackageNames

    public org.eclipse.emf.ecore.EClass getPackageNames()

  Specified by:
    `getPackageNames` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Package Names'.
  See Also:
    `PackageNames`
  ** Generated **

### getPackageNames_EditCommandsPackageName

    public org.eclipse.emf.ecore.EAttribute getPackageNames_EditCommandsPackageName()

  Specified by:
    `getPackageNames_EditCommandsPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Commands Package Name'.
  See Also:
    `PackageNames.getEditCommandsPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_EditHelpersPackageName

    public org.eclipse.emf.ecore.EAttribute getPackageNames_EditHelpersPackageName()

  Specified by:
    `getPackageNames_EditHelpersPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Helpers Package Name'.
  See Also:
    `PackageNames.getEditHelpersPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_EditPartsPackageName

    public org.eclipse.emf.ecore.EAttribute getPackageNames_EditPartsPackageName()

  Specified by:
    `getPackageNames_EditPartsPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Parts Package Name'.
  See Also:
    `PackageNames.getEditPartsPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_EditPoliciesPackageName

    public org.eclipse.emf.ecore.EAttribute getPackageNames_EditPoliciesPackageName()

  Specified by:
    `getPackageNames_EditPoliciesPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Policies Package Name'.
  See Also:
    `PackageNames.getEditPoliciesPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_PreferencesPackageName

    public org.eclipse.emf.ecore.EAttribute getPackageNames_PreferencesPackageName()

  Specified by:
    `getPackageNames_PreferencesPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Preferences Package Name'.
  See Also:
    `PackageNames.getPreferencesPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_ProvidersPackageName

    public org.eclipse.emf.ecore.EAttribute getPackageNames_ProvidersPackageName()

  Specified by:
    `getPackageNames_ProvidersPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Providers Package Name'.
  See Also:
    `PackageNames.getProvidersPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_ParsersPackageName

    public org.eclipse.emf.ecore.EAttribute getPackageNames_ParsersPackageName()

  Specified by:
    `getPackageNames_ParsersPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Parsers Package Name'.
  See Also:
    `PackageNames.getParsersPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_NotationViewFactoriesPackageName

    public org.eclipse.emf.ecore.EAttribute getPackageNames_NotationViewFactoriesPackageName()

  Specified by:
    `getPackageNames_NotationViewFactoriesPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Notation View Factories Package Name'.
  See Also:
    `PackageNames.getNotationViewFactoriesPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getLinkConstraints

    public org.eclipse.emf.ecore.EClass getLinkConstraints()

  Specified by:
    `getLinkConstraints` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Link Constraints'.
  See Also:
    `LinkConstraints`
  ** Generated **

### getEditorCandies

    public org.eclipse.emf.ecore.EClass getEditorCandies()

  Specified by:
    `getEditorCandies` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Editor Candies'.
  See Also:
    `EditorCandies`
  ** Generated **

### getEditorCandies_CreationWizardClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_CreationWizardClassName()

  Specified by:
    `getEditorCandies_CreationWizardClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Creation Wizard Class Name'.
  See Also:
    `EditorCandies.getCreationWizardClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_CreationWizardPageClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_CreationWizardPageClassName()

  Specified by:
    `getEditorCandies_CreationWizardPageClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Creation Wizard Page Class Name'.
  See Also:
    `EditorCandies.getCreationWizardPageClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_CreationWizardIconPath

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_CreationWizardIconPath()

  Specified by:
    `getEditorCandies_CreationWizardIconPath` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Creation Wizard Icon Path'.
  See Also:
    `EditorCandies.getCreationWizardIconPath()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_CreationWizardIconPathX

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_CreationWizardIconPathX()

  Specified by:
    `getEditorCandies_CreationWizardIconPathX` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Creation Wizard Icon Path X'.
  See Also:
    `EditorCandies.getCreationWizardIconPathX()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_CreationWizardCategoryID

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_CreationWizardCategoryID()

  Specified by:
    `getEditorCandies_CreationWizardCategoryID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Creation Wizard Category ID'.
  See Also:
    `EditorCandies.getCreationWizardCategoryID()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_DiagramEditorUtilClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_DiagramEditorUtilClassName()

  Specified by:
    `getEditorCandies_DiagramEditorUtilClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Diagram Editor Util Class Name'.
  See Also:
    `EditorCandies.getDiagramEditorUtilClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_DocumentProviderClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_DocumentProviderClassName()

  Specified by:
    `getEditorCandies_DocumentProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Document Provider Class Name'.
  See Also:
    `EditorCandies.getDocumentProviderClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_InitDiagramFileActionClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_InitDiagramFileActionClassName()

  Specified by:
    `getEditorCandies_InitDiagramFileActionClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Init Diagram File Action Class Name'.
  See Also:
    `EditorCandies.getInitDiagramFileActionClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_NewDiagramFileWizardClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_NewDiagramFileWizardClassName()

  Specified by:
    `getEditorCandies_NewDiagramFileWizardClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'New Diagram File Wizard Class Name'.
  See Also:
    `EditorCandies.getNewDiagramFileWizardClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_DiagramContentInitializerClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_DiagramContentInitializerClassName()

  Specified by:
    `getEditorCandies_DiagramContentInitializerClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Diagram Content Initializer Class Name'.
  See Also:
    `EditorCandies.getDiagramContentInitializerClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_MatchingStrategyClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_MatchingStrategyClassName()

  Specified by:
    `getEditorCandies_MatchingStrategyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Matching Strategy Class Name'.
  See Also:
    `EditorCandies.getMatchingStrategyClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_VisualIDRegistryClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_VisualIDRegistryClassName()

  Specified by:
    `getEditorCandies_VisualIDRegistryClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Visual ID Registry Class Name'.
  See Also:
    `EditorCandies.getVisualIDRegistryClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_ElementChooserClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_ElementChooserClassName()

  Specified by:
    `getEditorCandies_ElementChooserClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Element Chooser Class Name'.
  See Also:
    `EditorCandies.getElementChooserClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_LoadResourceActionClassName

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_LoadResourceActionClassName()

  Specified by:
    `getEditorCandies_LoadResourceActionClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Load Resource Action Class Name'.
  See Also:
    `EditorCandies.getLoadResourceActionClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_EditingDomainID

    public org.eclipse.emf.ecore.EAttribute getEditorCandies_EditingDomainID()

  Specified by:
    `getEditorCandies_EditingDomainID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Editing Domain ID'.
  See Also:
    `EditorCandies.getEditingDomainID()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditPartCandies

    public org.eclipse.emf.ecore.EClass getEditPartCandies()

  Specified by:
    `getEditPartCandies` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Edit Part Candies'.
  See Also:
    `EditPartCandies`
  ** Generated **

### getEditPartCandies_ReorientConnectionViewCommandClassName

    public org.eclipse.emf.ecore.EAttribute getEditPartCandies_ReorientConnectionViewCommandClassName()

  Specified by:
    `getEditPartCandies_ReorientConnectionViewCommandClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Reorient Connection View Command Class Name'.
  See Also:
    `EditPartCandies.getReorientConnectionViewCommandClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseEditHelperClassName

    public org.eclipse.emf.ecore.EAttribute getEditPartCandies_BaseEditHelperClassName()

  Specified by:
    `getEditPartCandies_BaseEditHelperClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Base Edit Helper Class Name'.
  See Also:
    `EditPartCandies.getBaseEditHelperClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_EditPartFactoryClassName

    public org.eclipse.emf.ecore.EAttribute getEditPartCandies_EditPartFactoryClassName()

  Specified by:
    `getEditPartCandies_EditPartFactoryClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Part Factory Class Name'.
  See Also:
    `EditPartCandies.getEditPartFactoryClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseExternalNodeLabelEditPartClassName

    public org.eclipse.emf.ecore.EAttribute getEditPartCandies_BaseExternalNodeLabelEditPartClassName()

  Specified by:
    `getEditPartCandies_BaseExternalNodeLabelEditPartClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Base External Node Label Edit Part Class Name'.
  See Also:
    `EditPartCandies.getBaseExternalNodeLabelEditPartClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseItemSemanticEditPolicyClassName

    public org.eclipse.emf.ecore.EAttribute getEditPartCandies_BaseItemSemanticEditPolicyClassName()

  Specified by:
    `getEditPartCandies_BaseItemSemanticEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Base Item Semantic Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getBaseItemSemanticEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseGraphicalNodeEditPolicyClassName

    public org.eclipse.emf.ecore.EAttribute getEditPartCandies_BaseGraphicalNodeEditPolicyClassName()

  Specified by:
    `getEditPartCandies_BaseGraphicalNodeEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Base Graphical Node Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getBaseGraphicalNodeEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_TextSelectionEditPolicyClassName

    public org.eclipse.emf.ecore.EAttribute getEditPartCandies_TextSelectionEditPolicyClassName()

  Specified by:
    `getEditPartCandies_TextSelectionEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Text Selection Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getTextSelectionEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_TextNonResizableEditPolicyClassName

    public org.eclipse.emf.ecore.EAttribute getEditPartCandies_TextNonResizableEditPolicyClassName()

  Specified by:
    `getEditPartCandies_TextNonResizableEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Text Non Resizable Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getTextNonResizableEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getMeasurementUnit

    public org.eclipse.emf.ecore.EClass getMeasurementUnit()

  Specified by:
    `getMeasurementUnit` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Measurement Unit'.
  See Also:
    `MeasurementUnit`
  ** Generated **

### getMeasurementUnit_Units

    public org.eclipse.emf.ecore.EAttribute getMeasurementUnit_Units()

  Specified by:
    `getMeasurementUnit_Units` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Units'.
  See Also:
    `MeasurementUnit.getUnits()`, `GMFGenPackage.getMeasurementUnit()`
  ** Generated **

### getGenDiagramUpdater

    public org.eclipse.emf.ecore.EClass getGenDiagramUpdater()

  Specified by:
    `getGenDiagramUpdater` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Diagram Updater'.
  See Also:
    `GenDiagramUpdater`
  ** Generated **

### getGenDiagramUpdater_EditorGen

    public org.eclipse.emf.ecore.EReference getGenDiagramUpdater_EditorGen()

  Specified by:
    `getGenDiagramUpdater_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenDiagramUpdater.getEditorGen()`, `GMFGenPackage.getGenDiagramUpdater()`
  ** Generated **

### getGenDiagramUpdater_DiagramUpdaterClassName

    public org.eclipse.emf.ecore.EAttribute getGenDiagramUpdater_DiagramUpdaterClassName()

  Specified by:
    `getGenDiagramUpdater_DiagramUpdaterClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Diagram Updater Class Name'.
  See Also:
    `GenDiagramUpdater.getDiagramUpdaterClassName()`, `GMFGenPackage.getGenDiagramUpdater()`
  ** Generated **

### getGenDiagramUpdater_NodeDescriptorClassName

    public org.eclipse.emf.ecore.EAttribute getGenDiagramUpdater_NodeDescriptorClassName()

  Specified by:
    `getGenDiagramUpdater_NodeDescriptorClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Node Descriptor Class Name'.
  See Also:
    `GenDiagramUpdater.getNodeDescriptorClassName()`, `GMFGenPackage.getGenDiagramUpdater()`
  ** Generated **

### getGenDiagramUpdater_LinkDescriptorClassName

    public org.eclipse.emf.ecore.EAttribute getGenDiagramUpdater_LinkDescriptorClassName()

  Specified by:
    `getGenDiagramUpdater_LinkDescriptorClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Link Descriptor Class Name'.
  See Also:
    `GenDiagramUpdater.getLinkDescriptorClassName()`, `GMFGenPackage.getGenDiagramUpdater()`
  ** Generated **

### getGenDiagramUpdater_UpdateCommandClassName

    public org.eclipse.emf.ecore.EAttribute getGenDiagramUpdater_UpdateCommandClassName()

  Specified by:
    `getGenDiagramUpdater_UpdateCommandClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Update Command Class Name'.
  See Also:
    `GenDiagramUpdater.getUpdateCommandClassName()`, `GMFGenPackage.getGenDiagramUpdater()`
  ** Generated **

### getGenDiagramUpdater_UpdateCommandID

    public org.eclipse.emf.ecore.EAttribute getGenDiagramUpdater_UpdateCommandID()

  Specified by:
    `getGenDiagramUpdater_UpdateCommandID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Update Command ID'.
  See Also:
    `GenDiagramUpdater.getUpdateCommandID()`, `GMFGenPackage.getGenDiagramUpdater()`
  ** Generated **

### getGenPlugin

    public org.eclipse.emf.ecore.EClass getGenPlugin()

  Specified by:
    `getGenPlugin` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Plugin'.
  See Also:
    `GenPlugin`
  ** Generated **

### getGenPlugin_EditorGen

    public org.eclipse.emf.ecore.EReference getGenPlugin_EditorGen()

  Specified by:
    `getGenPlugin_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenPlugin.getEditorGen()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_ID

    public org.eclipse.emf.ecore.EAttribute getGenPlugin_ID()

  Specified by:
    `getGenPlugin_ID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `GenPlugin.getID()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_Name

    public org.eclipse.emf.ecore.EAttribute getGenPlugin_Name()

  Specified by:
    `getGenPlugin_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenPlugin.getName()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_Provider

    public org.eclipse.emf.ecore.EAttribute getGenPlugin_Provider()

  Specified by:
    `getGenPlugin_Provider` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Provider'.
  See Also:
    `GenPlugin.getProvider()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_Version

    public org.eclipse.emf.ecore.EAttribute getGenPlugin_Version()

  Specified by:
    `getGenPlugin_Version` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `GenPlugin.getVersion()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_PrintingEnabled

    public org.eclipse.emf.ecore.EAttribute getGenPlugin_PrintingEnabled()

  Specified by:
    `getGenPlugin_PrintingEnabled` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Printing Enabled'.
  See Also:
    `GenPlugin.isPrintingEnabled()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_RequiredPlugins

    public org.eclipse.emf.ecore.EAttribute getGenPlugin_RequiredPlugins()

  Specified by:
    `getGenPlugin_RequiredPlugins` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Required Plugins'.
  See Also:
    `GenPlugin.getRequiredPlugins()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_ActivatorClassName

    public org.eclipse.emf.ecore.EAttribute getGenPlugin_ActivatorClassName()

  Specified by:
    `getGenPlugin_ActivatorClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Activator Class Name'.
  See Also:
    `GenPlugin.getActivatorClassName()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getDynamicModelAccess

    public org.eclipse.emf.ecore.EClass getDynamicModelAccess()

  Specified by:
    `getDynamicModelAccess` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Dynamic Model Access'.
  See Also:
    `DynamicModelAccess`
  ** Generated **

### getDynamicModelAccess_EditorGen

    public org.eclipse.emf.ecore.EReference getDynamicModelAccess_EditorGen()

  Specified by:
    `getDynamicModelAccess_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `DynamicModelAccess.getEditorGen()`, `GMFGenPackage.getDynamicModelAccess()`
  ** Generated **

### getDynamicModelAccess_PackageName

    public org.eclipse.emf.ecore.EAttribute getDynamicModelAccess_PackageName()

  Specified by:
    `getDynamicModelAccess_PackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Package Name'.
  See Also:
    `DynamicModelAccess.getPackageName()`, `GMFGenPackage.getDynamicModelAccess()`
  ** Generated **

### getDynamicModelAccess_ClassName

    public org.eclipse.emf.ecore.EAttribute getDynamicModelAccess_ClassName()

  Specified by:
    `getDynamicModelAccess_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `DynamicModelAccess.getClassName()`, `GMFGenPackage.getDynamicModelAccess()`
  ** Generated **

### getElementType

    public org.eclipse.emf.ecore.EClass getElementType()

  Specified by:
    `getElementType` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Element Type'.
  See Also:
    `ElementType`
  ** Generated **

### getElementType_DiagramElement

    public org.eclipse.emf.ecore.EReference getElementType_DiagramElement()

  Specified by:
    `getElementType_DiagramElement` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram Element'.
  See Also:
    `ElementType.getDiagramElement()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getElementType_UniqueIdentifier

    public org.eclipse.emf.ecore.EAttribute getElementType_UniqueIdentifier()

  Specified by:
    `getElementType_UniqueIdentifier` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Unique Identifier'.
  See Also:
    `ElementType.getUniqueIdentifier()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getElementType_DisplayName

    public org.eclipse.emf.ecore.EAttribute getElementType_DisplayName()

  Specified by:
    `getElementType_DisplayName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `ElementType.getDisplayName()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getElementType_DefinedExternally

    public org.eclipse.emf.ecore.EAttribute getElementType_DefinedExternally()

  Specified by:
    `getElementType_DefinedExternally` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Defined Externally'.
  See Also:
    `ElementType.isDefinedExternally()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getMetamodelType

    public org.eclipse.emf.ecore.EClass getMetamodelType()

  Specified by:
    `getMetamodelType` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Metamodel Type'.
  See Also:
    `MetamodelType`
  ** Generated **

### getMetamodelType_EditHelperClassName

    public org.eclipse.emf.ecore.EAttribute getMetamodelType_EditHelperClassName()

  Specified by:
    `getMetamodelType_EditHelperClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Helper Class Name'.
  See Also:
    `MetamodelType.getEditHelperClassName()`, `GMFGenPackage.getMetamodelType()`
  ** Generated **

### getSpecializationType

    public org.eclipse.emf.ecore.EClass getSpecializationType()

  Specified by:
    `getSpecializationType` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Specialization Type'.
  See Also:
    `SpecializationType`
  ** Generated **

### getSpecializationType_MetamodelType

    public org.eclipse.emf.ecore.EReference getSpecializationType_MetamodelType()

  Specified by:
    `getSpecializationType_MetamodelType` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Metamodel Type'.
  See Also:
    `SpecializationType.getMetamodelType()`, `GMFGenPackage.getSpecializationType()`
  ** Generated **

### getSpecializationType_EditHelperAdviceClassName

    public org.eclipse.emf.ecore.EAttribute getSpecializationType_EditHelperAdviceClassName()

  Specified by:
    `getSpecializationType_EditHelperAdviceClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Helper Advice Class Name'.
  See Also:
    `SpecializationType.getEditHelperAdviceClassName()`, `GMFGenPackage.getSpecializationType()`
  ** Generated **

### getNotationType

    public org.eclipse.emf.ecore.EClass getNotationType()

  Specified by:
    `getNotationType` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Notation Type'.
  See Also:
    `NotationType`
  ** Generated **

### getGenCommonBase

    public org.eclipse.emf.ecore.EClass getGenCommonBase()

  Specified by:
    `getGenCommonBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Common Base'.
  See Also:
    `GenCommonBase`
  ** Generated **

### getGenCommonBase_DiagramRunTimeClass

    public org.eclipse.emf.ecore.EReference getGenCommonBase_DiagramRunTimeClass()

  Specified by:
    `getGenCommonBase_DiagramRunTimeClass` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Diagram Run Time Class'.
  See Also:
    `GenCommonBase.getDiagramRunTimeClass()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_VisualID

    public org.eclipse.emf.ecore.EAttribute getGenCommonBase_VisualID()

  Specified by:
    `getGenCommonBase_VisualID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Visual ID'.
  See Also:
    `GenCommonBase.getVisualID()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_ElementType

    public org.eclipse.emf.ecore.EReference getGenCommonBase_ElementType()

  Specified by:
    `getGenCommonBase_ElementType` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Element Type'.
  See Also:
    `GenCommonBase.getElementType()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_EditPartClassName

    public org.eclipse.emf.ecore.EAttribute getGenCommonBase_EditPartClassName()

  Specified by:
    `getGenCommonBase_EditPartClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Part Class Name'.
  See Also:
    `GenCommonBase.getEditPartClassName()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_ItemSemanticEditPolicyClassName

    public org.eclipse.emf.ecore.EAttribute getGenCommonBase_ItemSemanticEditPolicyClassName()

  Specified by:
    `getGenCommonBase_ItemSemanticEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Item Semantic Edit Policy Class Name'.
  See Also:
    `GenCommonBase.getItemSemanticEditPolicyClassName()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_NotationViewFactoryClassName

    public org.eclipse.emf.ecore.EAttribute getGenCommonBase_NotationViewFactoryClassName()

  Specified by:
    `getGenCommonBase_NotationViewFactoryClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Notation View Factory Class Name'.
  See Also:
    `GenCommonBase.getNotationViewFactoryClassName()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_Viewmap

    public org.eclipse.emf.ecore.EReference getGenCommonBase_Viewmap()

  Specified by:
    `getGenCommonBase_Viewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Viewmap'.
  See Also:
    `GenCommonBase.getViewmap()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_Styles

    public org.eclipse.emf.ecore.EReference getGenCommonBase_Styles()

  Specified by:
    `getGenCommonBase_Styles` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Styles'.
  See Also:
    `GenCommonBase.getStyles()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_Behaviour

    public org.eclipse.emf.ecore.EReference getGenCommonBase_Behaviour()

  Specified by:
    `getGenCommonBase_Behaviour` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Behaviour'.
  See Also:
    `GenCommonBase.getBehaviour()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_SansDomain

    public org.eclipse.emf.ecore.EAttribute getGenCommonBase_SansDomain()

  Specified by:
    `getGenCommonBase_SansDomain` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Sans Domain'.
  See Also:
    `GenCommonBase.isSansDomain()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getBehaviour

    public org.eclipse.emf.ecore.EClass getBehaviour()

  Specified by:
    `getBehaviour` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Behaviour'.
  See Also:
    `Behaviour`
  ** Generated **

### getBehaviour_Subject

    public org.eclipse.emf.ecore.EReference getBehaviour_Subject()

  Specified by:
    `getBehaviour_Subject` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Subject'.
  See Also:
    `Behaviour.getSubject()`, `GMFGenPackage.getBehaviour()`
  ** Generated **

### getCustomBehaviour

    public org.eclipse.emf.ecore.EClass getCustomBehaviour()

  Specified by:
    `getCustomBehaviour` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Custom Behaviour'.
  See Also:
    `CustomBehaviour`
  ** Generated **

### getCustomBehaviour_Key

    public org.eclipse.emf.ecore.EAttribute getCustomBehaviour_Key()

  Specified by:
    `getCustomBehaviour_Key` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `CustomBehaviour.getKey()`, `GMFGenPackage.getCustomBehaviour()`
  ** Generated **

### getCustomBehaviour_EditPolicyQualifiedClassName

    public org.eclipse.emf.ecore.EAttribute getCustomBehaviour_EditPolicyQualifiedClassName()

  Specified by:
    `getCustomBehaviour_EditPolicyQualifiedClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Policy Qualified Class Name'.
  See Also:
    `CustomBehaviour.getEditPolicyQualifiedClassName()`, `GMFGenPackage.getCustomBehaviour()`
  ** Generated **

### getSharedBehaviour

    public org.eclipse.emf.ecore.EClass getSharedBehaviour()

  Specified by:
    `getSharedBehaviour` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Shared Behaviour'.
  See Also:
    `SharedBehaviour`
  ** Generated **

### getSharedBehaviour_Delegate

    public org.eclipse.emf.ecore.EReference getSharedBehaviour_Delegate()

  Specified by:
    `getSharedBehaviour_Delegate` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Delegate'.
  See Also:
    `SharedBehaviour.getDelegate()`, `GMFGenPackage.getSharedBehaviour()`
  ** Generated **

### getOpenDiagramBehaviour

    public org.eclipse.emf.ecore.EClass getOpenDiagramBehaviour()

  Specified by:
    `getOpenDiagramBehaviour` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Open Diagram Behaviour'.
  See Also:
    `OpenDiagramBehaviour`
  ** Generated **

### getOpenDiagramBehaviour_EditPolicyClassName

    public org.eclipse.emf.ecore.EAttribute getOpenDiagramBehaviour_EditPolicyClassName()

  Specified by:
    `getOpenDiagramBehaviour_EditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Policy Class Name'.
  See Also:
    `OpenDiagramBehaviour.getEditPolicyClassName()`, `GMFGenPackage.getOpenDiagramBehaviour()`
  ** Generated **

### getOpenDiagramBehaviour_DiagramKind

    public org.eclipse.emf.ecore.EAttribute getOpenDiagramBehaviour_DiagramKind()

  Specified by:
    `getOpenDiagramBehaviour_DiagramKind` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Diagram Kind'.
  See Also:
    `OpenDiagramBehaviour.getDiagramKind()`, `GMFGenPackage.getOpenDiagramBehaviour()`
  ** Generated **

### getOpenDiagramBehaviour_EditorID

    public org.eclipse.emf.ecore.EAttribute getOpenDiagramBehaviour_EditorID()

  Specified by:
    `getOpenDiagramBehaviour_EditorID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Editor ID'.
  See Also:
    `OpenDiagramBehaviour.getEditorID()`, `GMFGenPackage.getOpenDiagramBehaviour()`
  ** Generated **

### getOpenDiagramBehaviour_OpenAsEclipseEditor

    public org.eclipse.emf.ecore.EAttribute getOpenDiagramBehaviour_OpenAsEclipseEditor()

  Specified by:
    `getOpenDiagramBehaviour_OpenAsEclipseEditor` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Open As Eclipse Editor'.
  See Also:
    `OpenDiagramBehaviour.isOpenAsEclipseEditor()`, `GMFGenPackage.getOpenDiagramBehaviour()`
  ** Generated **

### getGenContainerBase

    public org.eclipse.emf.ecore.EClass getGenContainerBase()

  Specified by:
    `getGenContainerBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Container Base'.
  See Also:
    `GenContainerBase`
  ** Generated **

### getGenContainerBase_ContainedNodes

    public org.eclipse.emf.ecore.EReference getGenContainerBase_ContainedNodes()

  Specified by:
    `getGenContainerBase_ContainedNodes` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Contained Nodes'.
  See Also:
    `GenContainerBase.getContainedNodes()`, `GMFGenPackage.getGenContainerBase()`
  ** Generated **

### getGenContainerBase_CanonicalEditPolicyClassName

    public org.eclipse.emf.ecore.EAttribute getGenContainerBase_CanonicalEditPolicyClassName()

  Specified by:
    `getGenContainerBase_CanonicalEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Canonical Edit Policy Class Name'.
  See Also:
    `GenContainerBase.getCanonicalEditPolicyClassName()`, `GMFGenPackage.getGenContainerBase()`
  ** Generated **

### getGenNode

    public org.eclipse.emf.ecore.EClass getGenNode()

  Specified by:
    `getGenNode` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Node'.
  See Also:
    `GenNode`
  ** Generated **

### getGenNode_Labels

    public org.eclipse.emf.ecore.EReference getGenNode_Labels()

  Specified by:
    `getGenNode_Labels` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Labels'.
  See Also:
    `GenNode.getLabels()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenNode_Compartments

    public org.eclipse.emf.ecore.EReference getGenNode_Compartments()

  Specified by:
    `getGenNode_Compartments` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Compartments'.
  See Also:
    `GenNode.getCompartments()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenNode_PrimaryDragEditPolicyQualifiedClassName

    public org.eclipse.emf.ecore.EAttribute getGenNode_PrimaryDragEditPolicyQualifiedClassName()

  Specified by:
    `getGenNode_PrimaryDragEditPolicyQualifiedClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Primary Drag Edit Policy Qualified Class Name'.
  See Also:
    `GenNode.getPrimaryDragEditPolicyQualifiedClassName()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenNode_GraphicalNodeEditPolicyClassName

    public org.eclipse.emf.ecore.EAttribute getGenNode_GraphicalNodeEditPolicyClassName()

  Specified by:
    `getGenNode_GraphicalNodeEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Graphical Node Edit Policy Class Name'.
  See Also:
    `GenNode.getGraphicalNodeEditPolicyClassName()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenNode_CreateCommandClassName

    public org.eclipse.emf.ecore.EAttribute getGenNode_CreateCommandClassName()

  Specified by:
    `getGenNode_CreateCommandClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Create Command Class Name'.
  See Also:
    `GenNode.getCreateCommandClassName()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenNode_ReorientedIncomingLinks

    public org.eclipse.emf.ecore.EReference getGenNode_ReorientedIncomingLinks()

  Specified by:
    `getGenNode_ReorientedIncomingLinks` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Reoriented Incoming Links'.
  See Also:
    `GenNode.getReorientedIncomingLinks()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenTopLevelNode

    public org.eclipse.emf.ecore.EClass getGenTopLevelNode()

  Specified by:
    `getGenTopLevelNode` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Top Level Node'.
  See Also:
    `GenTopLevelNode`
  ** Generated **

### getGenTopLevelNode_Diagram

    public org.eclipse.emf.ecore.EReference getGenTopLevelNode_Diagram()

  Specified by:
    `getGenTopLevelNode_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenTopLevelNode.getDiagram()`, `GMFGenPackage.getGenTopLevelNode()`
  ** Generated **

### getGenChildNode

    public org.eclipse.emf.ecore.EClass getGenChildNode()

  Specified by:
    `getGenChildNode` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Child Node'.
  See Also:
    `GenChildNode`
  ** Generated **

### getGenChildNode_Diagram

    public org.eclipse.emf.ecore.EReference getGenChildNode_Diagram()

  Specified by:
    `getGenChildNode_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenChildNode.getDiagram()`, `GMFGenPackage.getGenChildNode()`
  ** Generated **

### getGenChildNode_Containers

    public org.eclipse.emf.ecore.EReference getGenChildNode_Containers()

  Specified by:
    `getGenChildNode_Containers` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Containers'.
  See Also:
    `GenChildNode.getContainers()`, `GMFGenPackage.getGenChildNode()`
  ** Generated **

### getGenChildSideAffixedNode

    public org.eclipse.emf.ecore.EClass getGenChildSideAffixedNode()

  Specified by:
    `getGenChildSideAffixedNode` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Child Side Affixed Node'.
  See Also:
    `GenChildSideAffixedNode`
  ** Generated **

### getGenChildSideAffixedNode_PreferredSideName

    public org.eclipse.emf.ecore.EAttribute getGenChildSideAffixedNode_PreferredSideName()

  Specified by:
    `getGenChildSideAffixedNode_PreferredSideName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Preferred Side Name'.
  See Also:
    `GenChildSideAffixedNode.getPreferredSideName()`, `GMFGenPackage.getGenChildSideAffixedNode()`
  ** Generated **

### getGenChildLabelNode

    public org.eclipse.emf.ecore.EClass getGenChildLabelNode()

  Specified by:
    `getGenChildLabelNode` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Child Label Node'.
  See Also:
    `GenChildLabelNode`
  ** Generated **

### getGenChildLabelNode_LabelReadOnly

    public org.eclipse.emf.ecore.EAttribute getGenChildLabelNode_LabelReadOnly()

  Specified by:
    `getGenChildLabelNode_LabelReadOnly` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Label Read Only'.
  See Also:
    `GenChildLabelNode.isLabelReadOnly()`, `GMFGenPackage.getGenChildLabelNode()`
  ** Generated **

### getGenChildLabelNode_LabelElementIcon

    public org.eclipse.emf.ecore.EAttribute getGenChildLabelNode_LabelElementIcon()

  Specified by:
    `getGenChildLabelNode_LabelElementIcon` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Label Element Icon'.
  See Also:
    `GenChildLabelNode.isLabelElementIcon()`, `GMFGenPackage.getGenChildLabelNode()`
  ** Generated **

### getGenChildLabelNode_LabelModelFacet

    public org.eclipse.emf.ecore.EReference getGenChildLabelNode_LabelModelFacet()

  Specified by:
    `getGenChildLabelNode_LabelModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Label Model Facet'.
  See Also:
    `GenChildLabelNode.getLabelModelFacet()`, `GMFGenPackage.getGenChildLabelNode()`
  ** Generated **

### getGenCompartment

    public org.eclipse.emf.ecore.EClass getGenCompartment()

  Specified by:
    `getGenCompartment` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Compartment'.
  See Also:
    `GenCompartment`
  ** Generated **

### getGenCompartment_Title

    public org.eclipse.emf.ecore.EAttribute getGenCompartment_Title()

  Specified by:
    `getGenCompartment_Title` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `GenCompartment.getTitle()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_CanCollapse

    public org.eclipse.emf.ecore.EAttribute getGenCompartment_CanCollapse()

  Specified by:
    `getGenCompartment_CanCollapse` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Can Collapse'.
  See Also:
    `GenCompartment.isCanCollapse()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_HideIfEmpty

    public org.eclipse.emf.ecore.EAttribute getGenCompartment_HideIfEmpty()

  Specified by:
    `getGenCompartment_HideIfEmpty` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Hide If Empty'.
  See Also:
    `GenCompartment.isHideIfEmpty()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_NeedsTitle

    public org.eclipse.emf.ecore.EAttribute getGenCompartment_NeedsTitle()

  Specified by:
    `getGenCompartment_NeedsTitle` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Needs Title'.
  See Also:
    `GenCompartment.isNeedsTitle()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_Diagram

    public org.eclipse.emf.ecore.EReference getGenCompartment_Diagram()

  Specified by:
    `getGenCompartment_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenCompartment.getDiagram()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_Node

    public org.eclipse.emf.ecore.EReference getGenCompartment_Node()

  Specified by:
    `getGenCompartment_Node` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Node'.
  See Also:
    `GenCompartment.getNode()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_ListLayout

    public org.eclipse.emf.ecore.EAttribute getGenCompartment_ListLayout()

  Specified by:
    `getGenCompartment_ListLayout` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'List Layout'.
  See Also:
    `GenCompartment.isListLayout()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenNode_ModelFacet

    public org.eclipse.emf.ecore.EReference getGenNode_ModelFacet()

  Specified by:
    `getGenNode_ModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Model Facet'.
  See Also:
    `GenNode.getModelFacet()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenChildContainer

    public org.eclipse.emf.ecore.EClass getGenChildContainer()

  Specified by:
    `getGenChildContainer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Child Container'.
  See Also:
    `GenChildContainer`
  ** Generated **

### getGenChildContainer_ChildNodes

    public org.eclipse.emf.ecore.EReference getGenChildContainer_ChildNodes()

  Specified by:
    `getGenChildContainer_ChildNodes` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Child Nodes'.
  See Also:
    `GenChildContainer.getChildNodes()`, `GMFGenPackage.getGenChildContainer()`
  ** Generated **

### getGenLink

    public org.eclipse.emf.ecore.EClass getGenLink()

  Specified by:
    `getGenLink` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Link'.
  See Also:
    `GenLink`
  ** Generated **

### getGenLink_Diagram

    public org.eclipse.emf.ecore.EReference getGenLink_Diagram()

  Specified by:
    `getGenLink_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenLink.getDiagram()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_ModelFacet

    public org.eclipse.emf.ecore.EReference getGenLink_ModelFacet()

  Specified by:
    `getGenLink_ModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Model Facet'.
  See Also:
    `GenLink.getModelFacet()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_Labels

    public org.eclipse.emf.ecore.EReference getGenLink_Labels()

  Specified by:
    `getGenLink_Labels` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Labels'.
  See Also:
    `GenLink.getLabels()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_OutgoingCreationAllowed

    public org.eclipse.emf.ecore.EAttribute getGenLink_OutgoingCreationAllowed()

  Specified by:
    `getGenLink_OutgoingCreationAllowed` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Outgoing Creation Allowed'.
  See Also:
    `GenLink.isOutgoingCreationAllowed()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_IncomingCreationAllowed

    public org.eclipse.emf.ecore.EAttribute getGenLink_IncomingCreationAllowed()

  Specified by:
    `getGenLink_IncomingCreationAllowed` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Incoming Creation Allowed'.
  See Also:
    `GenLink.isIncomingCreationAllowed()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_ViewDirectionAlignedWithModel

    public org.eclipse.emf.ecore.EAttribute getGenLink_ViewDirectionAlignedWithModel()

  Specified by:
    `getGenLink_ViewDirectionAlignedWithModel` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'View Direction Aligned With Model'.
  See Also:
    `GenLink.isViewDirectionAlignedWithModel()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_CreationConstraints

    public org.eclipse.emf.ecore.EReference getGenLink_CreationConstraints()

  Specified by:
    `getGenLink_CreationConstraints` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Creation Constraints'.
  See Also:
    `GenLink.getCreationConstraints()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_CreateCommandClassName

    public org.eclipse.emf.ecore.EAttribute getGenLink_CreateCommandClassName()

  Specified by:
    `getGenLink_CreateCommandClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Create Command Class Name'.
  See Also:
    `GenLink.getCreateCommandClassName()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_ReorientCommandClassName

    public org.eclipse.emf.ecore.EAttribute getGenLink_ReorientCommandClassName()

  Specified by:
    `getGenLink_ReorientCommandClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Reorient Command Class Name'.
  See Also:
    `GenLink.getReorientCommandClassName()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_TreeBranch

    public org.eclipse.emf.ecore.EAttribute getGenLink_TreeBranch()

  Specified by:
    `getGenLink_TreeBranch` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Tree Branch'.
  See Also:
    `GenLink.isTreeBranch()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLabel

    public org.eclipse.emf.ecore.EClass getGenLabel()

  Specified by:
    `getGenLabel` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Label'.
  See Also:
    `GenLabel`
  ** Generated **

### getGenLabel_ReadOnly

    public org.eclipse.emf.ecore.EAttribute getGenLabel_ReadOnly()

  Specified by:
    `getGenLabel_ReadOnly` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Read Only'.
  See Also:
    `GenLabel.isReadOnly()`, `GMFGenPackage.getGenLabel()`
  ** Generated **

### getGenLabel_ElementIcon

    public org.eclipse.emf.ecore.EAttribute getGenLabel_ElementIcon()

  Specified by:
    `getGenLabel_ElementIcon` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Element Icon'.
  See Also:
    `GenLabel.isElementIcon()`, `GMFGenPackage.getGenLabel()`
  ** Generated **

### getGenLabel_ModelFacet

    public org.eclipse.emf.ecore.EReference getGenLabel_ModelFacet()

  Specified by:
    `getGenLabel_ModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Model Facet'.
  See Also:
    `GenLabel.getModelFacet()`, `GMFGenPackage.getGenLabel()`
  ** Generated **

### getGenNodeLabel

    public org.eclipse.emf.ecore.EClass getGenNodeLabel()

  Specified by:
    `getGenNodeLabel` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Node Label'.
  See Also:
    `GenNodeLabel`
  ** Generated **

### getGenNodeLabel_Node

    public org.eclipse.emf.ecore.EReference getGenNodeLabel_Node()

  Specified by:
    `getGenNodeLabel_Node` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Node'.
  See Also:
    `GenNodeLabel.getNode()`, `GMFGenPackage.getGenNodeLabel()`
  ** Generated **

### getGenExternalNodeLabel

    public org.eclipse.emf.ecore.EClass getGenExternalNodeLabel()

  Specified by:
    `getGenExternalNodeLabel` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen External Node Label'.
  See Also:
    `GenExternalNodeLabel`
  ** Generated **

### getGenLinkLabel

    public org.eclipse.emf.ecore.EClass getGenLinkLabel()

  Specified by:
    `getGenLinkLabel` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Link Label'.
  See Also:
    `GenLinkLabel`
  ** Generated **

### getGenLinkLabel_Link

    public org.eclipse.emf.ecore.EReference getGenLinkLabel_Link()

  Specified by:
    `getGenLinkLabel_Link` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Link'.
  See Also:
    `GenLinkLabel.getLink()`, `GMFGenPackage.getGenLinkLabel()`
  ** Generated **

### getGenLinkLabel_Alignment

    public org.eclipse.emf.ecore.EAttribute getGenLinkLabel_Alignment()

  Specified by:
    `getGenLinkLabel_Alignment` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Alignment'.
  See Also:
    `GenLinkLabel.getAlignment()`, `GMFGenPackage.getGenLinkLabel()`
  ** Generated **

### getModelFacet

    public org.eclipse.emf.ecore.EClass getModelFacet()

  Specified by:
    `getModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Model Facet'.
  See Also:
    `ModelFacet`
  ** Generated **

### getLinkModelFacet

    public org.eclipse.emf.ecore.EClass getLinkModelFacet()

  Specified by:
    `getLinkModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Link Model Facet'.
  See Also:
    `LinkModelFacet`
  ** Generated **

### getLabelModelFacet

    public org.eclipse.emf.ecore.EClass getLabelModelFacet()

  Specified by:
    `getLabelModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Label Model Facet'.
  See Also:
    `LabelModelFacet`
  ** Generated **

### getTypeModelFacet

    public org.eclipse.emf.ecore.EClass getTypeModelFacet()

  Specified by:
    `getTypeModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Type Model Facet'.
  See Also:
    `TypeModelFacet`
  ** Generated **

### getTypeModelFacet_MetaClass

    public org.eclipse.emf.ecore.EReference getTypeModelFacet_MetaClass()

  Specified by:
    `getTypeModelFacet_MetaClass` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Meta Class'.
  See Also:
    `TypeModelFacet.getMetaClass()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ContainmentMetaFeature

    public org.eclipse.emf.ecore.EReference getTypeModelFacet_ContainmentMetaFeature()

  Specified by:
    `getTypeModelFacet_ContainmentMetaFeature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Containment Meta Feature'.
  See Also:
    `TypeModelFacet.getContainmentMetaFeature()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ChildMetaFeature

    public org.eclipse.emf.ecore.EReference getTypeModelFacet_ChildMetaFeature()

  Specified by:
    `getTypeModelFacet_ChildMetaFeature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Child Meta Feature'.
  See Also:
    `TypeModelFacet.getChildMetaFeature()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ModelElementSelector

    public org.eclipse.emf.ecore.EReference getTypeModelFacet_ModelElementSelector()

  Specified by:
    `getTypeModelFacet_ModelElementSelector` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Model Element Selector'.
  See Also:
    `TypeModelFacet.getModelElementSelector()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ModelElementInitializer

    public org.eclipse.emf.ecore.EReference getTypeModelFacet_ModelElementInitializer()

  Specified by:
    `getTypeModelFacet_ModelElementInitializer` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Model Element Initializer'.
  See Also:
    `TypeModelFacet.getModelElementInitializer()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getFeatureLabelModelFacet

    public org.eclipse.emf.ecore.EClass getFeatureLabelModelFacet()

  Specified by:
    `getFeatureLabelModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Feature Label Model Facet'.
  See Also:
    `FeatureLabelModelFacet`
  ** Generated **

### getFeatureLabelModelFacet_MetaFeatures

    public org.eclipse.emf.ecore.EReference getFeatureLabelModelFacet_MetaFeatures()

  Specified by:
    `getFeatureLabelModelFacet_MetaFeatures` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Meta Features'.
  See Also:
    `FeatureLabelModelFacet.getMetaFeatures()`, `GMFGenPackage.getFeatureLabelModelFacet()`
  ** Generated **

### getFeatureLabelModelFacet_ViewPattern

    public org.eclipse.emf.ecore.EAttribute getFeatureLabelModelFacet_ViewPattern()

  Specified by:
    `getFeatureLabelModelFacet_ViewPattern` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'View Pattern'.
  See Also:
    `FeatureLabelModelFacet.getViewPattern()`, `GMFGenPackage.getFeatureLabelModelFacet()`
  ** Generated **

### getFeatureLabelModelFacet_EditorPattern

    public org.eclipse.emf.ecore.EAttribute getFeatureLabelModelFacet_EditorPattern()

  Specified by:
    `getFeatureLabelModelFacet_EditorPattern` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Editor Pattern'.
  See Also:
    `FeatureLabelModelFacet.getEditorPattern()`, `GMFGenPackage.getFeatureLabelModelFacet()`
  ** Generated **

### getFeatureLabelModelFacet_ViewMethod

    public org.eclipse.emf.ecore.EAttribute getFeatureLabelModelFacet_ViewMethod()

  Specified by:
    `getFeatureLabelModelFacet_ViewMethod` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'View Method'.
  See Also:
    `FeatureLabelModelFacet.getViewMethod()`, `GMFGenPackage.getFeatureLabelModelFacet()`
  ** Generated **

### getFeatureLabelModelFacet_EditPattern

    public org.eclipse.emf.ecore.EAttribute getFeatureLabelModelFacet_EditPattern()

  Specified by:
    `getFeatureLabelModelFacet_EditPattern` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Pattern'.
  See Also:
    `FeatureLabelModelFacet.getEditPattern()`, `GMFGenPackage.getFeatureLabelModelFacet()`
  ** Generated **

### getFeatureLabelModelFacet_EditMethod

    public org.eclipse.emf.ecore.EAttribute getFeatureLabelModelFacet_EditMethod()

  Specified by:
    `getFeatureLabelModelFacet_EditMethod` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Method'.
  See Also:
    `FeatureLabelModelFacet.getEditMethod()`, `GMFGenPackage.getFeatureLabelModelFacet()`
  ** Generated **

### getDesignLabelModelFacet

    public org.eclipse.emf.ecore.EClass getDesignLabelModelFacet()

  Specified by:
    `getDesignLabelModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Design Label Model Facet'.
  See Also:
    `DesignLabelModelFacet`
  ** Generated **

### getTypeLinkModelFacet

    public org.eclipse.emf.ecore.EClass getTypeLinkModelFacet()

  Specified by:
    `getTypeLinkModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Type Link Model Facet'.
  See Also:
    `TypeLinkModelFacet`
  ** Generated **

### getTypeLinkModelFacet_SourceMetaFeature

    public org.eclipse.emf.ecore.EReference getTypeLinkModelFacet_SourceMetaFeature()

  Specified by:
    `getTypeLinkModelFacet_SourceMetaFeature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Source Meta Feature'.
  See Also:
    `TypeLinkModelFacet.getSourceMetaFeature()`, `GMFGenPackage.getTypeLinkModelFacet()`
  ** Generated **

### getTypeLinkModelFacet_TargetMetaFeature

    public org.eclipse.emf.ecore.EReference getTypeLinkModelFacet_TargetMetaFeature()

  Specified by:
    `getTypeLinkModelFacet_TargetMetaFeature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Target Meta Feature'.
  See Also:
    `TypeLinkModelFacet.getTargetMetaFeature()`, `GMFGenPackage.getTypeLinkModelFacet()`
  ** Generated **

### getFeatureLinkModelFacet

    public org.eclipse.emf.ecore.EClass getFeatureLinkModelFacet()

  Specified by:
    `getFeatureLinkModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Feature Link Model Facet'.
  See Also:
    `FeatureLinkModelFacet`
  ** Generated **

### getFeatureLinkModelFacet_MetaFeature

    public org.eclipse.emf.ecore.EReference getFeatureLinkModelFacet_MetaFeature()

  Specified by:
    `getFeatureLinkModelFacet_MetaFeature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Meta Feature'.
  See Also:
    `FeatureLinkModelFacet.getMetaFeature()`, `GMFGenPackage.getFeatureLinkModelFacet()`
  ** Generated **

### getViewmap

    public org.eclipse.emf.ecore.EClass getViewmap()

  Specified by:
    `getViewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Viewmap'.
  See Also:
    `Viewmap`
  ** Generated **

### getViewmap_Attributes

    public org.eclipse.emf.ecore.EReference getViewmap_Attributes()

  Specified by:
    `getViewmap_Attributes` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Attributes'.
  See Also:
    `Viewmap.getAttributes()`, `GMFGenPackage.getViewmap()`
  ** Generated **

### getViewmap_RequiredPluginIDs

    public org.eclipse.emf.ecore.EAttribute getViewmap_RequiredPluginIDs()

  Specified by:
    `getViewmap_RequiredPluginIDs` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Required Plugin IDs'.
  See Also:
    `Viewmap.getRequiredPluginIDs()`, `GMFGenPackage.getViewmap()`
  ** Generated **

### getViewmap_LayoutType

    public org.eclipse.emf.ecore.EAttribute getViewmap_LayoutType()

  Specified by:
    `getViewmap_LayoutType` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Layout Type'.
  See Also:
    `Viewmap.getLayoutType()`, `GMFGenPackage.getViewmap()`
  ** Generated **

### getAttributes

    public org.eclipse.emf.ecore.EClass getAttributes()

  Specified by:
    `getAttributes` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Attributes'.
  See Also:
    `Attributes`
  ** Generated **

### getColorAttributes

    public org.eclipse.emf.ecore.EClass getColorAttributes()

  Specified by:
    `getColorAttributes` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Color Attributes'.
  See Also:
    `ColorAttributes`
  ** Generated **

### getColorAttributes_ForegroundColor

    public org.eclipse.emf.ecore.EAttribute getColorAttributes_ForegroundColor()

  Specified by:
    `getColorAttributes_ForegroundColor` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Foreground Color'.
  See Also:
    `ColorAttributes.getForegroundColor()`, `GMFGenPackage.getColorAttributes()`
  ** Generated **

### getColorAttributes_BackgroundColor

    public org.eclipse.emf.ecore.EAttribute getColorAttributes_BackgroundColor()

  Specified by:
    `getColorAttributes_BackgroundColor` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Background Color'.
  See Also:
    `ColorAttributes.getBackgroundColor()`, `GMFGenPackage.getColorAttributes()`
  ** Generated **

### getStyleAttributes

    public org.eclipse.emf.ecore.EClass getStyleAttributes()

  Specified by:
    `getStyleAttributes` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Style Attributes'.
  See Also:
    `StyleAttributes`
  ** Generated **

### getStyleAttributes_FixedFont

    public org.eclipse.emf.ecore.EAttribute getStyleAttributes_FixedFont()

  Specified by:
    `getStyleAttributes_FixedFont` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Fixed Font'.
  See Also:
    `StyleAttributes.isFixedFont()`, `GMFGenPackage.getStyleAttributes()`
  ** Generated **

### getStyleAttributes_FixedForeground

    public org.eclipse.emf.ecore.EAttribute getStyleAttributes_FixedForeground()

  Specified by:
    `getStyleAttributes_FixedForeground` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Fixed Foreground'.
  See Also:
    `StyleAttributes.isFixedForeground()`, `GMFGenPackage.getStyleAttributes()`
  ** Generated **

### getStyleAttributes_FixedBackground

    public org.eclipse.emf.ecore.EAttribute getStyleAttributes_FixedBackground()

  Specified by:
    `getStyleAttributes_FixedBackground` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Fixed Background'.
  See Also:
    `StyleAttributes.isFixedBackground()`, `GMFGenPackage.getStyleAttributes()`
  ** Generated **

### getResizeConstraints

    public org.eclipse.emf.ecore.EClass getResizeConstraints()

  Specified by:
    `getResizeConstraints` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Resize Constraints'.
  See Also:
    `ResizeConstraints`
  ** Generated **

### getResizeConstraints_ResizeHandles

    public org.eclipse.emf.ecore.EAttribute getResizeConstraints_ResizeHandles()

  Specified by:
    `getResizeConstraints_ResizeHandles` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Resize Handles'.
  See Also:
    `ResizeConstraints.getResizeHandles()`, `GMFGenPackage.getResizeConstraints()`
  ** Generated **

### getResizeConstraints_NonResizeHandles

    public org.eclipse.emf.ecore.EAttribute getResizeConstraints_NonResizeHandles()

  Specified by:
    `getResizeConstraints_NonResizeHandles` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Non Resize Handles'.
  See Also:
    `ResizeConstraints.getNonResizeHandles()`, `GMFGenPackage.getResizeConstraints()`
  ** Generated **

### getResizeConstraints_ResizeHandleNames

    public org.eclipse.emf.ecore.EAttribute getResizeConstraints_ResizeHandleNames()

  Specified by:
    `getResizeConstraints_ResizeHandleNames` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Resize Handle Names'.
  See Also:
    `ResizeConstraints.getResizeHandleNames()`, `GMFGenPackage.getResizeConstraints()`
  ** Generated **

### getResizeConstraints_NonResizeHandleNames

    public org.eclipse.emf.ecore.EAttribute getResizeConstraints_NonResizeHandleNames()

  Specified by:
    `getResizeConstraints_NonResizeHandleNames` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Non Resize Handle Names'.
  See Also:
    `ResizeConstraints.getNonResizeHandleNames()`, `GMFGenPackage.getResizeConstraints()`
  ** Generated **

### getDefaultSizeAttributes

    public org.eclipse.emf.ecore.EClass getDefaultSizeAttributes()

  Specified by:
    `getDefaultSizeAttributes` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Default Size Attributes'.
  See Also:
    `DefaultSizeAttributes`
  ** Generated **

### getDefaultSizeAttributes_Width

    public org.eclipse.emf.ecore.EAttribute getDefaultSizeAttributes_Width()

  Specified by:
    `getDefaultSizeAttributes_Width` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Width'.
  See Also:
    `DefaultSizeAttributes.getWidth()`, `GMFGenPackage.getDefaultSizeAttributes()`
  ** Generated **

### getDefaultSizeAttributes_Height

    public org.eclipse.emf.ecore.EAttribute getDefaultSizeAttributes_Height()

  Specified by:
    `getDefaultSizeAttributes_Height` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `DefaultSizeAttributes.getHeight()`, `GMFGenPackage.getDefaultSizeAttributes()`
  ** Generated **

### getLabelOffsetAttributes

    public org.eclipse.emf.ecore.EClass getLabelOffsetAttributes()

  Specified by:
    `getLabelOffsetAttributes` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Label Offset Attributes'.
  See Also:
    `LabelOffsetAttributes`
  ** Generated **

### getLabelOffsetAttributes_X

    public org.eclipse.emf.ecore.EAttribute getLabelOffsetAttributes_X()

  Specified by:
    `getLabelOffsetAttributes_X` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `LabelOffsetAttributes.getX()`, `GMFGenPackage.getLabelOffsetAttributes()`
  ** Generated **

### getLabelOffsetAttributes_Y

    public org.eclipse.emf.ecore.EAttribute getLabelOffsetAttributes_Y()

  Specified by:
    `getLabelOffsetAttributes_Y` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `LabelOffsetAttributes.getY()`, `GMFGenPackage.getLabelOffsetAttributes()`
  ** Generated **

### getFigureViewmap

    public org.eclipse.emf.ecore.EClass getFigureViewmap()

  Specified by:
    `getFigureViewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Figure Viewmap'.
  See Also:
    `FigureViewmap`
  ** Generated **

### getFigureViewmap_FigureQualifiedClassName

    public org.eclipse.emf.ecore.EAttribute getFigureViewmap_FigureQualifiedClassName()

  Specified by:
    `getFigureViewmap_FigureQualifiedClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Figure Qualified Class Name'.
  See Also:
    `FigureViewmap.getFigureQualifiedClassName()`, `GMFGenPackage.getFigureViewmap()`
  ** Generated **

### getSnippetViewmap

    public org.eclipse.emf.ecore.EClass getSnippetViewmap()

  Specified by:
    `getSnippetViewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Snippet Viewmap'.
  See Also:
    `SnippetViewmap`
  ** Generated **

### getSnippetViewmap_Body

    public org.eclipse.emf.ecore.EAttribute getSnippetViewmap_Body()

  Specified by:
    `getSnippetViewmap_Body` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `SnippetViewmap.getBody()`, `GMFGenPackage.getSnippetViewmap()`
  ** Generated **

### getInnerClassViewmap

    public org.eclipse.emf.ecore.EClass getInnerClassViewmap()

  Specified by:
    `getInnerClassViewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Inner Class Viewmap'.
  See Also:
    `InnerClassViewmap`
  ** Generated **

### getInnerClassViewmap_ClassName

    public org.eclipse.emf.ecore.EAttribute getInnerClassViewmap_ClassName()

  Specified by:
    `getInnerClassViewmap_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `InnerClassViewmap.getClassName()`, `GMFGenPackage.getInnerClassViewmap()`
  ** Generated **

### getInnerClassViewmap_ClassBody

    public org.eclipse.emf.ecore.EAttribute getInnerClassViewmap_ClassBody()

  Specified by:
    `getInnerClassViewmap_ClassBody` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Body'.
  See Also:
    `InnerClassViewmap.getClassBody()`, `GMFGenPackage.getInnerClassViewmap()`
  ** Generated **

### getParentAssignedViewmap

    public org.eclipse.emf.ecore.EClass getParentAssignedViewmap()

  Specified by:
    `getParentAssignedViewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Parent Assigned Viewmap'.
  See Also:
    `ParentAssignedViewmap`
  ** Generated **

### getParentAssignedViewmap_GetterName

    public org.eclipse.emf.ecore.EAttribute getParentAssignedViewmap_GetterName()

  Specified by:
    `getParentAssignedViewmap_GetterName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Getter Name'.
  See Also:
    `ParentAssignedViewmap.getGetterName()`, `GMFGenPackage.getParentAssignedViewmap()`
  ** Generated **

### getParentAssignedViewmap_SetterName

    public org.eclipse.emf.ecore.EAttribute getParentAssignedViewmap_SetterName()

  Specified by:
    `getParentAssignedViewmap_SetterName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Setter Name'.
  See Also:
    `ParentAssignedViewmap.getSetterName()`, `GMFGenPackage.getParentAssignedViewmap()`
  ** Generated **

### getParentAssignedViewmap_FigureQualifiedClassName

    public org.eclipse.emf.ecore.EAttribute getParentAssignedViewmap_FigureQualifiedClassName()

  Specified by:
    `getParentAssignedViewmap_FigureQualifiedClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Figure Qualified Class Name'.
  See Also:
    `ParentAssignedViewmap.getFigureQualifiedClassName()`, `GMFGenPackage.getParentAssignedViewmap()`
  ** Generated **

### getValueExpression

    public org.eclipse.emf.ecore.EClass getValueExpression()

  Specified by:
    `getValueExpression` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Value Expression'.
  See Also:
    `ValueExpression`
  ** Generated **

### getValueExpression_Body

    public org.eclipse.emf.ecore.EAttribute getValueExpression_Body()

  Specified by:
    `getValueExpression_Body` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `ValueExpression.getBody()`, `GMFGenPackage.getValueExpression()`
  ** Generated **

### getValueExpression_LangName

    public org.eclipse.emf.ecore.EAttribute getValueExpression_LangName()

  Specified by:
    `getValueExpression_LangName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Lang Name'.
  See Also:
    `ValueExpression.getLangName()`, `GMFGenPackage.getValueExpression()`
  ** Generated **

### getValueExpression_Provider

    public org.eclipse.emf.ecore.EReference getValueExpression_Provider()

  Specified by:
    `getValueExpression_Provider` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Provider'.
  See Also:
    `ValueExpression.getProvider()`, `GMFGenPackage.getValueExpression()`
  ** Generated **

### getGenConstraint

    public org.eclipse.emf.ecore.EClass getGenConstraint()

  Specified by:
    `getGenConstraint` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Constraint'.
  See Also:
    `GenConstraint`
  ** Generated **

### getPalette

    public org.eclipse.emf.ecore.EClass getPalette()

  Specified by:
    `getPalette` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Palette'.
  See Also:
    `Palette`
  ** Generated **

### getPalette_Diagram

    public org.eclipse.emf.ecore.EReference getPalette_Diagram()

  Specified by:
    `getPalette_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `Palette.getDiagram()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_Flyout

    public org.eclipse.emf.ecore.EAttribute getPalette_Flyout()

  Specified by:
    `getPalette_Flyout` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Flyout'.
  See Also:
    `Palette.isFlyout()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_Groups

    public org.eclipse.emf.ecore.EReference getPalette_Groups()

  Specified by:
    `getPalette_Groups` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Groups'.
  See Also:
    `Palette.getGroups()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_PackageName

    public org.eclipse.emf.ecore.EAttribute getPalette_PackageName()

  Specified by:
    `getPalette_PackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Package Name'.
  See Also:
    `Palette.getPackageName()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_FactoryClassName

    public org.eclipse.emf.ecore.EAttribute getPalette_FactoryClassName()

  Specified by:
    `getPalette_FactoryClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Factory Class Name'.
  See Also:
    `Palette.getFactoryClassName()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getEntryBase

    public org.eclipse.emf.ecore.EClass getEntryBase()

  Specified by:
    `getEntryBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Entry Base'.
  See Also:
    `EntryBase`
  ** Generated **

### getEntryBase_Title

    public org.eclipse.emf.ecore.EAttribute getEntryBase_Title()

  Specified by:
    `getEntryBase_Title` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `EntryBase.getTitle()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_Description

    public org.eclipse.emf.ecore.EAttribute getEntryBase_Description()

  Specified by:
    `getEntryBase_Description` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `EntryBase.getDescription()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_LargeIconPath

    public org.eclipse.emf.ecore.EAttribute getEntryBase_LargeIconPath()

  Specified by:
    `getEntryBase_LargeIconPath` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Large Icon Path'.
  See Also:
    `EntryBase.getLargeIconPath()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_SmallIconPath

    public org.eclipse.emf.ecore.EAttribute getEntryBase_SmallIconPath()

  Specified by:
    `getEntryBase_SmallIconPath` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Small Icon Path'.
  See Also:
    `EntryBase.getSmallIconPath()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_CreateMethodName

    public org.eclipse.emf.ecore.EAttribute getEntryBase_CreateMethodName()

  Specified by:
    `getEntryBase_CreateMethodName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Create Method Name'.
  See Also:
    `EntryBase.getCreateMethodName()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getAbstractToolEntry

    public org.eclipse.emf.ecore.EClass getAbstractToolEntry()

  Specified by:
    `getAbstractToolEntry` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Abstract Tool Entry'.
  See Also:
    `AbstractToolEntry`
  ** Generated **

### getAbstractToolEntry_Default

    public org.eclipse.emf.ecore.EAttribute getAbstractToolEntry_Default()

  Specified by:
    `getAbstractToolEntry_Default` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Default'.
  See Also:
    `AbstractToolEntry.isDefault()`, `GMFGenPackage.getAbstractToolEntry()`
  ** Generated **

### getAbstractToolEntry_QualifiedToolName

    public org.eclipse.emf.ecore.EAttribute getAbstractToolEntry_QualifiedToolName()

  Specified by:
    `getAbstractToolEntry_QualifiedToolName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Qualified Tool Name'.
  See Also:
    `AbstractToolEntry.getQualifiedToolName()`, `GMFGenPackage.getAbstractToolEntry()`
  ** Generated **

### getAbstractToolEntry_Properties

    public org.eclipse.emf.ecore.EReference getAbstractToolEntry_Properties()

  Specified by:
    `getAbstractToolEntry_Properties` in interface `GMFGenPackage`
  Returns:
    the meta object for the map 'Properties'.
  See Also:
    `AbstractToolEntry.getProperties()`, `GMFGenPackage.getAbstractToolEntry()`
  ** Generated **

### getToolEntry

    public org.eclipse.emf.ecore.EClass getToolEntry()

  Specified by:
    `getToolEntry` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Tool Entry'.
  See Also:
    `ToolEntry`
  ** Generated **

### getToolEntry_GenNodes

    public org.eclipse.emf.ecore.EReference getToolEntry_GenNodes()

  Specified by:
    `getToolEntry_GenNodes` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Gen Nodes'.
  See Also:
    `ToolEntry.getGenNodes()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_GenLinks

    public org.eclipse.emf.ecore.EReference getToolEntry_GenLinks()

  Specified by:
    `getToolEntry_GenLinks` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Gen Links'.
  See Also:
    `ToolEntry.getGenLinks()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_Elements

    public org.eclipse.emf.ecore.EReference getToolEntry_Elements()

  Specified by:
    `getToolEntry_Elements` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Elements'.
  See Also:
    `ToolEntry.getElements()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getStandardEntry

    public org.eclipse.emf.ecore.EClass getStandardEntry()

  Specified by:
    `getStandardEntry` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Standard Entry'.
  See Also:
    `StandardEntry`
  ** Generated **

### getStandardEntry_Kind

    public org.eclipse.emf.ecore.EAttribute getStandardEntry_Kind()

  Specified by:
    `getStandardEntry_Kind` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `StandardEntry.getKind()`, `GMFGenPackage.getStandardEntry()`
  ** Generated **

### getToolGroupItem

    public org.eclipse.emf.ecore.EClass getToolGroupItem()

  Specified by:
    `getToolGroupItem` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Tool Group Item'.
  See Also:
    `ToolGroupItem`
  ** Generated **

### getToolGroupItem_Group

    public org.eclipse.emf.ecore.EReference getToolGroupItem_Group()

  Specified by:
    `getToolGroupItem_Group` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Group'.
  See Also:
    `ToolGroupItem.getGroup()`, `GMFGenPackage.getToolGroupItem()`
  ** Generated **

### getSeparator

    public org.eclipse.emf.ecore.EClass getSeparator()

  Specified by:
    `getSeparator` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Separator'.
  See Also:
    `Separator`
  ** Generated **

### getToolGroup

    public org.eclipse.emf.ecore.EClass getToolGroup()

  Specified by:
    `getToolGroup` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Tool Group'.
  See Also:
    `ToolGroup`
  ** Generated **

### getToolGroup_Palette

    public org.eclipse.emf.ecore.EReference getToolGroup_Palette()

  Specified by:
    `getToolGroup_Palette` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Palette'.
  See Also:
    `ToolGroup.getPalette()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getToolGroup_Stack

    public org.eclipse.emf.ecore.EAttribute getToolGroup_Stack()

  Specified by:
    `getToolGroup_Stack` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Stack'.
  See Also:
    `ToolGroup.isStack()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getToolGroup_Collapse

    public org.eclipse.emf.ecore.EAttribute getToolGroup_Collapse()

  Specified by:
    `getToolGroup_Collapse` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Collapse'.
  See Also:
    `ToolGroup.isCollapse()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getToolGroup_Entries

    public org.eclipse.emf.ecore.EReference getToolGroup_Entries()

  Specified by:
    `getToolGroup_Entries` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Entries'.
  See Also:
    `ToolGroup.getEntries()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getToolGroup_ToolsOnly

    public org.eclipse.emf.ecore.EAttribute getToolGroup_ToolsOnly()

  Specified by:
    `getToolGroup_ToolsOnly` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Tools Only'.
  See Also:
    `ToolGroup.isToolsOnly()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getGenElementInitializer

    public org.eclipse.emf.ecore.EClass getGenElementInitializer()

  Specified by:
    `getGenElementInitializer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Element Initializer'.
  See Also:
    `GenElementInitializer`
  ** Generated **

### getGenElementInitializer_TypeModelFacet

    public org.eclipse.emf.ecore.EReference getGenElementInitializer_TypeModelFacet()

  Specified by:
    `getGenElementInitializer_TypeModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Type Model Facet'.
  See Also:
    `GenElementInitializer.getTypeModelFacet()`, `GMFGenPackage.getGenElementInitializer()`
  ** Generated **

### getGenFeatureSeqInitializer

    public org.eclipse.emf.ecore.EClass getGenFeatureSeqInitializer()

  Specified by:
    `getGenFeatureSeqInitializer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Feature Seq Initializer'.
  See Also:
    `GenFeatureSeqInitializer`
  ** Generated **

### getGenFeatureSeqInitializer_Initializers

    public org.eclipse.emf.ecore.EReference getGenFeatureSeqInitializer_Initializers()

  Specified by:
    `getGenFeatureSeqInitializer_Initializers` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Initializers'.
  See Also:
    `GenFeatureSeqInitializer.getInitializers()`, `GMFGenPackage.getGenFeatureSeqInitializer()`
  ** Generated **

### getGenFeatureSeqInitializer_ElementClass

    public org.eclipse.emf.ecore.EReference getGenFeatureSeqInitializer_ElementClass()

  Specified by:
    `getGenFeatureSeqInitializer_ElementClass` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Element Class'.
  See Also:
    `GenFeatureSeqInitializer.getElementClass()`, `GMFGenPackage.getGenFeatureSeqInitializer()`
  ** Generated **

### getGenFeatureSeqInitializer_CreatingInitializer

    public org.eclipse.emf.ecore.EReference getGenFeatureSeqInitializer_CreatingInitializer()

  Specified by:
    `getGenFeatureSeqInitializer_CreatingInitializer` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Creating Initializer'.
  See Also:
    `GenFeatureSeqInitializer.getCreatingInitializer()`, `GMFGenPackage.getGenFeatureSeqInitializer()`
  ** Generated **

### getGenFeatureValueSpec

    public org.eclipse.emf.ecore.EClass getGenFeatureValueSpec()

  Specified by:
    `getGenFeatureValueSpec` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Feature Value Spec'.
  See Also:
    `GenFeatureValueSpec`
  ** Generated **

### getGenFeatureValueSpec_Value

    public org.eclipse.emf.ecore.EReference getGenFeatureValueSpec_Value()

  Specified by:
    `getGenFeatureValueSpec_Value` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Value'.
  See Also:
    `GenFeatureValueSpec.getValue()`, `GMFGenPackage.getGenFeatureValueSpec()`
  ** Generated **

### getGenReferenceNewElementSpec

    public org.eclipse.emf.ecore.EClass getGenReferenceNewElementSpec()

  Specified by:
    `getGenReferenceNewElementSpec` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Reference New Element Spec'.
  See Also:
    `GenReferenceNewElementSpec`
  ** Generated **

### getGenReferenceNewElementSpec_NewElementInitializers

    public org.eclipse.emf.ecore.EReference getGenReferenceNewElementSpec_NewElementInitializers()

  Specified by:
    `getGenReferenceNewElementSpec_NewElementInitializers` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'New Element Initializers'.
  See Also:
    `GenReferenceNewElementSpec.getNewElementInitializers()`, `GMFGenPackage.getGenReferenceNewElementSpec()`
  ** Generated **

### getGenFeatureInitializer

    public org.eclipse.emf.ecore.EClass getGenFeatureInitializer()

  Specified by:
    `getGenFeatureInitializer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Feature Initializer'.
  See Also:
    `GenFeatureInitializer`
  ** Generated **

### getGenFeatureInitializer_Feature

    public org.eclipse.emf.ecore.EReference getGenFeatureInitializer_Feature()

  Specified by:
    `getGenFeatureInitializer_Feature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `GenFeatureInitializer.getFeature()`, `GMFGenPackage.getGenFeatureInitializer()`
  ** Generated **

### getGenFeatureInitializer_FeatureSeqInitializer

    public org.eclipse.emf.ecore.EReference getGenFeatureInitializer_FeatureSeqInitializer()

  Specified by:
    `getGenFeatureInitializer_FeatureSeqInitializer` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Feature Seq Initializer'.
  See Also:
    `GenFeatureInitializer.getFeatureSeqInitializer()`, `GMFGenPackage.getGenFeatureInitializer()`
  ** Generated **

### getGenLinkConstraints

    public org.eclipse.emf.ecore.EClass getGenLinkConstraints()

  Specified by:
    `getGenLinkConstraints` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Link Constraints'.
  See Also:
    `GenLinkConstraints`
  ** Generated **

### getGenLinkConstraints_Link

    public org.eclipse.emf.ecore.EReference getGenLinkConstraints_Link()

  Specified by:
    `getGenLinkConstraints_Link` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Link'.
  See Also:
    `GenLinkConstraints.getLink()`, `GMFGenPackage.getGenLinkConstraints()`
  ** Generated **

### getGenLinkConstraints_SourceEnd

    public org.eclipse.emf.ecore.EReference getGenLinkConstraints_SourceEnd()

  Specified by:
    `getGenLinkConstraints_SourceEnd` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Source End'.
  See Also:
    `GenLinkConstraints.getSourceEnd()`, `GMFGenPackage.getGenLinkConstraints()`
  ** Generated **

### getGenLinkConstraints_TargetEnd

    public org.eclipse.emf.ecore.EReference getGenLinkConstraints_TargetEnd()

  Specified by:
    `getGenLinkConstraints_TargetEnd` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Target End'.
  See Also:
    `GenLinkConstraints.getTargetEnd()`, `GMFGenPackage.getGenLinkConstraints()`
  ** Generated **

### getGenAuditRoot

    public org.eclipse.emf.ecore.EClass getGenAuditRoot()

  Specified by:
    `getGenAuditRoot` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Audit Root'.
  See Also:
    `GenAuditRoot`
  ** Generated **

### getGenAuditRoot_EditorGen

    public org.eclipse.emf.ecore.EReference getGenAuditRoot_EditorGen()

  Specified by:
    `getGenAuditRoot_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenAuditRoot.getEditorGen()`, `GMFGenPackage.getGenAuditRoot()`
  ** Generated **

### getGenAuditRoot_Categories

    public org.eclipse.emf.ecore.EReference getGenAuditRoot_Categories()

  Specified by:
    `getGenAuditRoot_Categories` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Categories'.
  See Also:
    `GenAuditRoot.getCategories()`, `GMFGenPackage.getGenAuditRoot()`
  ** Generated **

### getGenAuditRoot_Rules

    public org.eclipse.emf.ecore.EReference getGenAuditRoot_Rules()

  Specified by:
    `getGenAuditRoot_Rules` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Rules'.
  See Also:
    `GenAuditRoot.getRules()`, `GMFGenPackage.getGenAuditRoot()`
  ** Generated **

### getGenAuditRoot_ClientContexts

    public org.eclipse.emf.ecore.EReference getGenAuditRoot_ClientContexts()

  Specified by:
    `getGenAuditRoot_ClientContexts` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Client Contexts'.
  See Also:
    `GenAuditRoot.getClientContexts()`, `GMFGenPackage.getGenAuditRoot()`
  ** Generated **

### getGenAuditContainer

    public org.eclipse.emf.ecore.EClass getGenAuditContainer()

  Specified by:
    `getGenAuditContainer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Audit Container'.
  See Also:
    `GenAuditContainer`
  ** Generated **

### getGenAuditContainer_Root

    public org.eclipse.emf.ecore.EReference getGenAuditContainer_Root()

  Specified by:
    `getGenAuditContainer_Root` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Root'.
  See Also:
    `GenAuditContainer.getRoot()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenRuleBase

    public org.eclipse.emf.ecore.EClass getGenRuleBase()

  Specified by:
    `getGenRuleBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Rule Base'.
  See Also:
    `GenRuleBase`
  ** Generated **

### getGenRuleBase_Name

    public org.eclipse.emf.ecore.EAttribute getGenRuleBase_Name()

  Specified by:
    `getGenRuleBase_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenRuleBase.getName()`, `GMFGenPackage.getGenRuleBase()`
  ** Generated **

### getGenRuleBase_Description

    public org.eclipse.emf.ecore.EAttribute getGenRuleBase_Description()

  Specified by:
    `getGenRuleBase_Description` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `GenRuleBase.getDescription()`, `GMFGenPackage.getGenRuleBase()`
  ** Generated **

### getGenAuditContainer_Id

    public org.eclipse.emf.ecore.EAttribute getGenAuditContainer_Id()

  Specified by:
    `getGenAuditContainer_Id` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `GenAuditContainer.getId()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_Name

    public org.eclipse.emf.ecore.EAttribute getGenAuditContainer_Name()

  Specified by:
    `getGenAuditContainer_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenAuditContainer.getName()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_Description

    public org.eclipse.emf.ecore.EAttribute getGenAuditContainer_Description()

  Specified by:
    `getGenAuditContainer_Description` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `GenAuditContainer.getDescription()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_Path

    public org.eclipse.emf.ecore.EReference getGenAuditContainer_Path()

  Specified by:
    `getGenAuditContainer_Path` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Path'.
  See Also:
    `GenAuditContainer.getPath()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_Audits

    public org.eclipse.emf.ecore.EReference getGenAuditContainer_Audits()

  Specified by:
    `getGenAuditContainer_Audits` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Audits'.
  See Also:
    `GenAuditContainer.getAudits()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditRule

    public org.eclipse.emf.ecore.EClass getGenAuditRule()

  Specified by:
    `getGenAuditRule` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Audit Rule'.
  See Also:
    `GenAuditRule`
  ** Generated **

### getGenAuditRule_Root

    public org.eclipse.emf.ecore.EReference getGenAuditRule_Root()

  Specified by:
    `getGenAuditRule_Root` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Root'.
  See Also:
    `GenAuditRule.getRoot()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Id

    public org.eclipse.emf.ecore.EAttribute getGenAuditRule_Id()

  Specified by:
    `getGenAuditRule_Id` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `GenAuditRule.getId()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Rule

    public org.eclipse.emf.ecore.EReference getGenAuditRule_Rule()

  Specified by:
    `getGenAuditRule_Rule` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Rule'.
  See Also:
    `GenAuditRule.getRule()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Target

    public org.eclipse.emf.ecore.EReference getGenAuditRule_Target()

  Specified by:
    `getGenAuditRule_Target` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `GenAuditRule.getTarget()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Message

    public org.eclipse.emf.ecore.EAttribute getGenAuditRule_Message()

  Specified by:
    `getGenAuditRule_Message` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Message'.
  See Also:
    `GenAuditRule.getMessage()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Severity

    public org.eclipse.emf.ecore.EAttribute getGenAuditRule_Severity()

  Specified by:
    `getGenAuditRule_Severity` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `GenAuditRule.getSeverity()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_UseInLiveMode

    public org.eclipse.emf.ecore.EAttribute getGenAuditRule_UseInLiveMode()

  Specified by:
    `getGenAuditRule_UseInLiveMode` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Use In Live Mode'.
  See Also:
    `GenAuditRule.isUseInLiveMode()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_RequiresConstraintAdapter

    public org.eclipse.emf.ecore.EAttribute getGenAuditRule_RequiresConstraintAdapter()

  Specified by:
    `getGenAuditRule_RequiresConstraintAdapter` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Requires Constraint Adapter'.
  See Also:
    `GenAuditRule.isRequiresConstraintAdapter()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Category

    public org.eclipse.emf.ecore.EReference getGenAuditRule_Category()

  Specified by:
    `getGenAuditRule_Category` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Category'.
  See Also:
    `GenAuditRule.getCategory()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenRuleTarget

    public org.eclipse.emf.ecore.EClass getGenRuleTarget()

  Specified by:
    `getGenRuleTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Rule Target'.
  See Also:
    `GenRuleTarget`
  ** Generated **

### getGenDomainElementTarget

    public org.eclipse.emf.ecore.EClass getGenDomainElementTarget()

  Specified by:
    `getGenDomainElementTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Domain Element Target'.
  See Also:
    `GenDomainElementTarget`
  ** Generated **

### getGenDomainElementTarget_Element

    public org.eclipse.emf.ecore.EReference getGenDomainElementTarget_Element()

  Specified by:
    `getGenDomainElementTarget_Element` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `GenDomainElementTarget.getElement()`, `GMFGenPackage.getGenDomainElementTarget()`
  ** Generated **

### getGenDiagramElementTarget

    public org.eclipse.emf.ecore.EClass getGenDiagramElementTarget()

  Specified by:
    `getGenDiagramElementTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Diagram Element Target'.
  See Also:
    `GenDiagramElementTarget`
  ** Generated **

### getGenDiagramElementTarget_Element

    public org.eclipse.emf.ecore.EReference getGenDiagramElementTarget_Element()

  Specified by:
    `getGenDiagramElementTarget_Element` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Element'.
  See Also:
    `GenDiagramElementTarget.getElement()`, `GMFGenPackage.getGenDiagramElementTarget()`
  ** Generated **

### getGenDomainAttributeTarget

    public org.eclipse.emf.ecore.EClass getGenDomainAttributeTarget()

  Specified by:
    `getGenDomainAttributeTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Domain Attribute Target'.
  See Also:
    `GenDomainAttributeTarget`
  ** Generated **

### getGenDomainAttributeTarget_Attribute

    public org.eclipse.emf.ecore.EReference getGenDomainAttributeTarget_Attribute()

  Specified by:
    `getGenDomainAttributeTarget_Attribute` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `GenDomainAttributeTarget.getAttribute()`, `GMFGenPackage.getGenDomainAttributeTarget()`
  ** Generated **

### getGenDomainAttributeTarget_NullAsError

    public org.eclipse.emf.ecore.EAttribute getGenDomainAttributeTarget_NullAsError()

  Specified by:
    `getGenDomainAttributeTarget_NullAsError` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Null As Error'.
  See Also:
    `GenDomainAttributeTarget.isNullAsError()`, `GMFGenPackage.getGenDomainAttributeTarget()`
  ** Generated **

### getGenNotationElementTarget

    public org.eclipse.emf.ecore.EClass getGenNotationElementTarget()

  Specified by:
    `getGenNotationElementTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Notation Element Target'.
  See Also:
    `GenNotationElementTarget`
  ** Generated **

### getGenNotationElementTarget_Element

    public org.eclipse.emf.ecore.EReference getGenNotationElementTarget_Element()

  Specified by:
    `getGenNotationElementTarget_Element` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `GenNotationElementTarget.getElement()`, `GMFGenPackage.getGenNotationElementTarget()`
  ** Generated **

### getGenMetricContainer

    public org.eclipse.emf.ecore.EClass getGenMetricContainer()

  Specified by:
    `getGenMetricContainer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Metric Container'.
  See Also:
    `GenMetricContainer`
  ** Generated **

### getGenMetricContainer_EditorGen

    public org.eclipse.emf.ecore.EReference getGenMetricContainer_EditorGen()

  Specified by:
    `getGenMetricContainer_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenMetricContainer.getEditorGen()`, `GMFGenPackage.getGenMetricContainer()`
  ** Generated **

### getGenMetricContainer_Metrics

    public org.eclipse.emf.ecore.EReference getGenMetricContainer_Metrics()

  Specified by:
    `getGenMetricContainer_Metrics` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Metrics'.
  See Also:
    `GenMetricContainer.getMetrics()`, `GMFGenPackage.getGenMetricContainer()`
  ** Generated **

### getGenMetricRule

    public org.eclipse.emf.ecore.EClass getGenMetricRule()

  Specified by:
    `getGenMetricRule` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Metric Rule'.
  See Also:
    `GenMetricRule`
  ** Generated **

### getGenMetricRule_Key

    public org.eclipse.emf.ecore.EAttribute getGenMetricRule_Key()

  Specified by:
    `getGenMetricRule_Key` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `GenMetricRule.getKey()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_Rule

    public org.eclipse.emf.ecore.EReference getGenMetricRule_Rule()

  Specified by:
    `getGenMetricRule_Rule` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Rule'.
  See Also:
    `GenMetricRule.getRule()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_Target

    public org.eclipse.emf.ecore.EReference getGenMetricRule_Target()

  Specified by:
    `getGenMetricRule_Target` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `GenMetricRule.getTarget()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_Container

    public org.eclipse.emf.ecore.EReference getGenMetricRule_Container()

  Specified by:
    `getGenMetricRule_Container` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `GenMetricRule.getContainer()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_LowLimit

    public org.eclipse.emf.ecore.EAttribute getGenMetricRule_LowLimit()

  Specified by:
    `getGenMetricRule_LowLimit` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Low Limit'.
  See Also:
    `GenMetricRule.getLowLimit()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_HighLimit

    public org.eclipse.emf.ecore.EAttribute getGenMetricRule_HighLimit()

  Specified by:
    `getGenMetricRule_HighLimit` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'High Limit'.
  See Also:
    `GenMetricRule.getHighLimit()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenAuditedMetricTarget

    public org.eclipse.emf.ecore.EClass getGenAuditedMetricTarget()

  Specified by:
    `getGenAuditedMetricTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Audited Metric Target'.
  See Also:
    `GenAuditedMetricTarget`
  ** Generated **

### getGenAuditedMetricTarget_Metric

    public org.eclipse.emf.ecore.EReference getGenAuditedMetricTarget_Metric()

  Specified by:
    `getGenAuditedMetricTarget_Metric` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Metric'.
  See Also:
    `GenAuditedMetricTarget.getMetric()`, `GMFGenPackage.getGenAuditedMetricTarget()`
  ** Generated **

### getGenAuditedMetricTarget_MetricValueContext

    public org.eclipse.emf.ecore.EReference getGenAuditedMetricTarget_MetricValueContext()

  Specified by:
    `getGenAuditedMetricTarget_MetricValueContext` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Metric Value Context'.
  See Also:
    `GenAuditedMetricTarget.getMetricValueContext()`, `GMFGenPackage.getGenAuditedMetricTarget()`
  ** Generated **

### getGenAuditable

    public org.eclipse.emf.ecore.EClass getGenAuditable()

  Specified by:
    `getGenAuditable` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Auditable'.
  See Also:
    `GenAuditable`
  ** Generated **

### getGenAuditable_ContextSelector

    public org.eclipse.emf.ecore.EReference getGenAuditable_ContextSelector()

  Specified by:
    `getGenAuditable_ContextSelector` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Context Selector'.
  See Also:
    `GenAuditable.getContextSelector()`, `GMFGenPackage.getGenAuditable()`
  ** Generated **

### getGenAuditContext

    public org.eclipse.emf.ecore.EClass getGenAuditContext()

  Specified by:
    `getGenAuditContext` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Audit Context'.
  See Also:
    `GenAuditContext`
  ** Generated **

### getGenAuditContext_Root

    public org.eclipse.emf.ecore.EReference getGenAuditContext_Root()

  Specified by:
    `getGenAuditContext_Root` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Root'.
  See Also:
    `GenAuditContext.getRoot()`, `GMFGenPackage.getGenAuditContext()`
  ** Generated **

### getGenAuditContext_Id

    public org.eclipse.emf.ecore.EAttribute getGenAuditContext_Id()

  Specified by:
    `getGenAuditContext_Id` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `GenAuditContext.getId()`, `GMFGenPackage.getGenAuditContext()`
  ** Generated **

### getGenAuditContext_ClassName

    public org.eclipse.emf.ecore.EAttribute getGenAuditContext_ClassName()

  Specified by:
    `getGenAuditContext_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `GenAuditContext.getClassName()`, `GMFGenPackage.getGenAuditContext()`
  ** Generated **

### getGenAuditContext_RuleTargets

    public org.eclipse.emf.ecore.EReference getGenAuditContext_RuleTargets()

  Specified by:
    `getGenAuditContext_RuleTargets` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Rule Targets'.
  See Also:
    `GenAuditContext.getRuleTargets()`, `GMFGenPackage.getGenAuditContext()`
  ** Generated **

### getGenMeasurable

    public org.eclipse.emf.ecore.EClass getGenMeasurable()

  Specified by:
    `getGenMeasurable` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Measurable'.
  See Also:
    `GenMeasurable`
  ** Generated **

### getGenExpressionProviderContainer

    public org.eclipse.emf.ecore.EClass getGenExpressionProviderContainer()

  Specified by:
    `getGenExpressionProviderContainer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Expression Provider Container'.
  See Also:
    `GenExpressionProviderContainer`
  ** Generated **

### getGenExpressionProviderContainer_ExpressionsPackageName

    public org.eclipse.emf.ecore.EAttribute getGenExpressionProviderContainer_ExpressionsPackageName()

  Specified by:
    `getGenExpressionProviderContainer_ExpressionsPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Expressions Package Name'.
  See Also:
    `GenExpressionProviderContainer.getExpressionsPackageName()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderContainer_AbstractExpressionClassName

    public org.eclipse.emf.ecore.EAttribute getGenExpressionProviderContainer_AbstractExpressionClassName()

  Specified by:
    `getGenExpressionProviderContainer_AbstractExpressionClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Abstract Expression Class Name'.
  See Also:
    `GenExpressionProviderContainer.getAbstractExpressionClassName()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderContainer_Providers

    public org.eclipse.emf.ecore.EReference getGenExpressionProviderContainer_Providers()

  Specified by:
    `getGenExpressionProviderContainer_Providers` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Providers'.
  See Also:
    `GenExpressionProviderContainer.getProviders()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderContainer_EditorGen

    public org.eclipse.emf.ecore.EReference getGenExpressionProviderContainer_EditorGen()

  Specified by:
    `getGenExpressionProviderContainer_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenExpressionProviderContainer.getEditorGen()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderBase

    public org.eclipse.emf.ecore.EClass getGenExpressionProviderBase()

  Specified by:
    `getGenExpressionProviderBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Expression Provider Base'.
  See Also:
    `GenExpressionProviderBase`
  ** Generated **

### getGenExpressionProviderBase_Expressions

    public org.eclipse.emf.ecore.EReference getGenExpressionProviderBase_Expressions()

  Specified by:
    `getGenExpressionProviderBase_Expressions` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Expressions'.
  See Also:
    `GenExpressionProviderBase.getExpressions()`, `GMFGenPackage.getGenExpressionProviderBase()`
  ** Generated **

### getGenExpressionProviderBase_Container

    public org.eclipse.emf.ecore.EReference getGenExpressionProviderBase_Container()

  Specified by:
    `getGenExpressionProviderBase_Container` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `GenExpressionProviderBase.getContainer()`, `GMFGenPackage.getGenExpressionProviderBase()`
  ** Generated **

### getGenJavaExpressionProvider

    public org.eclipse.emf.ecore.EClass getGenJavaExpressionProvider()

  Specified by:
    `getGenJavaExpressionProvider` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Java Expression Provider'.
  See Also:
    `GenJavaExpressionProvider`
  ** Generated **

### getGenJavaExpressionProvider_ThrowException

    public org.eclipse.emf.ecore.EAttribute getGenJavaExpressionProvider_ThrowException()

  Specified by:
    `getGenJavaExpressionProvider_ThrowException` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Throw Exception'.
  See Also:
    `GenJavaExpressionProvider.isThrowException()`, `GMFGenPackage.getGenJavaExpressionProvider()`
  ** Generated **

### getGenJavaExpressionProvider_InjectExpressionBody

    public org.eclipse.emf.ecore.EAttribute getGenJavaExpressionProvider_InjectExpressionBody()

  Specified by:
    `getGenJavaExpressionProvider_InjectExpressionBody` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Inject Expression Body'.
  See Also:
    `GenJavaExpressionProvider.isInjectExpressionBody()`, `GMFGenPackage.getGenJavaExpressionProvider()`
  ** Generated **

### getGenExpressionInterpreter

    public org.eclipse.emf.ecore.EClass getGenExpressionInterpreter()

  Specified by:
    `getGenExpressionInterpreter` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Expression Interpreter'.
  See Also:
    `GenExpressionInterpreter`
  ** Generated **

### getGenExpressionInterpreter_Language

    public org.eclipse.emf.ecore.EAttribute getGenExpressionInterpreter_Language()

  Specified by:
    `getGenExpressionInterpreter_Language` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `GenExpressionInterpreter.getLanguage()`, `GMFGenPackage.getGenExpressionInterpreter()`
  ** Generated **

### getGenExpressionInterpreter_ClassName

    public org.eclipse.emf.ecore.EAttribute getGenExpressionInterpreter_ClassName()

  Specified by:
    `getGenExpressionInterpreter_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `GenExpressionInterpreter.getClassName()`, `GMFGenPackage.getGenExpressionInterpreter()`
  ** Generated **

### getGenDomainModelNavigator

    public org.eclipse.emf.ecore.EClass getGenDomainModelNavigator()

  Specified by:
    `getGenDomainModelNavigator` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Domain Model Navigator'.
  See Also:
    `GenDomainModelNavigator`
  ** Generated **

### getGenDomainModelNavigator_GenerateDomainModelNavigator

    public org.eclipse.emf.ecore.EAttribute getGenDomainModelNavigator_GenerateDomainModelNavigator()

  Specified by:
    `getGenDomainModelNavigator_GenerateDomainModelNavigator` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Generate Domain Model Navigator'.
  See Also:
    `GenDomainModelNavigator.isGenerateDomainModelNavigator()`, `GMFGenPackage.getGenDomainModelNavigator()`
  ** Generated **

### getGenDomainModelNavigator_DomainContentExtensionID

    public org.eclipse.emf.ecore.EAttribute getGenDomainModelNavigator_DomainContentExtensionID()

  Specified by:
    `getGenDomainModelNavigator_DomainContentExtensionID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Domain Content Extension ID'.
  See Also:
    `GenDomainModelNavigator.getDomainContentExtensionID()`, `GMFGenPackage.getGenDomainModelNavigator()`
  ** Generated **

### getGenDomainModelNavigator_DomainContentExtensionName

    public org.eclipse.emf.ecore.EAttribute getGenDomainModelNavigator_DomainContentExtensionName()

  Specified by:
    `getGenDomainModelNavigator_DomainContentExtensionName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Domain Content Extension Name'.
  See Also:
    `GenDomainModelNavigator.getDomainContentExtensionName()`, `GMFGenPackage.getGenDomainModelNavigator()`
  ** Generated **

### getGenDomainModelNavigator_DomainContentExtensionPriority

    public org.eclipse.emf.ecore.EAttribute getGenDomainModelNavigator_DomainContentExtensionPriority()

  Specified by:
    `getGenDomainModelNavigator_DomainContentExtensionPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Domain Content Extension Priority'.
  See Also:
    `GenDomainModelNavigator.getDomainContentExtensionPriority()`, `GMFGenPackage.getGenDomainModelNavigator()`
  ** Generated **

### getGenDomainModelNavigator_DomainContentProviderClassName

    public org.eclipse.emf.ecore.EAttribute getGenDomainModelNavigator_DomainContentProviderClassName()

  Specified by:
    `getGenDomainModelNavigator_DomainContentProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Domain Content Provider Class Name'.
  See Also:
    `GenDomainModelNavigator.getDomainContentProviderClassName()`, `GMFGenPackage.getGenDomainModelNavigator()`
  ** Generated **

### getGenDomainModelNavigator_DomainLabelProviderClassName

    public org.eclipse.emf.ecore.EAttribute getGenDomainModelNavigator_DomainLabelProviderClassName()

  Specified by:
    `getGenDomainModelNavigator_DomainLabelProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Domain Label Provider Class Name'.
  See Also:
    `GenDomainModelNavigator.getDomainLabelProviderClassName()`, `GMFGenPackage.getGenDomainModelNavigator()`
  ** Generated **

### getGenDomainModelNavigator_DomainModelElementTesterClassName

    public org.eclipse.emf.ecore.EAttribute getGenDomainModelNavigator_DomainModelElementTesterClassName()

  Specified by:
    `getGenDomainModelNavigator_DomainModelElementTesterClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Domain Model Element Tester Class Name'.
  See Also:
    `GenDomainModelNavigator.getDomainModelElementTesterClassName()`, `GMFGenPackage.getGenDomainModelNavigator()`
  ** Generated **

### getGenDomainModelNavigator_DomainNavigatorItemClassName

    public org.eclipse.emf.ecore.EAttribute getGenDomainModelNavigator_DomainNavigatorItemClassName()

  Specified by:
    `getGenDomainModelNavigator_DomainNavigatorItemClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Domain Navigator Item Class Name'.
  See Also:
    `GenDomainModelNavigator.getDomainNavigatorItemClassName()`, `GMFGenPackage.getGenDomainModelNavigator()`
  ** Generated **

### getGenNavigator

    public org.eclipse.emf.ecore.EClass getGenNavigator()

  Specified by:
    `getGenNavigator` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Navigator'.
  See Also:
    `GenNavigator`
  ** Generated **

### getGenNavigator_EditorGen

    public org.eclipse.emf.ecore.EReference getGenNavigator_EditorGen()

  Specified by:
    `getGenNavigator_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenNavigator.getEditorGen()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_ContentExtensionID

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_ContentExtensionID()

  Specified by:
    `getGenNavigator_ContentExtensionID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Content Extension ID'.
  See Also:
    `GenNavigator.getContentExtensionID()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_ContentExtensionName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_ContentExtensionName()

  Specified by:
    `getGenNavigator_ContentExtensionName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Content Extension Name'.
  See Also:
    `GenNavigator.getContentExtensionName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_ContentExtensionPriority

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_ContentExtensionPriority()

  Specified by:
    `getGenNavigator_ContentExtensionPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Content Extension Priority'.
  See Also:
    `GenNavigator.getContentExtensionPriority()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_LinkHelperExtensionID

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_LinkHelperExtensionID()

  Specified by:
    `getGenNavigator_LinkHelperExtensionID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Link Helper Extension ID'.
  See Also:
    `GenNavigator.getLinkHelperExtensionID()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_SorterExtensionID

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_SorterExtensionID()

  Specified by:
    `getGenNavigator_SorterExtensionID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Sorter Extension ID'.
  See Also:
    `GenNavigator.getSorterExtensionID()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_ActionProviderID

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_ActionProviderID()

  Specified by:
    `getGenNavigator_ActionProviderID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Action Provider ID'.
  See Also:
    `GenNavigator.getActionProviderID()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_ContentProviderClassName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_ContentProviderClassName()

  Specified by:
    `getGenNavigator_ContentProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Content Provider Class Name'.
  See Also:
    `GenNavigator.getContentProviderClassName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_LabelProviderClassName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_LabelProviderClassName()

  Specified by:
    `getGenNavigator_LabelProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Label Provider Class Name'.
  See Also:
    `GenNavigator.getLabelProviderClassName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_LinkHelperClassName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_LinkHelperClassName()

  Specified by:
    `getGenNavigator_LinkHelperClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Link Helper Class Name'.
  See Also:
    `GenNavigator.getLinkHelperClassName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_SorterClassName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_SorterClassName()

  Specified by:
    `getGenNavigator_SorterClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Sorter Class Name'.
  See Also:
    `GenNavigator.getSorterClassName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_ActionProviderClassName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_ActionProviderClassName()

  Specified by:
    `getGenNavigator_ActionProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Action Provider Class Name'.
  See Also:
    `GenNavigator.getActionProviderClassName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_AbstractNavigatorItemClassName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_AbstractNavigatorItemClassName()

  Specified by:
    `getGenNavigator_AbstractNavigatorItemClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Abstract Navigator Item Class Name'.
  See Also:
    `GenNavigator.getAbstractNavigatorItemClassName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_NavigatorGroupClassName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_NavigatorGroupClassName()

  Specified by:
    `getGenNavigator_NavigatorGroupClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Navigator Group Class Name'.
  See Also:
    `GenNavigator.getNavigatorGroupClassName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_NavigatorItemClassName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_NavigatorItemClassName()

  Specified by:
    `getGenNavigator_NavigatorItemClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Navigator Item Class Name'.
  See Also:
    `GenNavigator.getNavigatorItemClassName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_UriInputTesterClassName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_UriInputTesterClassName()

  Specified by:
    `getGenNavigator_UriInputTesterClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Uri Input Tester Class Name'.
  See Also:
    `GenNavigator.getUriInputTesterClassName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_PackageName

    public org.eclipse.emf.ecore.EAttribute getGenNavigator_PackageName()

  Specified by:
    `getGenNavigator_PackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Package Name'.
  See Also:
    `GenNavigator.getPackageName()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigator_ChildReferences

    public org.eclipse.emf.ecore.EReference getGenNavigator_ChildReferences()

  Specified by:
    `getGenNavigator_ChildReferences` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Child References'.
  See Also:
    `GenNavigator.getChildReferences()`, `GMFGenPackage.getGenNavigator()`
  ** Generated **

### getGenNavigatorChildReference

    public org.eclipse.emf.ecore.EClass getGenNavigatorChildReference()

  Specified by:
    `getGenNavigatorChildReference` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Navigator Child Reference'.
  See Also:
    `GenNavigatorChildReference`
  ** Generated **

### getGenNavigatorChildReference_Navigator

    public org.eclipse.emf.ecore.EReference getGenNavigatorChildReference_Navigator()

  Specified by:
    `getGenNavigatorChildReference_Navigator` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Navigator'.
  See Also:
    `GenNavigatorChildReference.getNavigator()`, `GMFGenPackage.getGenNavigatorChildReference()`
  ** Generated **

### getGenNavigatorChildReference_Parent

    public org.eclipse.emf.ecore.EReference getGenNavigatorChildReference_Parent()

  Specified by:
    `getGenNavigatorChildReference_Parent` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Parent'.
  See Also:
    `GenNavigatorChildReference.getParent()`, `GMFGenPackage.getGenNavigatorChildReference()`
  ** Generated **

### getGenNavigatorChildReference_Child

    public org.eclipse.emf.ecore.EReference getGenNavigatorChildReference_Child()

  Specified by:
    `getGenNavigatorChildReference_Child` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Child'.
  See Also:
    `GenNavigatorChildReference.getChild()`, `GMFGenPackage.getGenNavigatorChildReference()`
  ** Generated **

### getGenNavigatorChildReference_ReferenceType

    public org.eclipse.emf.ecore.EAttribute getGenNavigatorChildReference_ReferenceType()

  Specified by:
    `getGenNavigatorChildReference_ReferenceType` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Reference Type'.
  See Also:
    `GenNavigatorChildReference.getReferenceType()`, `GMFGenPackage.getGenNavigatorChildReference()`
  ** Generated **

### getGenNavigatorChildReference_GroupName

    public org.eclipse.emf.ecore.EAttribute getGenNavigatorChildReference_GroupName()

  Specified by:
    `getGenNavigatorChildReference_GroupName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Group Name'.
  See Also:
    `GenNavigatorChildReference.getGroupName()`, `GMFGenPackage.getGenNavigatorChildReference()`
  ** Generated **

### getGenNavigatorChildReference_GroupIcon

    public org.eclipse.emf.ecore.EAttribute getGenNavigatorChildReference_GroupIcon()

  Specified by:
    `getGenNavigatorChildReference_GroupIcon` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Group Icon'.
  See Also:
    `GenNavigatorChildReference.getGroupIcon()`, `GMFGenPackage.getGenNavigatorChildReference()`
  ** Generated **

### getGenNavigatorChildReference_HideIfEmpty

    public org.eclipse.emf.ecore.EAttribute getGenNavigatorChildReference_HideIfEmpty()

  Specified by:
    `getGenNavigatorChildReference_HideIfEmpty` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Hide If Empty'.
  See Also:
    `GenNavigatorChildReference.isHideIfEmpty()`, `GMFGenPackage.getGenNavigatorChildReference()`
  ** Generated **

### getGenNavigatorPath

    public org.eclipse.emf.ecore.EClass getGenNavigatorPath()

  Specified by:
    `getGenNavigatorPath` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Navigator Path'.
  See Also:
    `GenNavigatorPath`
  ** Generated **

### getGenNavigatorPath_Segments

    public org.eclipse.emf.ecore.EReference getGenNavigatorPath_Segments()

  Specified by:
    `getGenNavigatorPath_Segments` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Segments'.
  See Also:
    `GenNavigatorPath.getSegments()`, `GMFGenPackage.getGenNavigatorPath()`
  ** Generated **

### getGenNavigatorPathSegment

    public org.eclipse.emf.ecore.EClass getGenNavigatorPathSegment()

  Specified by:
    `getGenNavigatorPathSegment` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Navigator Path Segment'.
  See Also:
    `GenNavigatorPathSegment`
  ** Generated **

### getGenNavigatorPathSegment_Path

    public org.eclipse.emf.ecore.EReference getGenNavigatorPathSegment_Path()

  Specified by:
    `getGenNavigatorPathSegment_Path` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Path'.
  See Also:
    `GenNavigatorPathSegment.getPath()`, `GMFGenPackage.getGenNavigatorPathSegment()`
  ** Generated **

### getGenNavigatorPathSegment_From

    public org.eclipse.emf.ecore.EReference getGenNavigatorPathSegment_From()

  Specified by:
    `getGenNavigatorPathSegment_From` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'From'.
  See Also:
    `GenNavigatorPathSegment.getFrom()`, `GMFGenPackage.getGenNavigatorPathSegment()`
  ** Generated **

### getGenNavigatorPathSegment_To

    public org.eclipse.emf.ecore.EReference getGenNavigatorPathSegment_To()

  Specified by:
    `getGenNavigatorPathSegment_To` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'To'.
  See Also:
    `GenNavigatorPathSegment.getTo()`, `GMFGenPackage.getGenNavigatorPathSegment()`
  ** Generated **

### getGenPropertySheet

    public org.eclipse.emf.ecore.EClass getGenPropertySheet()

  Specified by:
    `getGenPropertySheet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Property Sheet'.
  See Also:
    `GenPropertySheet`
  ** Generated **

### getGenPropertySheet_EditorGen

    public org.eclipse.emf.ecore.EReference getGenPropertySheet_EditorGen()

  Specified by:
    `getGenPropertySheet_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenPropertySheet.getEditorGen()`, `GMFGenPackage.getGenPropertySheet()`
  ** Generated **

### getGenPropertySheet_Tabs

    public org.eclipse.emf.ecore.EReference getGenPropertySheet_Tabs()

  Specified by:
    `getGenPropertySheet_Tabs` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Tabs'.
  See Also:
    `GenPropertySheet.getTabs()`, `GMFGenPackage.getGenPropertySheet()`
  ** Generated **

### getGenPropertySheet_PackageName

    public org.eclipse.emf.ecore.EAttribute getGenPropertySheet_PackageName()

  Specified by:
    `getGenPropertySheet_PackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Package Name'.
  See Also:
    `GenPropertySheet.getPackageName()`, `GMFGenPackage.getGenPropertySheet()`
  ** Generated **

### getGenPropertySheet_ReadOnly

    public org.eclipse.emf.ecore.EAttribute getGenPropertySheet_ReadOnly()

  Specified by:
    `getGenPropertySheet_ReadOnly` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Read Only'.
  See Also:
    `GenPropertySheet.isReadOnly()`, `GMFGenPackage.getGenPropertySheet()`
  ** Generated **

### getGenPropertySheet_NeedsCaption

    public org.eclipse.emf.ecore.EAttribute getGenPropertySheet_NeedsCaption()

  Specified by:
    `getGenPropertySheet_NeedsCaption` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Needs Caption'.
  See Also:
    `GenPropertySheet.isNeedsCaption()`, `GMFGenPackage.getGenPropertySheet()`
  ** Generated **

### getGenPropertySheet_LabelProviderClassName

    public org.eclipse.emf.ecore.EAttribute getGenPropertySheet_LabelProviderClassName()

  Specified by:
    `getGenPropertySheet_LabelProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Label Provider Class Name'.
  See Also:
    `GenPropertySheet.getLabelProviderClassName()`, `GMFGenPackage.getGenPropertySheet()`
  ** Generated **

### getGenPropertyTab

    public org.eclipse.emf.ecore.EClass getGenPropertyTab()

  Specified by:
    `getGenPropertyTab` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Property Tab'.
  See Also:
    `GenPropertyTab`
  ** Generated **

### getGenPropertyTab_Sheet

    public org.eclipse.emf.ecore.EReference getGenPropertyTab_Sheet()

  Specified by:
    `getGenPropertyTab_Sheet` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Sheet'.
  See Also:
    `GenPropertyTab.getSheet()`, `GMFGenPackage.getGenPropertyTab()`
  ** Generated **

### getGenPropertyTab_ID

    public org.eclipse.emf.ecore.EAttribute getGenPropertyTab_ID()

  Specified by:
    `getGenPropertyTab_ID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `GenPropertyTab.getID()`, `GMFGenPackage.getGenPropertyTab()`
  ** Generated **

### getGenPropertyTab_Label

    public org.eclipse.emf.ecore.EAttribute getGenPropertyTab_Label()

  Specified by:
    `getGenPropertyTab_Label` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Label'.
  See Also:
    `GenPropertyTab.getLabel()`, `GMFGenPackage.getGenPropertyTab()`
  ** Generated **

### getGenStandardPropertyTab

    public org.eclipse.emf.ecore.EClass getGenStandardPropertyTab()

  Specified by:
    `getGenStandardPropertyTab` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Standard Property Tab'.
  See Also:
    `GenStandardPropertyTab`
  ** Generated **

### getGenCustomPropertyTab

    public org.eclipse.emf.ecore.EClass getGenCustomPropertyTab()

  Specified by:
    `getGenCustomPropertyTab` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Custom Property Tab'.
  See Also:
    `GenCustomPropertyTab`
  ** Generated **

### getGenCustomPropertyTab_ClassName

    public org.eclipse.emf.ecore.EAttribute getGenCustomPropertyTab_ClassName()

  Specified by:
    `getGenCustomPropertyTab_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `GenCustomPropertyTab.getClassName()`, `GMFGenPackage.getGenCustomPropertyTab()`
  ** Generated **

### getGenCustomPropertyTab_Filter

    public org.eclipse.emf.ecore.EReference getGenCustomPropertyTab_Filter()

  Specified by:
    `getGenCustomPropertyTab_Filter` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Filter'.
  See Also:
    `GenCustomPropertyTab.getFilter()`, `GMFGenPackage.getGenCustomPropertyTab()`
  ** Generated **

### getGenPropertyTabFilter

    public org.eclipse.emf.ecore.EClass getGenPropertyTabFilter()

  Specified by:
    `getGenPropertyTabFilter` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Property Tab Filter'.
  See Also:
    `GenPropertyTabFilter`
  ** Generated **

### getGenPropertyTabFilter_Tab

    public org.eclipse.emf.ecore.EReference getGenPropertyTabFilter_Tab()

  Specified by:
    `getGenPropertyTabFilter_Tab` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Tab'.
  See Also:
    `GenPropertyTabFilter.getTab()`, `GMFGenPackage.getGenPropertyTabFilter()`
  ** Generated **

### getTypeTabFilter

    public org.eclipse.emf.ecore.EClass getTypeTabFilter()

  Specified by:
    `getTypeTabFilter` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Type Tab Filter'.
  See Also:
    `TypeTabFilter`
  ** Generated **

### getTypeTabFilter_Types

    public org.eclipse.emf.ecore.EAttribute getTypeTabFilter_Types()

  Specified by:
    `getTypeTabFilter_Types` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Types'.
  See Also:
    `TypeTabFilter.getTypes()`, `GMFGenPackage.getTypeTabFilter()`
  ** Generated **

### getTypeTabFilter_GeneratedTypes

    public org.eclipse.emf.ecore.EAttribute getTypeTabFilter_GeneratedTypes()

  Specified by:
    `getTypeTabFilter_GeneratedTypes` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Generated Types'.
  See Also:
    `TypeTabFilter.getGeneratedTypes()`, `GMFGenPackage.getTypeTabFilter()`
  ** Generated **

### getCustomTabFilter

    public org.eclipse.emf.ecore.EClass getCustomTabFilter()

  Specified by:
    `getCustomTabFilter` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Custom Tab Filter'.
  See Also:
    `CustomTabFilter`
  ** Generated **

### getCustomTabFilter_ClassName

    public org.eclipse.emf.ecore.EAttribute getCustomTabFilter_ClassName()

  Specified by:
    `getCustomTabFilter_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `CustomTabFilter.getClassName()`, `GMFGenPackage.getCustomTabFilter()`
  ** Generated **

### getGenContributionItem

    public org.eclipse.emf.ecore.EClass getGenContributionItem()

  Specified by:
    `getGenContributionItem` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Contribution Item'.
  See Also:
    `GenContributionItem`
  ** Generated **

### getGenContributionItem_Owner

    public org.eclipse.emf.ecore.EReference getGenContributionItem_Owner()

  Specified by:
    `getGenContributionItem_Owner` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `GenContributionItem.getOwner()`, `GMFGenPackage.getGenContributionItem()`
  ** Generated **

### getGenContributionItem_Application

    public org.eclipse.emf.ecore.EReference getGenContributionItem_Application()

  Specified by:
    `getGenContributionItem_Application` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Application'.
  See Also:
    `GenContributionItem.getApplication()`, `GMFGenPackage.getGenContributionItem()`
  ** Generated **

### getGenSharedContributionItem

    public org.eclipse.emf.ecore.EClass getGenSharedContributionItem()

  Specified by:
    `getGenSharedContributionItem` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Shared Contribution Item'.
  See Also:
    `GenSharedContributionItem`
  ** Generated **

### getGenSharedContributionItem_ActualItem

    public org.eclipse.emf.ecore.EReference getGenSharedContributionItem_ActualItem()

  Specified by:
    `getGenSharedContributionItem_ActualItem` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Actual Item'.
  See Also:
    `GenSharedContributionItem.getActualItem()`, `GMFGenPackage.getGenSharedContributionItem()`
  ** Generated **

### getGenGroupMarker

    public org.eclipse.emf.ecore.EClass getGenGroupMarker()

  Specified by:
    `getGenGroupMarker` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Group Marker'.
  See Also:
    `GenGroupMarker`
  ** Generated **

### getGenGroupMarker_GroupName

    public org.eclipse.emf.ecore.EAttribute getGenGroupMarker_GroupName()

  Specified by:
    `getGenGroupMarker_GroupName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Group Name'.
  See Also:
    `GenGroupMarker.getGroupName()`, `GMFGenPackage.getGenGroupMarker()`
  ** Generated **

### getGenSeparator

    public org.eclipse.emf.ecore.EClass getGenSeparator()

  Specified by:
    `getGenSeparator` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Separator'.
  See Also:
    `GenSeparator`
  ** Generated **

### getGenSeparator_GroupName

    public org.eclipse.emf.ecore.EAttribute getGenSeparator_GroupName()

  Specified by:
    `getGenSeparator_GroupName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Group Name'.
  See Also:
    `GenSeparator.getGroupName()`, `GMFGenPackage.getGenSeparator()`
  ** Generated **

### getGenActionFactoryContributionItem

    public org.eclipse.emf.ecore.EClass getGenActionFactoryContributionItem()

  Specified by:
    `getGenActionFactoryContributionItem` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Action Factory Contribution Item'.
  See Also:
    `GenActionFactoryContributionItem`
  ** Generated **

### getGenActionFactoryContributionItem_Name

    public org.eclipse.emf.ecore.EAttribute getGenActionFactoryContributionItem_Name()

  Specified by:
    `getGenActionFactoryContributionItem_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenActionFactoryContributionItem.getName()`, `GMFGenPackage.getGenActionFactoryContributionItem()`
  ** Generated **

### getGenContributionManager

    public org.eclipse.emf.ecore.EClass getGenContributionManager()

  Specified by:
    `getGenContributionManager` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Contribution Manager'.
  See Also:
    `GenContributionManager`
  ** Generated **

### getGenContributionManager_ID

    public org.eclipse.emf.ecore.EAttribute getGenContributionManager_ID()

  Specified by:
    `getGenContributionManager_ID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `GenContributionManager.getID()`, `GMFGenPackage.getGenContributionManager()`
  ** Generated **

### getGenContributionManager_Items

    public org.eclipse.emf.ecore.EReference getGenContributionManager_Items()

  Specified by:
    `getGenContributionManager_Items` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Items'.
  See Also:
    `GenContributionManager.getItems()`, `GMFGenPackage.getGenContributionManager()`
  ** Generated **

### getGenMenuManager

    public org.eclipse.emf.ecore.EClass getGenMenuManager()

  Specified by:
    `getGenMenuManager` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Menu Manager'.
  See Also:
    `GenMenuManager`
  ** Generated **

### getGenMenuManager_Name

    public org.eclipse.emf.ecore.EAttribute getGenMenuManager_Name()

  Specified by:
    `getGenMenuManager_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenMenuManager.getName()`, `GMFGenPackage.getGenMenuManager()`
  ** Generated **

### getGenToolBarManager

    public org.eclipse.emf.ecore.EClass getGenToolBarManager()

  Specified by:
    `getGenToolBarManager` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Tool Bar Manager'.
  See Also:
    `GenToolBarManager`
  ** Generated **

### getGenApplication

    public org.eclipse.emf.ecore.EClass getGenApplication()

  Specified by:
    `getGenApplication` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Application'.
  See Also:
    `GenApplication`
  ** Generated **

### getGenApplication_EditorGen

    public org.eclipse.emf.ecore.EReference getGenApplication_EditorGen()

  Specified by:
    `getGenApplication_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenApplication.getEditorGen()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_ID

    public org.eclipse.emf.ecore.EAttribute getGenApplication_ID()

  Specified by:
    `getGenApplication_ID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `GenApplication.getID()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_Title

    public org.eclipse.emf.ecore.EAttribute getGenApplication_Title()

  Specified by:
    `getGenApplication_Title` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `GenApplication.getTitle()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_PackageName

    public org.eclipse.emf.ecore.EAttribute getGenApplication_PackageName()

  Specified by:
    `getGenApplication_PackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Package Name'.
  See Also:
    `GenApplication.getPackageName()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_ClassName

    public org.eclipse.emf.ecore.EAttribute getGenApplication_ClassName()

  Specified by:
    `getGenApplication_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `GenApplication.getClassName()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_WorkbenchAdvisorClassName

    public org.eclipse.emf.ecore.EAttribute getGenApplication_WorkbenchAdvisorClassName()

  Specified by:
    `getGenApplication_WorkbenchAdvisorClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Workbench Advisor Class Name'.
  See Also:
    `GenApplication.getWorkbenchAdvisorClassName()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_WorkbenchWindowAdvisorClassName

    public org.eclipse.emf.ecore.EAttribute getGenApplication_WorkbenchWindowAdvisorClassName()

  Specified by:
    `getGenApplication_WorkbenchWindowAdvisorClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Workbench Window Advisor Class Name'.
  See Also:
    `GenApplication.getWorkbenchWindowAdvisorClassName()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_ActionBarAdvisorClassName

    public org.eclipse.emf.ecore.EAttribute getGenApplication_ActionBarAdvisorClassName()

  Specified by:
    `getGenApplication_ActionBarAdvisorClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Action Bar Advisor Class Name'.
  See Also:
    `GenApplication.getActionBarAdvisorClassName()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_PerspectiveClassName

    public org.eclipse.emf.ecore.EAttribute getGenApplication_PerspectiveClassName()

  Specified by:
    `getGenApplication_PerspectiveClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Perspective Class Name'.
  See Also:
    `GenApplication.getPerspectiveClassName()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_PerspectiveId

    public org.eclipse.emf.ecore.EAttribute getGenApplication_PerspectiveId()

  Specified by:
    `getGenApplication_PerspectiveId` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Perspective Id'.
  See Also:
    `GenApplication.getPerspectiveId()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_SupportFiles

    public org.eclipse.emf.ecore.EAttribute getGenApplication_SupportFiles()

  Specified by:
    `getGenApplication_SupportFiles` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Support Files'.
  See Also:
    `GenApplication.isSupportFiles()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_SharedContributionItems

    public org.eclipse.emf.ecore.EReference getGenApplication_SharedContributionItems()

  Specified by:
    `getGenApplication_SharedContributionItems` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Shared Contribution Items'.
  See Also:
    `GenApplication.getSharedContributionItems()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_MainMenu

    public org.eclipse.emf.ecore.EReference getGenApplication_MainMenu()

  Specified by:
    `getGenApplication_MainMenu` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Main Menu'.
  See Also:
    `GenApplication.getMainMenu()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getGenApplication_MainToolBar

    public org.eclipse.emf.ecore.EReference getGenApplication_MainToolBar()

  Specified by:
    `getGenApplication_MainToolBar` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Main Tool Bar'.
  See Also:
    `GenApplication.getMainToolBar()`, `GMFGenPackage.getGenApplication()`
  ** Generated **

### getStandardPreferencePages

    public org.eclipse.emf.ecore.EEnum getStandardPreferencePages()

  Specified by:
    `getStandardPreferencePages` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Standard Preference Pages'.
  See Also:
    `StandardPreferencePages`
  ** Generated **

### getRulerUnits

    public org.eclipse.emf.ecore.EEnum getRulerUnits()

  Specified by:
    `getRulerUnits` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Ruler Units'.
  See Also:
    `RulerUnits`
  ** Generated **

### getRouting

    public org.eclipse.emf.ecore.EEnum getRouting()

  Specified by:
    `getRouting` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Routing'.
  See Also:
    `Routing`
  ** Generated **

### getLineStyle

    public org.eclipse.emf.ecore.EEnum getLineStyle()

  Specified by:
    `getLineStyle` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Line Style'.
  See Also:
    `LineStyle`
  ** Generated **

### getJFaceFont

    public org.eclipse.emf.ecore.EEnum getJFaceFont()

  Specified by:
    `getJFaceFont` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'JFace Font'.
  See Also:
    `JFaceFont`
  ** Generated **

### getFontStyle

    public org.eclipse.emf.ecore.EEnum getFontStyle()

  Specified by:
    `getFontStyle` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Font Style'.
  See Also:
    `FontStyle`
  ** Generated **

### getDiagramColors

    public org.eclipse.emf.ecore.EEnum getDiagramColors()

  Specified by:
    `getDiagramColors` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Diagram Colors'.
  See Also:
    `DiagramColors`
  ** Generated **

### getProviderPriority

    public org.eclipse.emf.ecore.EEnum getProviderPriority()

  Specified by:
    `getProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Provider Priority'.
  See Also:
    `ProviderPriority`
  ** Generated **

### getLinkLabelAlignment

    public org.eclipse.emf.ecore.EEnum getLinkLabelAlignment()

  Specified by:
    `getLinkLabelAlignment` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Link Label Alignment'.
  See Also:
    `LinkLabelAlignment`
  ** Generated **

### getLabelTextAccessMethod

    public org.eclipse.emf.ecore.EEnum getLabelTextAccessMethod()

  Specified by:
    `getLabelTextAccessMethod` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Label Text Access Method'.
  See Also:
    `LabelTextAccessMethod`
  ** Generated **

### getViewmapLayoutType

    public org.eclipse.emf.ecore.EEnum getViewmapLayoutType()

  Specified by:
    `getViewmapLayoutType` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Viewmap Layout Type'.
  See Also:
    `ViewmapLayoutType`
  ** Generated **

### getStandardEntryKind

    public org.eclipse.emf.ecore.EEnum getStandardEntryKind()

  Specified by:
    `getStandardEntryKind` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Standard Entry Kind'.
  See Also:
    `StandardEntryKind`
  ** Generated **

### getGenSeverity

    public org.eclipse.emf.ecore.EEnum getGenSeverity()

  Specified by:
    `getGenSeverity` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Gen Severity'.
  See Also:
    `GenSeverity`
  ** Generated **

### getGenLanguage

    public org.eclipse.emf.ecore.EEnum getGenLanguage()

  Specified by:
    `getGenLanguage` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Gen Language'.
  See Also:
    `GenLanguage`
  ** Generated **

### getGenNavigatorReferenceType

    public org.eclipse.emf.ecore.EEnum getGenNavigatorReferenceType()

  Specified by:
    `getGenNavigatorReferenceType` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Gen Navigator Reference Type'.
  See Also:
    `GenNavigatorReferenceType`
  ** Generated **

### getGeneratedType

    public org.eclipse.emf.ecore.EEnum getGeneratedType()

  Specified by:
    `getGeneratedType` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Generated Type'.
  See Also:
    `GeneratedType`
  ** Generated **

### getGMFGenFactory

    public GMFGenFactory getGMFGenFactory()

  Specified by:
    `getGMFGenFactory` in interface `GMFGenPackage`
  Returns:
    the factory that creates the instances of the model.
  ** Generated **

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

### initializePackageContentsGen

    public void initializePackageContentsGen()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

### createEmfaticAnnotationMapAnnotations

    protected void createEmfaticAnnotationMapAnnotations()

  Initializes the annotations for http://www.eclipse.org/emf/2004/EmfaticAnnotationMap.

  ** Generated **

### createConstraintsAnnotations

    protected void createConstraintsAnnotations()

  Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints.

  ** Generated **

### createDeprecatedAnnotations

    protected void createDeprecatedAnnotations()

  Initializes the annotations for http://www.eclipse.org/gmf/2006/deprecated.

  ** Generated **

### createMetaAnnotations

    protected void createMetaAnnotations()

  Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints/meta.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.